System.register(["./grid/grid.component", "./home/home.component", "./rowtemplate/rowtemplate.component", "./summarytemplate/summarytemplate.component", "./groupcaption/groupcaption.component", "./edittemplates/edit.component"], function (exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var grid_component_1, home_component_1, rowtemplate_component_1, summarytemplate_component_1, groupcaption_component_1, edit_component_1, rootRouterConfig;
    return {
        setters: [
            function (grid_component_1_1) {
                grid_component_1 = grid_component_1_1;
            },
            function (home_component_1_1) {
                home_component_1 = home_component_1_1;
            },
            function (rowtemplate_component_1_1) {
                rowtemplate_component_1 = rowtemplate_component_1_1;
            },
            function (summarytemplate_component_1_1) {
                summarytemplate_component_1 = summarytemplate_component_1_1;
            },
            function (groupcaption_component_1_1) {
                groupcaption_component_1 = groupcaption_component_1_1;
            },
            function (edit_component_1_1) {
                edit_component_1 = edit_component_1_1;
            }
        ],
        execute: function () {
            exports_1("rootRouterConfig", rootRouterConfig = [
                { path: '', redirectTo: 'home', pathMatch: 'full' },
                { path: 'home', component: home_component_1.HomeComponent },
                { path: 'grid', component: grid_component_1.GridComponent },
                { path: 'edit', component: edit_component_1.EditTemplateComponent },
                { path: 'rowtemplate', component: rowtemplate_component_1.RowTemplateComponent },
                { path: 'summarytemplate', component: summarytemplate_component_1.SummaryTemplateComponent },
                { path: 'groupcaption', component: groupcaption_component_1.GroupCaptionComponent },
            ]);
        }
    };
});
//# sourceMappingURL=app.routes.js.map