System.register(["syncfusion-javascript/Scripts/ej/datavisualization/ej.bulletgraph", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, BulletGraphQualitativeRangeDirective, BulletGraphQualitativeRangesDirective, BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective, BulletGraphQuantitativeScaleSettingsFeatureMeasuresDirective, BulletGraphComponent, EJ_BULLETGRAPH_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            BulletGraphQualitativeRangeDirective = (function (_super) {
                __extends(BulletGraphQualitativeRangeDirective, _super);
                function BulletGraphQualitativeRangeDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('rangeEnd'),
                    __metadata("design:type", Object)
                ], BulletGraphQualitativeRangeDirective.prototype, "rangeEnd", void 0);
                __decorate([
                    core_2.Input('rangeOpacity'),
                    __metadata("design:type", Object)
                ], BulletGraphQualitativeRangeDirective.prototype, "rangeOpacity", void 0);
                __decorate([
                    core_2.Input('rangeStroke'),
                    __metadata("design:type", Object)
                ], BulletGraphQualitativeRangeDirective.prototype, "rangeStroke", void 0);
                BulletGraphQualitativeRangeDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-qualitativeranges>e-qualitativerange',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return BulletGraphComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], BulletGraphQualitativeRangeDirective);
                return BulletGraphQualitativeRangeDirective;
            }(core_1.ComplexTagElement));
            exports_1("BulletGraphQualitativeRangeDirective", BulletGraphQualitativeRangeDirective);
            BulletGraphQualitativeRangesDirective = (function (_super) {
                __extends(BulletGraphQualitativeRangesDirective, _super);
                function BulletGraphQualitativeRangesDirective(widget) {
                    return _super.call(this, 'qualitativeRanges') || this;
                }
                BulletGraphQualitativeRangesDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-bulletgraph>e-qualitativeranges',
                        queries: {
                            children: new core_2.ContentChildren(BulletGraphQualitativeRangeDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return BulletGraphComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], BulletGraphQualitativeRangesDirective);
                return BulletGraphQualitativeRangesDirective;
            }(core_1.ArrayTagElement));
            exports_1("BulletGraphQualitativeRangesDirective", BulletGraphQualitativeRangesDirective);
            BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective = (function (_super) {
                __extends(BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective, _super);
                function BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('category'),
                    __metadata("design:type", Object)
                ], BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective.prototype, "category", void 0);
                __decorate([
                    core_2.Input('comparativeMeasureValue'),
                    __metadata("design:type", Object)
                ], BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective.prototype, "comparativeMeasureValue", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective.prototype, "value", void 0);
                BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-quantitativescalesettings-featuremeasures>e-quantitativescalesettings-featuremeasure',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return BulletGraphComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective);
                return BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective;
            }(core_1.ComplexTagElement));
            exports_1("BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective", BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective);
            BulletGraphQuantitativeScaleSettingsFeatureMeasuresDirective = (function (_super) {
                __extends(BulletGraphQuantitativeScaleSettingsFeatureMeasuresDirective, _super);
                function BulletGraphQuantitativeScaleSettingsFeatureMeasuresDirective(widget) {
                    return _super.call(this, 'quantitativeScaleSettings.featureMeasures') || this;
                }
                BulletGraphQuantitativeScaleSettingsFeatureMeasuresDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-bulletgraph>e-quantitativescalesettings-featuremeasures',
                        queries: {
                            children: new core_2.ContentChildren(BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return BulletGraphComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], BulletGraphQuantitativeScaleSettingsFeatureMeasuresDirective);
                return BulletGraphQuantitativeScaleSettingsFeatureMeasuresDirective;
            }(core_1.ArrayTagElement));
            exports_1("BulletGraphQuantitativeScaleSettingsFeatureMeasuresDirective", BulletGraphQuantitativeScaleSettingsFeatureMeasuresDirective);
            BulletGraphComponent = (function (_super) {
                __extends(BulletGraphComponent, _super);
                function BulletGraphComponent(el, cdRef) {
                    var _this = _super.call(this, 'BulletGraph', el, cdRef, ['qualitativeRanges', 'quantitativeScaleSettings.featureMeasures']) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.drawCaption_output = new core_2.EventEmitter();
                    _this.drawCategory_output = new core_2.EventEmitter();
                    _this.drawComparativeMeasureSymbol_output = new core_2.EventEmitter();
                    _this.drawFeatureMeasureBar_output = new core_2.EventEmitter();
                    _this.drawIndicator_output = new core_2.EventEmitter();
                    _this.drawLabels_output = new core_2.EventEmitter();
                    _this.drawTicks_output = new core_2.EventEmitter();
                    _this.drawQualitativeRanges_output = new core_2.EventEmitter();
                    _this.load_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('applyRangeStrokeToLabels'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "applyRangeStrokeToLabels_input", void 0);
                __decorate([
                    core_2.Input('applyRangeStrokeToTicks'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "applyRangeStrokeToTicks_input", void 0);
                __decorate([
                    core_2.Input('captionSettings'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_input", void 0);
                __decorate([
                    core_2.Input('comparativeMeasureValue'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "comparativeMeasureValue_input", void 0);
                __decorate([
                    core_2.Input('enableAnimation'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "enableAnimation_input", void 0);
                __decorate([
                    core_2.Input('enableResizing'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "enableResizing_input", void 0);
                __decorate([
                    core_2.Input('flowDirection'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "flowDirection_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('isResponsive'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "isResponsive_input", void 0);
                __decorate([
                    core_2.Input('enableGroupSeparator'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "enableGroupSeparator_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('orientation'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "orientation_input", void 0);
                __decorate([
                    core_2.Input('qualitativeRangeSize'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "qualitativeRangeSize_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleLength'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleLength_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_input", void 0);
                __decorate([
                    core_2.Input('theme'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "theme_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "tooltipSettings_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "value_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.enableTrim'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_enableTrim_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.font'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_font_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.font.color'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_font_color_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.font.fontFamily'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_font_fontFamily_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.font.fontStyle'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_font_fontStyle_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.font.fontWeight'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_font_fontWeight_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.font.opacity'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_font_opacity_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.font.size'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_font_size_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator.font'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_font_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator.location'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_location_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator.padding'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_padding_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator.symbol'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_symbol_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator.text'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_text_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator.textAlignment'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_textAlignment_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator.textAnchor'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_textAnchor_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator.textAngle'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_textAngle_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator.textPosition'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_textPosition_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator.textSpacing'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_textSpacing_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.indicator.visible'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_indicator_visible_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.location'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_location_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.location.x'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_location_x_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.location.y'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_location_y_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.padding'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_padding_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.subTitle'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_subTitle_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.subTitle.font'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_subTitle_font_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.subTitle.location'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_subTitle_location_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.subTitle.padding'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_subTitle_padding_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.subTitle.text'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_subTitle_text_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.subTitle.textAlignment'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_subTitle_textAlignment_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.subTitle.textAnchor'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_subTitle_textAnchor_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.subTitle.textAngle'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_subTitle_textAngle_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.subTitle.textPosition'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_subTitle_textPosition_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.text'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_text_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.textAlignment'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_textAlignment_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.textAnchor'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_textAnchor_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.textAngle'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_textAngle_input", void 0);
                __decorate([
                    core_2.Input('captionSettings.textPosition'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "captionSettings_textPosition_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.comparativeMeasureSettings'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_comparativeMeasureSettings_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.comparativeMeasureSettings.stroke'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_comparativeMeasureSettings_stroke_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.comparativeMeasureSettings.width'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_comparativeMeasureSettings_width_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.featuredMeasureSettings'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_featuredMeasureSettings_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.featuredMeasureSettings.stroke'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_featuredMeasureSettings_stroke_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.featuredMeasureSettings.width'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_featuredMeasureSettings_width_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.fields'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_fields_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.fields.category'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_fields_category_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.fields.comparativeMeasure'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_fields_comparativeMeasure_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.fields.dataSource'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_fields_dataSource_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.fields.featureMeasures'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_fields_featureMeasures_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.fields.query'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_fields_query_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.fields.tableName'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_fields_tableName_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.interval'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_interval_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.labelSettings'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_labelSettings_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.labelSettings.font'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_labelSettings_font_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.labelSettings.labelPlacement'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_labelSettings_labelPlacement_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.labelSettings.labelPrefix'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_labelSettings_labelPrefix_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.labelSettings.labelSuffix'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_labelSettings_labelSuffix_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.labelSettings.offset'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_labelSettings_offset_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.labelSettings.position'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_labelSettings_position_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.labelSettings.size'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_labelSettings_size_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.labelSettings.stroke'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_labelSettings_stroke_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.location'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_location_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.location.x'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_location_x_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.location.y'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_location_y_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.majorTickSettings'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_majorTickSettings_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.majorTickSettings.size'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_majorTickSettings_size_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.majorTickSettings.stroke'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_majorTickSettings_stroke_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.majorTickSettings.width'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_majorTickSettings_width_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.maximum'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_maximum_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.minimum'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_minimum_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.minorTickSettings'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_minorTickSettings_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.minorTickSettings.size'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_minorTickSettings_size_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.minorTickSettings.stroke'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_minorTickSettings_stroke_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.minorTickSettings.width'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_minorTickSettings_width_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.minorTicksPerInterval'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_minorTicksPerInterval_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.tickPlacement'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_tickPlacement_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.tickPosition'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_tickPosition_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.captionTemplate'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "tooltipSettings_captionTemplate_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.enableCaptionTooltip'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "tooltipSettings_enableCaptionTooltip_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.template'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "tooltipSettings_template_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.visible'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "tooltipSettings_visible_input", void 0);
                __decorate([
                    core_2.Input('qualitativeRanges'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "qualitativeRanges_input", void 0);
                __decorate([
                    core_2.Input('quantitativeScaleSettings.featureMeasures'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "quantitativeScaleSettings_featureMeasures_input", void 0);
                __decorate([
                    core_2.Output('drawCaption'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "drawCaption_output", void 0);
                __decorate([
                    core_2.Output('drawCategory'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "drawCategory_output", void 0);
                __decorate([
                    core_2.Output('drawComparativeMeasureSymbol'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "drawComparativeMeasureSymbol_output", void 0);
                __decorate([
                    core_2.Output('drawFeatureMeasureBar'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "drawFeatureMeasureBar_output", void 0);
                __decorate([
                    core_2.Output('drawIndicator'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "drawIndicator_output", void 0);
                __decorate([
                    core_2.Output('drawLabels'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "drawLabels_output", void 0);
                __decorate([
                    core_2.Output('drawTicks'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "drawTicks_output", void 0);
                __decorate([
                    core_2.Output('drawQualitativeRanges'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "drawQualitativeRanges_output", void 0);
                __decorate([
                    core_2.Output('load'),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "load_output", void 0);
                __decorate([
                    core_2.ContentChild(BulletGraphQualitativeRangesDirective),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "tag_qualitativeRanges", void 0);
                __decorate([
                    core_2.ContentChild(BulletGraphQuantitativeScaleSettingsFeatureMeasuresDirective),
                    __metadata("design:type", Object)
                ], BulletGraphComponent.prototype, "tag_quantitativeScaleSettings_featureMeasures", void 0);
                BulletGraphComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-bulletgraph',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], BulletGraphComponent);
                return BulletGraphComponent;
            }(core_1.EJComponents));
            exports_1("BulletGraphComponent", BulletGraphComponent);
            exports_1("EJ_BULLETGRAPH_COMPONENTS", EJ_BULLETGRAPH_COMPONENTS = [BulletGraphComponent,
                BulletGraphQualitativeRangesDirective, BulletGraphQuantitativeScaleSettingsFeatureMeasuresDirective, BulletGraphQualitativeRangeDirective, BulletGraphQuantitativeScaleSettingsFeatureMeasureDirective]);
        }
    };
});
//# sourceMappingURL=bulletgraph.component.js.map