System.register(["syncfusion-javascript/Scripts/ej/datavisualization/ej.diagram", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, DiagramCommandManagerCommandDirective, DiagramCommandManagerCommandsDirective, DiagramSegmentDirective, DiagramSegmentsDirective, DiagramConnectorLabelDirective, DiagramConnectorLabelsDirective, DiagramConnectorDirective, DiagramConnectorsDirective, DiagramNodeLabelDirective, DiagramNodeLabelsDirective, DiagramPhaseDirective, DiagramPhasesDirective, DiagramPortDirective, DiagramPortsDirective, DiagramNodeDirective, DiagramNodesDirective, DiagramComponent, EJ_DIAGRAM_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            DiagramCommandManagerCommandDirective = (function (_super) {
                __extends(DiagramCommandManagerCommandDirective, _super);
                function DiagramCommandManagerCommandDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('canExecute'),
                    __metadata("design:type", Object)
                ], DiagramCommandManagerCommandDirective.prototype, "canExecute", void 0);
                __decorate([
                    core_2.Input('execute'),
                    __metadata("design:type", Object)
                ], DiagramCommandManagerCommandDirective.prototype, "execute", void 0);
                __decorate([
                    core_2.Input('gesture'),
                    __metadata("design:type", Object)
                ], DiagramCommandManagerCommandDirective.prototype, "gesture", void 0);
                __decorate([
                    core_2.Input('gesture.key'),
                    __metadata("design:type", Object)
                ], DiagramCommandManagerCommandDirective.prototype, "gesture_key", void 0);
                __decorate([
                    core_2.Input('gesture.keyModifiers'),
                    __metadata("design:type", Object)
                ], DiagramCommandManagerCommandDirective.prototype, "gesture_keyModifiers", void 0);
                __decorate([
                    core_2.Input('parameter'),
                    __metadata("design:type", Object)
                ], DiagramCommandManagerCommandDirective.prototype, "parameter", void 0);
                DiagramCommandManagerCommandDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-commandmanager-commands>e-commandmanager-command',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramCommandManagerCommandDirective);
                return DiagramCommandManagerCommandDirective;
            }(core_1.ComplexTagElement));
            exports_1("DiagramCommandManagerCommandDirective", DiagramCommandManagerCommandDirective);
            DiagramCommandManagerCommandsDirective = (function (_super) {
                __extends(DiagramCommandManagerCommandsDirective, _super);
                function DiagramCommandManagerCommandsDirective(widget) {
                    return _super.call(this, 'commandManager.commands') || this;
                }
                DiagramCommandManagerCommandsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-diagram>e-commandmanager-commands',
                        queries: {
                            children: new core_2.ContentChildren(DiagramCommandManagerCommandDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramCommandManagerCommandsDirective);
                return DiagramCommandManagerCommandsDirective;
            }(core_1.ArrayTagElement));
            exports_1("DiagramCommandManagerCommandsDirective", DiagramCommandManagerCommandsDirective);
            DiagramSegmentDirective = (function (_super) {
                __extends(DiagramSegmentDirective, _super);
                function DiagramSegmentDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('direction'),
                    __metadata("design:type", Object)
                ], DiagramSegmentDirective.prototype, "direction", void 0);
                __decorate([
                    core_2.Input('length'),
                    __metadata("design:type", Object)
                ], DiagramSegmentDirective.prototype, "length", void 0);
                __decorate([
                    core_2.Input('point'),
                    __metadata("design:type", Object)
                ], DiagramSegmentDirective.prototype, "point", void 0);
                __decorate([
                    core_2.Input('point1'),
                    __metadata("design:type", Object)
                ], DiagramSegmentDirective.prototype, "point1", void 0);
                __decorate([
                    core_2.Input('point2'),
                    __metadata("design:type", Object)
                ], DiagramSegmentDirective.prototype, "point2", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], DiagramSegmentDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('vector1'),
                    __metadata("design:type", Object)
                ], DiagramSegmentDirective.prototype, "vector1", void 0);
                __decorate([
                    core_2.Input('vector2'),
                    __metadata("design:type", Object)
                ], DiagramSegmentDirective.prototype, "vector2", void 0);
                DiagramSegmentDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-segments>e-segment',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramSegmentDirective);
                return DiagramSegmentDirective;
            }(core_1.ComplexTagElement));
            exports_1("DiagramSegmentDirective", DiagramSegmentDirective);
            DiagramSegmentsDirective = (function (_super) {
                __extends(DiagramSegmentsDirective, _super);
                function DiagramSegmentsDirective(widget) {
                    return _super.call(this, 'segments') || this;
                }
                DiagramSegmentsDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-connectors>e-segments',
                        queries: {
                            children: new core_2.ContentChildren(DiagramSegmentDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramSegmentsDirective);
                return DiagramSegmentsDirective;
            }(core_1.ArrayTagElement));
            exports_1("DiagramSegmentsDirective", DiagramSegmentsDirective);
            DiagramConnectorLabelDirective = (function (_super) {
                __extends(DiagramConnectorLabelDirective, _super);
                function DiagramConnectorLabelDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('alignment'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "alignment", void 0);
                __decorate([
                    core_2.Input('bold'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "bold", void 0);
                __decorate([
                    core_2.Input('borderColor'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "borderColor", void 0);
                __decorate([
                    core_2.Input('borderWidth'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "borderWidth", void 0);
                __decorate([
                    core_2.Input('boundaryConstraints'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "boundaryConstraints", void 0);
                __decorate([
                    core_2.Input('fillColor'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "fillColor", void 0);
                __decorate([
                    core_2.Input('fontColor'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "fontColor", void 0);
                __decorate([
                    core_2.Input('fontFamily'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "fontFamily", void 0);
                __decorate([
                    core_2.Input('fontSize'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "fontSize", void 0);
                __decorate([
                    core_2.Input('horizontalAlignment'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "horizontalAlignment", void 0);
                __decorate([
                    core_2.Input('hyperlink'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "hyperlink", void 0);
                __decorate([
                    core_2.Input('italic'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "italic", void 0);
                __decorate([
                    core_2.Input('mode'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "mode", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "name", void 0);
                __decorate([
                    core_2.Input('offset'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "offset", void 0);
                __decorate([
                    core_2.Input('margin'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "margin", void 0);
                __decorate([
                    core_2.Input('margin.right'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "margin_right", void 0);
                __decorate([
                    core_2.Input('margin.left'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "margin_left", void 0);
                __decorate([
                    core_2.Input('margin.top'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "margin_top", void 0);
                __decorate([
                    core_2.Input('margin.bottom'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "margin_bottom", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "readOnly", void 0);
                __decorate([
                    core_2.Input('relativeMode'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "relativeMode", void 0);
                __decorate([
                    core_2.Input('rotateAngle'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "rotateAngle", void 0);
                __decorate([
                    core_2.Input('segmentOffset'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "segmentOffset", void 0);
                __decorate([
                    core_2.Input('text'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "text", void 0);
                __decorate([
                    core_2.Input('textAlign'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "textAlign", void 0);
                __decorate([
                    core_2.Input('textDecoration'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "textDecoration", void 0);
                __decorate([
                    core_2.Input('verticalAlignment'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "verticalAlignment", void 0);
                __decorate([
                    core_2.Input('visible'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "visible", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "width", void 0);
                __decorate([
                    core_2.Input('wrapping'),
                    __metadata("design:type", Object)
                ], DiagramConnectorLabelDirective.prototype, "wrapping", void 0);
                DiagramConnectorLabelDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-connectorlabels>e-connectorlabel',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramConnectorLabelDirective);
                return DiagramConnectorLabelDirective;
            }(core_1.ComplexTagElement));
            exports_1("DiagramConnectorLabelDirective", DiagramConnectorLabelDirective);
            DiagramConnectorLabelsDirective = (function (_super) {
                __extends(DiagramConnectorLabelsDirective, _super);
                function DiagramConnectorLabelsDirective(widget) {
                    return _super.call(this, 'labels') || this;
                }
                DiagramConnectorLabelsDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-connectors>e-connectorlabels',
                        queries: {
                            children: new core_2.ContentChildren(DiagramConnectorLabelDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramConnectorLabelsDirective);
                return DiagramConnectorLabelsDirective;
            }(core_1.ArrayTagElement));
            exports_1("DiagramConnectorLabelsDirective", DiagramConnectorLabelsDirective);
            DiagramConnectorDirective = (function (_super) {
                __extends(DiagramConnectorDirective, _super);
                function DiagramConnectorDirective(widget) {
                    var _this = _super.call(this, ['segments', 'labels']) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('addInfo'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "addInfo", void 0);
                __decorate([
                    core_2.Input('bridgeSpace'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "bridgeSpace", void 0);
                __decorate([
                    core_2.Input('constraints'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "constraints", void 0);
                __decorate([
                    core_2.Input('cornerRadius'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "cornerRadius", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "cssClass", void 0);
                __decorate([
                    core_2.Input('horizontalAlign'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "horizontalAlign", void 0);
                __decorate([
                    core_2.Input('labels'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "labels", void 0);
                __decorate([
                    core_2.Input('lineColor'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "lineColor", void 0);
                __decorate([
                    core_2.Input('lineDashArray'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "lineDashArray", void 0);
                __decorate([
                    core_2.Input('lineHitPadding'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "lineHitPadding", void 0);
                __decorate([
                    core_2.Input('lineWidth'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "lineWidth", void 0);
                __decorate([
                    core_2.Input('marginBottom'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "marginBottom", void 0);
                __decorate([
                    core_2.Input('marginLeft'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "marginLeft", void 0);
                __decorate([
                    core_2.Input('marginRight'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "marginRight", void 0);
                __decorate([
                    core_2.Input('marginTop'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "marginTop", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "name", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('paletteItem'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "paletteItem", void 0);
                __decorate([
                    core_2.Input('parent'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "parent", void 0);
                __decorate([
                    core_2.Input('segments'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "segments", void 0);
                __decorate([
                    core_2.Input('shape'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape", void 0);
                __decorate([
                    core_2.Input('shape.type'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_type", void 0);
                __decorate([
                    core_2.Input('shape.flow'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_flow", void 0);
                __decorate([
                    core_2.Input('shape.association'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_association", void 0);
                __decorate([
                    core_2.Input('shape.message'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_message", void 0);
                __decorate([
                    core_2.Input('shape.sequence'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_sequence", void 0);
                __decorate([
                    core_2.Input('shape.relationship'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_relationship", void 0);
                __decorate([
                    core_2.Input('shape.multiplicity'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_multiplicity", void 0);
                __decorate([
                    core_2.Input('shape.multiplicity.type'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_multiplicity_type", void 0);
                __decorate([
                    core_2.Input('shape.multiplicity.source'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_multiplicity_source", void 0);
                __decorate([
                    core_2.Input('shape.multiplicity.source.optional'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_multiplicity_source_optional", void 0);
                __decorate([
                    core_2.Input('shape.multiplicity.source.lowerBounds'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_multiplicity_source_lowerBounds", void 0);
                __decorate([
                    core_2.Input('shape.multiplicity.source.upperBounds'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_multiplicity_source_upperBounds", void 0);
                __decorate([
                    core_2.Input('shape.multiplicity.target'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_multiplicity_target", void 0);
                __decorate([
                    core_2.Input('shape.ActivityFlow'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "shape_ActivityFlow", void 0);
                __decorate([
                    core_2.Input('sourceDecorator'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourceDecorator", void 0);
                __decorate([
                    core_2.Input('sourceDecorator.borderColor'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourceDecorator_borderColor", void 0);
                __decorate([
                    core_2.Input('sourceDecorator.borderWidth'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourceDecorator_borderWidth", void 0);
                __decorate([
                    core_2.Input('sourceDecorator.fillColor'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourceDecorator_fillColor", void 0);
                __decorate([
                    core_2.Input('sourceDecorator.height'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourceDecorator_height", void 0);
                __decorate([
                    core_2.Input('sourceDecorator.pathData'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourceDecorator_pathData", void 0);
                __decorate([
                    core_2.Input('sourceDecorator.shape'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourceDecorator_shape", void 0);
                __decorate([
                    core_2.Input('sourceDecorator.width'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourceDecorator_width", void 0);
                __decorate([
                    core_2.Input('sourceNode'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourceNode", void 0);
                __decorate([
                    core_2.Input('sourcePadding'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourcePadding", void 0);
                __decorate([
                    core_2.Input('sourcePoint'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourcePoint", void 0);
                __decorate([
                    core_2.Input('sourcePoint.x'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourcePoint_x", void 0);
                __decorate([
                    core_2.Input('sourcePoint.y'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourcePoint_y", void 0);
                __decorate([
                    core_2.Input('sourcePort'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "sourcePort", void 0);
                __decorate([
                    core_2.Input('targetDecorator'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "targetDecorator", void 0);
                __decorate([
                    core_2.Input('targetDecorator.borderColor'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "targetDecorator_borderColor", void 0);
                __decorate([
                    core_2.Input('targetDecorator.fillColor'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "targetDecorator_fillColor", void 0);
                __decorate([
                    core_2.Input('targetDecorator.height'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "targetDecorator_height", void 0);
                __decorate([
                    core_2.Input('targetDecorator.pathData'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "targetDecorator_pathData", void 0);
                __decorate([
                    core_2.Input('targetDecorator.shape'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "targetDecorator_shape", void 0);
                __decorate([
                    core_2.Input('targetDecorator.width'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "targetDecorator_width", void 0);
                __decorate([
                    core_2.Input('targetNode'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "targetNode", void 0);
                __decorate([
                    core_2.Input('targetPadding'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "targetPadding", void 0);
                __decorate([
                    core_2.Input('targetPoint'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "targetPoint", void 0);
                __decorate([
                    core_2.Input('targetPort'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "targetPort", void 0);
                __decorate([
                    core_2.Input('tooltip'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "tooltip", void 0);
                __decorate([
                    core_2.Input('verticalAlign'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "verticalAlign", void 0);
                __decorate([
                    core_2.Input('visible'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "visible", void 0);
                __decorate([
                    core_2.Input('zOrder'),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "zOrder", void 0);
                __decorate([
                    core_2.ContentChild(DiagramSegmentsDirective),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "tag_segments", void 0);
                __decorate([
                    core_2.ContentChild(DiagramConnectorLabelsDirective),
                    __metadata("design:type", Object)
                ], DiagramConnectorDirective.prototype, "tag_labels", void 0);
                DiagramConnectorDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-connectors>e-connector',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramConnectorDirective);
                return DiagramConnectorDirective;
            }(core_1.ComplexTagElement));
            exports_1("DiagramConnectorDirective", DiagramConnectorDirective);
            DiagramConnectorsDirective = (function (_super) {
                __extends(DiagramConnectorsDirective, _super);
                function DiagramConnectorsDirective(widget) {
                    return _super.call(this, 'connectors') || this;
                }
                DiagramConnectorsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-diagram>e-connectors',
                        queries: {
                            children: new core_2.ContentChildren(DiagramConnectorDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramConnectorsDirective);
                return DiagramConnectorsDirective;
            }(core_1.ArrayTagElement));
            exports_1("DiagramConnectorsDirective", DiagramConnectorsDirective);
            DiagramNodeLabelDirective = (function (_super) {
                __extends(DiagramNodeLabelDirective, _super);
                function DiagramNodeLabelDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('bold'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "bold", void 0);
                __decorate([
                    core_2.Input('borderColor'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "borderColor", void 0);
                __decorate([
                    core_2.Input('borderWidth'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "borderWidth", void 0);
                __decorate([
                    core_2.Input('fillColor'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "fillColor", void 0);
                __decorate([
                    core_2.Input('fontColor'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "fontColor", void 0);
                __decorate([
                    core_2.Input('fontFamily'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "fontFamily", void 0);
                __decorate([
                    core_2.Input('fontSize'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "fontSize", void 0);
                __decorate([
                    core_2.Input('horizontalAlignment'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "horizontalAlignment", void 0);
                __decorate([
                    core_2.Input('italic'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "italic", void 0);
                __decorate([
                    core_2.Input('margin'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "margin", void 0);
                __decorate([
                    core_2.Input('mode'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "mode", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "name", void 0);
                __decorate([
                    core_2.Input('offset'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "offset", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('overflowType'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "overflowType", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "readOnly", void 0);
                __decorate([
                    core_2.Input('rotateAngle'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "rotateAngle", void 0);
                __decorate([
                    core_2.Input('text'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "text", void 0);
                __decorate([
                    core_2.Input('textAlign'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "textAlign", void 0);
                __decorate([
                    core_2.Input('textDecoration'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "textDecoration", void 0);
                __decorate([
                    core_2.Input('textOverflow'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "textOverflow", void 0);
                __decorate([
                    core_2.Input('verticalAlignment'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "verticalAlignment", void 0);
                __decorate([
                    core_2.Input('visible'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "visible", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "width", void 0);
                __decorate([
                    core_2.Input('wrapping'),
                    __metadata("design:type", Object)
                ], DiagramNodeLabelDirective.prototype, "wrapping", void 0);
                DiagramNodeLabelDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-nodelabels>e-nodelabel',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramNodeLabelDirective);
                return DiagramNodeLabelDirective;
            }(core_1.ComplexTagElement));
            exports_1("DiagramNodeLabelDirective", DiagramNodeLabelDirective);
            DiagramNodeLabelsDirective = (function (_super) {
                __extends(DiagramNodeLabelsDirective, _super);
                function DiagramNodeLabelsDirective(widget) {
                    return _super.call(this, 'labels') || this;
                }
                DiagramNodeLabelsDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-nodes>e-nodelabels',
                        queries: {
                            children: new core_2.ContentChildren(DiagramNodeLabelDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramNodeLabelsDirective);
                return DiagramNodeLabelsDirective;
            }(core_1.ArrayTagElement));
            exports_1("DiagramNodeLabelsDirective", DiagramNodeLabelsDirective);
            DiagramPhaseDirective = (function (_super) {
                __extends(DiagramPhaseDirective, _super);
                function DiagramPhaseDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('label'),
                    __metadata("design:type", Object)
                ], DiagramPhaseDirective.prototype, "label", void 0);
                __decorate([
                    core_2.Input('lineColor'),
                    __metadata("design:type", Object)
                ], DiagramPhaseDirective.prototype, "lineColor", void 0);
                __decorate([
                    core_2.Input('lineDashArray'),
                    __metadata("design:type", Object)
                ], DiagramPhaseDirective.prototype, "lineDashArray", void 0);
                __decorate([
                    core_2.Input('lineWidth'),
                    __metadata("design:type", Object)
                ], DiagramPhaseDirective.prototype, "lineWidth", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], DiagramPhaseDirective.prototype, "name", void 0);
                __decorate([
                    core_2.Input('offset'),
                    __metadata("design:type", Object)
                ], DiagramPhaseDirective.prototype, "offset", void 0);
                __decorate([
                    core_2.Input('orientation'),
                    __metadata("design:type", Object)
                ], DiagramPhaseDirective.prototype, "orientation", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], DiagramPhaseDirective.prototype, "type", void 0);
                DiagramPhaseDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-phases>e-phase',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramPhaseDirective);
                return DiagramPhaseDirective;
            }(core_1.ComplexTagElement));
            exports_1("DiagramPhaseDirective", DiagramPhaseDirective);
            DiagramPhasesDirective = (function (_super) {
                __extends(DiagramPhasesDirective, _super);
                function DiagramPhasesDirective(widget) {
                    return _super.call(this, 'phases') || this;
                }
                DiagramPhasesDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-nodes>e-phases',
                        queries: {
                            children: new core_2.ContentChildren(DiagramPhaseDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramPhasesDirective);
                return DiagramPhasesDirective;
            }(core_1.ArrayTagElement));
            exports_1("DiagramPhasesDirective", DiagramPhasesDirective);
            DiagramPortDirective = (function (_super) {
                __extends(DiagramPortDirective, _super);
                function DiagramPortDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('borderColor'),
                    __metadata("design:type", Object)
                ], DiagramPortDirective.prototype, "borderColor", void 0);
                __decorate([
                    core_2.Input('borderWidth'),
                    __metadata("design:type", Object)
                ], DiagramPortDirective.prototype, "borderWidth", void 0);
                __decorate([
                    core_2.Input('connectorPadding'),
                    __metadata("design:type", Object)
                ], DiagramPortDirective.prototype, "connectorPadding", void 0);
                __decorate([
                    core_2.Input('constraints'),
                    __metadata("design:type", Object)
                ], DiagramPortDirective.prototype, "constraints", void 0);
                __decorate([
                    core_2.Input('fillColor'),
                    __metadata("design:type", Object)
                ], DiagramPortDirective.prototype, "fillColor", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], DiagramPortDirective.prototype, "name", void 0);
                __decorate([
                    core_2.Input('offset'),
                    __metadata("design:type", Object)
                ], DiagramPortDirective.prototype, "offset", void 0);
                __decorate([
                    core_2.Input('pathData'),
                    __metadata("design:type", Object)
                ], DiagramPortDirective.prototype, "pathData", void 0);
                __decorate([
                    core_2.Input('shape'),
                    __metadata("design:type", Object)
                ], DiagramPortDirective.prototype, "shape", void 0);
                __decorate([
                    core_2.Input('size'),
                    __metadata("design:type", Object)
                ], DiagramPortDirective.prototype, "size", void 0);
                __decorate([
                    core_2.Input('visibility'),
                    __metadata("design:type", Object)
                ], DiagramPortDirective.prototype, "visibility", void 0);
                DiagramPortDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-ports>e-port',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramPortDirective);
                return DiagramPortDirective;
            }(core_1.ComplexTagElement));
            exports_1("DiagramPortDirective", DiagramPortDirective);
            DiagramPortsDirective = (function (_super) {
                __extends(DiagramPortsDirective, _super);
                function DiagramPortsDirective(widget) {
                    return _super.call(this, 'ports') || this;
                }
                DiagramPortsDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-nodes>e-ports',
                        queries: {
                            children: new core_2.ContentChildren(DiagramPortDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramPortsDirective);
                return DiagramPortsDirective;
            }(core_1.ArrayTagElement));
            exports_1("DiagramPortsDirective", DiagramPortsDirective);
            DiagramNodeDirective = (function (_super) {
                __extends(DiagramNodeDirective, _super);
                function DiagramNodeDirective(widget) {
                    var _this = _super.call(this, ['labels', 'phases', 'ports']) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('activity'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "activity", void 0);
                __decorate([
                    core_2.Input('addInfo'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "addInfo", void 0);
                __decorate([
                    core_2.Input('annotation'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "annotation", void 0);
                __decorate([
                    core_2.Input('annotation.angle'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "annotation_angle", void 0);
                __decorate([
                    core_2.Input('annotation.direction'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "annotation_direction", void 0);
                __decorate([
                    core_2.Input('annotation.height'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "annotation_height", void 0);
                __decorate([
                    core_2.Input('annotation.length'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "annotation_length", void 0);
                __decorate([
                    core_2.Input('annotation.text'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "annotation_text", void 0);
                __decorate([
                    core_2.Input('annotation.width'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "annotation_width", void 0);
                __decorate([
                    core_2.Input('borderColor'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "borderColor", void 0);
                __decorate([
                    core_2.Input('borderDashArray'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "borderDashArray", void 0);
                __decorate([
                    core_2.Input('borderWidth'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "borderWidth", void 0);
                __decorate([
                    core_2.Input('canUngroup'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "canUngroup", void 0);
                __decorate([
                    core_2.Input('children'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "children", void 0);
                __decorate([
                    core_2.Input('classifier'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "classifier", void 0);
                __decorate([
                    core_2.Input('class'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "class", void 0);
                __decorate([
                    core_2.Input('class.name'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "class_name", void 0);
                __decorate([
                    core_2.Input('class.attributes'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "class_attributes", void 0);
                __decorate([
                    core_2.Input('class.methods'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "class_methods", void 0);
                __decorate([
                    core_2.Input('collapseIcon'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "collapseIcon", void 0);
                __decorate([
                    core_2.Input('collapseIcon.borderColor'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "collapseIcon_borderColor", void 0);
                __decorate([
                    core_2.Input('collapseIcon.borderWidth'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "collapseIcon_borderWidth", void 0);
                __decorate([
                    core_2.Input('collapseIcon.fillColor'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "collapseIcon_fillColor", void 0);
                __decorate([
                    core_2.Input('collapseIcon.height'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "collapseIcon_height", void 0);
                __decorate([
                    core_2.Input('collapseIcon.horizontalAlignment'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "collapseIcon_horizontalAlignment", void 0);
                __decorate([
                    core_2.Input('collapseIcon.margin'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "collapseIcon_margin", void 0);
                __decorate([
                    core_2.Input('collapseIcon.offset'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "collapseIcon_offset", void 0);
                __decorate([
                    core_2.Input('collapseIcon.shape'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "collapseIcon_shape", void 0);
                __decorate([
                    core_2.Input('collapseIcon.verticalAlignment'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "collapseIcon_verticalAlignment", void 0);
                __decorate([
                    core_2.Input('connectorPadding'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "connectorPadding", void 0);
                __decorate([
                    core_2.Input('constraints'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "constraints", void 0);
                __decorate([
                    core_2.Input('container'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "container", void 0);
                __decorate([
                    core_2.Input('container.orientation'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "container_orientation", void 0);
                __decorate([
                    core_2.Input('container.type'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "container_type", void 0);
                __decorate([
                    core_2.Input('cornerRadius'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "cornerRadius", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "cssClass", void 0);
                __decorate([
                    core_2.Input('data'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "data", void 0);
                __decorate([
                    core_2.Input('data.type'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "data_type", void 0);
                __decorate([
                    core_2.Input('data.collection'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "data_collection", void 0);
                __decorate([
                    core_2.Input('enumeration'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "enumeration", void 0);
                __decorate([
                    core_2.Input('enumeration.name'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "enumeration_name", void 0);
                __decorate([
                    core_2.Input('enumeration.members'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "enumeration_members", void 0);
                __decorate([
                    core_2.Input('event'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "event", void 0);
                __decorate([
                    core_2.Input('excludeFromLayout'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "excludeFromLayout", void 0);
                __decorate([
                    core_2.Input('expandIcon'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "expandIcon", void 0);
                __decorate([
                    core_2.Input('expandIcon.borderColor'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "expandIcon_borderColor", void 0);
                __decorate([
                    core_2.Input('expandIcon.borderWidth'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "expandIcon_borderWidth", void 0);
                __decorate([
                    core_2.Input('expandIcon.fillColor'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "expandIcon_fillColor", void 0);
                __decorate([
                    core_2.Input('expandIcon.height'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "expandIcon_height", void 0);
                __decorate([
                    core_2.Input('expandIcon.horizontalAlignment'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "expandIcon_horizontalAlignment", void 0);
                __decorate([
                    core_2.Input('expandIcon.margin'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "expandIcon_margin", void 0);
                __decorate([
                    core_2.Input('expandIcon.offset'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "expandIcon_offset", void 0);
                __decorate([
                    core_2.Input('expandIcon.shape'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "expandIcon_shape", void 0);
                __decorate([
                    core_2.Input('expandIcon.verticalAlignment'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "expandIcon_verticalAlignment", void 0);
                __decorate([
                    core_2.Input('fillColor'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "fillColor", void 0);
                __decorate([
                    core_2.Input('gateway'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gateway", void 0);
                __decorate([
                    core_2.Input('gradient'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient", void 0);
                __decorate([
                    core_2.Input('gradient.LinearGradient'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_LinearGradient", void 0);
                __decorate([
                    core_2.Input('gradient.LinearGradient.stops'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_LinearGradient_stops", void 0);
                __decorate([
                    core_2.Input('gradient.LinearGradient.x1'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_LinearGradient_x1", void 0);
                __decorate([
                    core_2.Input('gradient.LinearGradient.x2'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_LinearGradient_x2", void 0);
                __decorate([
                    core_2.Input('gradient.LinearGradient.y1'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_LinearGradient_y1", void 0);
                __decorate([
                    core_2.Input('gradient.LinearGradient.y2'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_LinearGradient_y2", void 0);
                __decorate([
                    core_2.Input('gradient.RadialGradient'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_RadialGradient", void 0);
                __decorate([
                    core_2.Input('gradient.RadialGradient.cx'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_RadialGradient_cx", void 0);
                __decorate([
                    core_2.Input('gradient.RadialGradient.cy'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_RadialGradient_cy", void 0);
                __decorate([
                    core_2.Input('gradient.RadialGradient.fx'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_RadialGradient_fx", void 0);
                __decorate([
                    core_2.Input('gradient.RadialGradient.fy'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_RadialGradient_fy", void 0);
                __decorate([
                    core_2.Input('gradient.RadialGradient.stops'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_RadialGradient_stops", void 0);
                __decorate([
                    core_2.Input('gradient.Stop'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_Stop", void 0);
                __decorate([
                    core_2.Input('gradient.Stop.color'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_Stop_color", void 0);
                __decorate([
                    core_2.Input('gradient.Stop.offset'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_Stop_offset", void 0);
                __decorate([
                    core_2.Input('gradient.Stop.opacity'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "gradient_Stop_opacity", void 0);
                __decorate([
                    core_2.Input('group'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "group", void 0);
                __decorate([
                    core_2.Input('header'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "header", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "height", void 0);
                __decorate([
                    core_2.Input('horizontalAlign'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "horizontalAlign", void 0);
                __decorate([
                    core_2.Input('inEdges'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "inEdges", void 0);
                __decorate([
                    core_2.Input('interface'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "interface", void 0);
                __decorate([
                    core_2.Input('interface.name'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "interface_name", void 0);
                __decorate([
                    core_2.Input('interface.attributes'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "interface_attributes", void 0);
                __decorate([
                    core_2.Input('interface.methods'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "interface_methods", void 0);
                __decorate([
                    core_2.Input('isExpanded'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "isExpanded", void 0);
                __decorate([
                    core_2.Input('isSwimlane'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "isSwimlane", void 0);
                __decorate([
                    core_2.Input('labels'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "labels", void 0);
                __decorate([
                    core_2.Input('lanes'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "lanes", void 0);
                __decorate([
                    core_2.Input('marginBottom'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "marginBottom", void 0);
                __decorate([
                    core_2.Input('marginLeft'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "marginLeft", void 0);
                __decorate([
                    core_2.Input('marginRight'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "marginRight", void 0);
                __decorate([
                    core_2.Input('marginTop'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "marginTop", void 0);
                __decorate([
                    core_2.Input('maxHeight'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "maxHeight", void 0);
                __decorate([
                    core_2.Input('maxWidth'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "maxWidth", void 0);
                __decorate([
                    core_2.Input('minHeight'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "minHeight", void 0);
                __decorate([
                    core_2.Input('minWidth'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "minWidth", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "name", void 0);
                __decorate([
                    core_2.Input('offsetX'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "offsetX", void 0);
                __decorate([
                    core_2.Input('offsetY'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "offsetY", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('orientation'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "orientation", void 0);
                __decorate([
                    core_2.Input('outEdges'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "outEdges", void 0);
                __decorate([
                    core_2.Input('paddingBottom'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "paddingBottom", void 0);
                __decorate([
                    core_2.Input('paddingLeft'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "paddingLeft", void 0);
                __decorate([
                    core_2.Input('paddingRight'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "paddingRight", void 0);
                __decorate([
                    core_2.Input('paddingTop'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "paddingTop", void 0);
                __decorate([
                    core_2.Input('paletteItem'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "paletteItem", void 0);
                __decorate([
                    core_2.Input('paletteItem.enableScale'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "paletteItem_enableScale", void 0);
                __decorate([
                    core_2.Input('paletteItem.height'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "paletteItem_height", void 0);
                __decorate([
                    core_2.Input('paletteItem.margin'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "paletteItem_margin", void 0);
                __decorate([
                    core_2.Input('paletteItem.previewHeight'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "paletteItem_previewHeight", void 0);
                __decorate([
                    core_2.Input('paletteItem.previewWidth'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "paletteItem_previewWidth", void 0);
                __decorate([
                    core_2.Input('paletteItem.width'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "paletteItem_width", void 0);
                __decorate([
                    core_2.Input('parent'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "parent", void 0);
                __decorate([
                    core_2.Input('pathData'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "pathData", void 0);
                __decorate([
                    core_2.Input('phases'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "phases", void 0);
                __decorate([
                    core_2.Input('phaseSize'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "phaseSize", void 0);
                __decorate([
                    core_2.Input('pivot'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "pivot", void 0);
                __decorate([
                    core_2.Input('points'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "points", void 0);
                __decorate([
                    core_2.Input('ports'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "ports", void 0);
                __decorate([
                    core_2.Input('rotateAngle'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "rotateAngle", void 0);
                __decorate([
                    core_2.Input('shadow'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "shadow", void 0);
                __decorate([
                    core_2.Input('shadow.angle'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "shadow_angle", void 0);
                __decorate([
                    core_2.Input('shadow.distance'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "shadow_distance", void 0);
                __decorate([
                    core_2.Input('shadow.opacity'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "shadow_opacity", void 0);
                __decorate([
                    core_2.Input('shape'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "shape", void 0);
                __decorate([
                    core_2.Input('source'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "source", void 0);
                __decorate([
                    core_2.Input('subProcess'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "subProcess", void 0);
                __decorate([
                    core_2.Input('subProcess.adhoc'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "subProcess_adhoc", void 0);
                __decorate([
                    core_2.Input('subProcess.boundary'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "subProcess_boundary", void 0);
                __decorate([
                    core_2.Input('subProcess.compensation'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "subProcess_compensation", void 0);
                __decorate([
                    core_2.Input('subProcess.collapsed'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "subProcess_collapsed", void 0);
                __decorate([
                    core_2.Input('subProcess.event'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "subProcess_event", void 0);
                __decorate([
                    core_2.Input('subProcess.events'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "subProcess_events", void 0);
                __decorate([
                    core_2.Input('subProcess.loop'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "subProcess_loop", void 0);
                __decorate([
                    core_2.Input('subProcess.Processes'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "subProcess_Processes", void 0);
                __decorate([
                    core_2.Input('subProcess.trigger'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "subProcess_trigger", void 0);
                __decorate([
                    core_2.Input('subProcess.type'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "subProcess_type", void 0);
                __decorate([
                    core_2.Input('task'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "task", void 0);
                __decorate([
                    core_2.Input('task.call'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "task_call", void 0);
                __decorate([
                    core_2.Input('task.compensation'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "task_compensation", void 0);
                __decorate([
                    core_2.Input('task.loop'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "task_loop", void 0);
                __decorate([
                    core_2.Input('task.type'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "task_type", void 0);
                __decorate([
                    core_2.Input('templateId'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "templateId", void 0);
                __decorate([
                    core_2.Input('textBlock'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "textBlock", void 0);
                __decorate([
                    core_2.Input('tooltip'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "tooltip", void 0);
                __decorate([
                    core_2.Input('trigger'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "trigger", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('verticalAlign'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "verticalAlign", void 0);
                __decorate([
                    core_2.Input('visible'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "visible", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "width", void 0);
                __decorate([
                    core_2.Input('zOrder'),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "zOrder", void 0);
                __decorate([
                    core_2.ContentChild(DiagramNodeLabelsDirective),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "tag_labels", void 0);
                __decorate([
                    core_2.ContentChild(DiagramPhasesDirective),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "tag_phases", void 0);
                __decorate([
                    core_2.ContentChild(DiagramPortsDirective),
                    __metadata("design:type", Object)
                ], DiagramNodeDirective.prototype, "tag_ports", void 0);
                DiagramNodeDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-nodes>e-node',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramNodeDirective);
                return DiagramNodeDirective;
            }(core_1.ComplexTagElement));
            exports_1("DiagramNodeDirective", DiagramNodeDirective);
            DiagramNodesDirective = (function (_super) {
                __extends(DiagramNodesDirective, _super);
                function DiagramNodesDirective(widget) {
                    return _super.call(this, 'nodes') || this;
                }
                DiagramNodesDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-diagram>e-nodes',
                        queries: {
                            children: new core_2.ContentChildren(DiagramNodeDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return DiagramComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], DiagramNodesDirective);
                return DiagramNodesDirective;
            }(core_1.ArrayTagElement));
            exports_1("DiagramNodesDirective", DiagramNodesDirective);
            DiagramComponent = (function (_super) {
                __extends(DiagramComponent, _super);
                function DiagramComponent(el, cdRef) {
                    var _this = _super.call(this, 'Diagram', el, cdRef, ['commandManager.commands', 'connectors', 'nodes']) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.autoScrollChange_output = new core_2.EventEmitter();
                    _this.click_output = new core_2.EventEmitter();
                    _this.ejclick_output = new core_2.EventEmitter();
                    _this.connectionChange_output = new core_2.EventEmitter();
                    _this.connectorCollectionChange_output = new core_2.EventEmitter();
                    _this.connectorSourceChange_output = new core_2.EventEmitter();
                    _this.connectorTargetChange_output = new core_2.EventEmitter();
                    _this.contextMenuBeforeOpen_output = new core_2.EventEmitter();
                    _this.contextMenuClick_output = new core_2.EventEmitter();
                    _this.doubleClick_output = new core_2.EventEmitter();
                    _this.drag_output = new core_2.EventEmitter();
                    _this.dragEnter_output = new core_2.EventEmitter();
                    _this.dragLeave_output = new core_2.EventEmitter();
                    _this.dragOver_output = new core_2.EventEmitter();
                    _this.drop_output = new core_2.EventEmitter();
                    _this.editorFocusChange_output = new core_2.EventEmitter();
                    _this.groupChange_output = new core_2.EventEmitter();
                    _this.historyChange_output = new core_2.EventEmitter();
                    _this.itemClick_output = new core_2.EventEmitter();
                    _this.mouseEnter_output = new core_2.EventEmitter();
                    _this.mouseLeave_output = new core_2.EventEmitter();
                    _this.mouseOver_output = new core_2.EventEmitter();
                    _this.nodeCollectionChange_output = new core_2.EventEmitter();
                    _this.propertyChange_output = new core_2.EventEmitter();
                    _this.rotationChange_output = new core_2.EventEmitter();
                    _this.scrollChange_output = new core_2.EventEmitter();
                    _this.segmentChange_output = new core_2.EventEmitter();
                    _this.selectionChange_output = new core_2.EventEmitter();
                    _this.sizeChange_output = new core_2.EventEmitter();
                    _this.textChange_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('backgroundColor'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "backgroundColor_input", void 0);
                __decorate([
                    core_2.Input('backgroundImage'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "backgroundImage_input", void 0);
                __decorate([
                    core_2.Input('bridgeDirection'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "bridgeDirection_input", void 0);
                __decorate([
                    core_2.Input('commandManager'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "commandManager_input", void 0);
                __decorate([
                    core_2.Input('connectorTemplate'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "connectorTemplate_input", void 0);
                __decorate([
                    core_2.Input('constraints'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "constraints_input", void 0);
                __decorate([
                    core_2.Input('contextMenu'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "contextMenu_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_input", void 0);
                __decorate([
                    core_2.Input('defaultSettings'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "defaultSettings_input", void 0);
                __decorate([
                    core_2.Input('drawType'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "drawType_input", void 0);
                __decorate([
                    core_2.Input('enableAutoScroll'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "enableAutoScroll_input", void 0);
                __decorate([
                    core_2.Input('enableContextMenu'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "enableContextMenu_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('historyManager'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyManager_input", void 0);
                __decorate([
                    core_2.Input('labelRenderingMode'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "labelRenderingMode_input", void 0);
                __decorate([
                    core_2.Input('layout'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('nodeTemplate'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "nodeTemplate_input", void 0);
                __decorate([
                    core_2.Input('pageSettings'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "scrollSettings_input", void 0);
                __decorate([
                    core_2.Input('selectedItems'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectedItems_input", void 0);
                __decorate([
                    core_2.Input('showTooltip'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "showTooltip_input", void 0);
                __decorate([
                    core_2.Input('snapSettings'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_input", void 0);
                __decorate([
                    core_2.Input('tool'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "tool_input", void 0);
                __decorate([
                    core_2.Input('tooltip'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "tooltip_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Input('zoomFactor'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "zoomFactor_input", void 0);
                __decorate([
                    core_2.Input('backgroundImage.alignment'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "backgroundImage_alignment_input", void 0);
                __decorate([
                    core_2.Input('commandManager.commands'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "commandManager_commands_input", void 0);
                __decorate([
                    core_2.Input('commandManager.commands.canExecute'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "commandManager_commands_canExecute_input", void 0);
                __decorate([
                    core_2.Input('commandManager.commands.execute'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "commandManager_commands_execute_input", void 0);
                __decorate([
                    core_2.Input('commandManager.commands.gesture'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "commandManager_commands_gesture_input", void 0);
                __decorate([
                    core_2.Input('commandManager.commands.parameter'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "commandManager_commands_parameter_input", void 0);
                __decorate([
                    core_2.Input('contextMenu.showCustomMenuItemsOnly'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "contextMenu_showCustomMenuItemsOnly_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.dataSource'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_dataSource_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.id'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_id_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.parent'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_parent_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.query'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_query_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.root'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_root_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.tableName'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_tableName_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.crudAction'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_crudAction_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.crudAction.create'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_crudAction_create_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.crudAction.update'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_crudAction_update_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.crudAction.destroy'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_crudAction_destroy_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.crudAction.read'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_crudAction_read_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.customFields'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_customFields_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.connectionDataSource'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_connectionDataSource_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.connectionDataSource.dataSource'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_connectionDataSource_dataSource_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.connectionDataSource.id'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_connectionDataSource_id_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.connectionDataSource.sourceNode'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_connectionDataSource_sourceNode_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.connectionDataSource.targetNode'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_connectionDataSource_targetNode_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.connectionDataSource.sourcePointX'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_connectionDataSource_sourcePointX_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.connectionDataSource.sourcePointY'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_connectionDataSource_sourcePointY_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.connectionDataSource.targetPointX'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_connectionDataSource_targetPointX_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.connectionDataSource.targetPointY'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_connectionDataSource_targetPointY_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.connectionDataSource.crudAction'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_connectionDataSource_crudAction_input", void 0);
                __decorate([
                    core_2.Input('dataSourceSettings.connectionDataSource.customFields'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dataSourceSettings_connectionDataSource_customFields_input", void 0);
                __decorate([
                    core_2.Input('defaultSettings.connector'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "defaultSettings_connector_input", void 0);
                __decorate([
                    core_2.Input('defaultSettings.group'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "defaultSettings_group_input", void 0);
                __decorate([
                    core_2.Input('defaultSettings.node'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "defaultSettings_node_input", void 0);
                __decorate([
                    core_2.Input('historyManager.canPop'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyManager_canPop_input", void 0);
                __decorate([
                    core_2.Input('historyManager.closeGroupAction'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyManager_closeGroupAction_input", void 0);
                __decorate([
                    core_2.Input('historyManager.pop'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyManager_pop_input", void 0);
                __decorate([
                    core_2.Input('historyManager.push'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyManager_push_input", void 0);
                __decorate([
                    core_2.Input('historyManager.redo'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyManager_redo_input", void 0);
                __decorate([
                    core_2.Input('historyManager.redoStack'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyManager_redoStack_input", void 0);
                __decorate([
                    core_2.Input('historyManager.stackLimit'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyManager_stackLimit_input", void 0);
                __decorate([
                    core_2.Input('historyManager.startGroupAction'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyManager_startGroupAction_input", void 0);
                __decorate([
                    core_2.Input('historyManager.undo'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyManager_undo_input", void 0);
                __decorate([
                    core_2.Input('historyManager.undoStack'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyManager_undoStack_input", void 0);
                __decorate([
                    core_2.Input('layout.bounds'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_bounds_input", void 0);
                __decorate([
                    core_2.Input('layout.fixedNode'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_fixedNode_input", void 0);
                __decorate([
                    core_2.Input('layout.getLayoutInfo'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_getLayoutInfo_input", void 0);
                __decorate([
                    core_2.Input('layout.getConnectorSegments'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_getConnectorSegments_input", void 0);
                __decorate([
                    core_2.Input('layout.horizontalSpacing'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_horizontalSpacing_input", void 0);
                __decorate([
                    core_2.Input('layout.margin'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_margin_input", void 0);
                __decorate([
                    core_2.Input('layout.horizontalAlignment'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_horizontalAlignment_input", void 0);
                __decorate([
                    core_2.Input('layout.verticalAlignment'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_verticalAlignment_input", void 0);
                __decorate([
                    core_2.Input('layout.orientation'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_orientation_input", void 0);
                __decorate([
                    core_2.Input('layout.type'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_type_input", void 0);
                __decorate([
                    core_2.Input('layout.verticalSpacing'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "layout_verticalSpacing_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.autoScrollBorder'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_autoScrollBorder_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.multiplePage'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_multiplePage_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.pageBackgroundColor'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_pageBackgroundColor_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.pageBorderColor'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_pageBorderColor_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.pageBorderWidth'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_pageBorderWidth_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.pageHeight'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_pageHeight_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.pageMargin'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_pageMargin_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.pageOrientation'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_pageOrientation_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.pageWidth'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_pageWidth_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.scrollableArea'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_scrollableArea_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.scrollLimit'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_scrollLimit_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.boundaryConstraints'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_boundaryConstraints_input", void 0);
                __decorate([
                    core_2.Input('pageSettings.showPageBreak'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "pageSettings_showPageBreak_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.currentZoom'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "scrollSettings_currentZoom_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.horizontalOffset'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "scrollSettings_horizontalOffset_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.padding'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "scrollSettings_padding_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.verticalOffset'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "scrollSettings_verticalOffset_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.viewPortHeight'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "scrollSettings_viewPortHeight_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.viewPortWidth'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "scrollSettings_viewPortWidth_input", void 0);
                __decorate([
                    core_2.Input('selectedItems.children'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectedItems_children_input", void 0);
                __decorate([
                    core_2.Input('selectedItems.constraints'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectedItems_constraints_input", void 0);
                __decorate([
                    core_2.Input('selectedItems.getConstraints'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectedItems_getConstraints_input", void 0);
                __decorate([
                    core_2.Input('selectedItems.height'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectedItems_height_input", void 0);
                __decorate([
                    core_2.Input('selectedItems.offsetX'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectedItems_offsetX_input", void 0);
                __decorate([
                    core_2.Input('selectedItems.offsetY'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectedItems_offsetY_input", void 0);
                __decorate([
                    core_2.Input('selectedItems.rotateAngle'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectedItems_rotateAngle_input", void 0);
                __decorate([
                    core_2.Input('selectedItems.tooltip'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectedItems_tooltip_input", void 0);
                __decorate([
                    core_2.Input('selectedItems.width'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectedItems_width_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.enableSnapToObject'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_enableSnapToObject_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.horizontalGridLines'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_horizontalGridLines_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.horizontalGridLines.lineColor'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_horizontalGridLines_lineColor_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.horizontalGridLines.lineDashArray'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_horizontalGridLines_lineDashArray_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.horizontalGridLines.linesInterval'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_horizontalGridLines_linesInterval_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.horizontalGridLines.snapInterval'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_horizontalGridLines_snapInterval_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.snapAngle'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_snapAngle_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.snapConstraints'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_snapConstraints_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.snapObjectDistance'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_snapObjectDistance_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.verticalGridLines'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_verticalGridLines_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.verticalGridLines.lineColor'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_verticalGridLines_lineColor_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.verticalGridLines.lineDashArray'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_verticalGridLines_lineDashArray_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.verticalGridLines.linesInterval'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_verticalGridLines_linesInterval_input", void 0);
                __decorate([
                    core_2.Input('snapSettings.verticalGridLines.snapInterval'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "snapSettings_verticalGridLines_snapInterval_input", void 0);
                __decorate([
                    core_2.Input('tooltip.alignment'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "tooltip_alignment_input", void 0);
                __decorate([
                    core_2.Input('tooltip.alignment.horizontal'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "tooltip_alignment_horizontal_input", void 0);
                __decorate([
                    core_2.Input('tooltip.alignment.vertical'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "tooltip_alignment_vertical_input", void 0);
                __decorate([
                    core_2.Input('tooltip.margin'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "tooltip_margin_input", void 0);
                __decorate([
                    core_2.Input('tooltip.relativeMode'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "tooltip_relativeMode_input", void 0);
                __decorate([
                    core_2.Input('tooltip.templateId'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "tooltip_templateId_input", void 0);
                __decorate([
                    core_2.Input('connectors'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "connectors_input", void 0);
                __decorate([
                    core_2.Input('nodes'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "nodes_input", void 0);
                __decorate([
                    core_2.Input('contextMenu.items'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "contextMenu_items_input", void 0);
                __decorate([
                    core_2.Input('nodes.class.attributes'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "nodes_class_attributes_input", void 0);
                __decorate([
                    core_2.Input('nodes.class.methods'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "nodes_class_methods_input", void 0);
                __decorate([
                    core_2.Input('nodes.enumeration.members'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "nodes_enumeration_members_input", void 0);
                __decorate([
                    core_2.Input('nodes.interface.attributes'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "nodes_interface_attributes_input", void 0);
                __decorate([
                    core_2.Input('nodes.interface.methods'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "nodes_interface_methods_input", void 0);
                __decorate([
                    core_2.Input('selectedItems.userHandles'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectedItems_userHandles_input", void 0);
                __decorate([
                    core_2.Output('autoScrollChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "autoScrollChange_output", void 0);
                __decorate([
                    core_2.Output('click'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "click_output", void 0);
                __decorate([
                    core_2.Output('ejclick'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "ejclick_output", void 0);
                __decorate([
                    core_2.Output('connectionChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "connectionChange_output", void 0);
                __decorate([
                    core_2.Output('connectorCollectionChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "connectorCollectionChange_output", void 0);
                __decorate([
                    core_2.Output('connectorSourceChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "connectorSourceChange_output", void 0);
                __decorate([
                    core_2.Output('connectorTargetChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "connectorTargetChange_output", void 0);
                __decorate([
                    core_2.Output('contextMenuBeforeOpen'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "contextMenuBeforeOpen_output", void 0);
                __decorate([
                    core_2.Output('contextMenuClick'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "contextMenuClick_output", void 0);
                __decorate([
                    core_2.Output('doubleClick'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "doubleClick_output", void 0);
                __decorate([
                    core_2.Output('drag'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "drag_output", void 0);
                __decorate([
                    core_2.Output('dragEnter'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dragEnter_output", void 0);
                __decorate([
                    core_2.Output('dragLeave'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dragLeave_output", void 0);
                __decorate([
                    core_2.Output('dragOver'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "dragOver_output", void 0);
                __decorate([
                    core_2.Output('drop'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "drop_output", void 0);
                __decorate([
                    core_2.Output('editorFocusChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "editorFocusChange_output", void 0);
                __decorate([
                    core_2.Output('groupChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "groupChange_output", void 0);
                __decorate([
                    core_2.Output('historyChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "historyChange_output", void 0);
                __decorate([
                    core_2.Output('itemClick'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "itemClick_output", void 0);
                __decorate([
                    core_2.Output('mouseEnter'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "mouseEnter_output", void 0);
                __decorate([
                    core_2.Output('mouseLeave'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "mouseLeave_output", void 0);
                __decorate([
                    core_2.Output('mouseOver'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "mouseOver_output", void 0);
                __decorate([
                    core_2.Output('nodeCollectionChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "nodeCollectionChange_output", void 0);
                __decorate([
                    core_2.Output('propertyChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "propertyChange_output", void 0);
                __decorate([
                    core_2.Output('rotationChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "rotationChange_output", void 0);
                __decorate([
                    core_2.Output('scrollChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "scrollChange_output", void 0);
                __decorate([
                    core_2.Output('segmentChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "segmentChange_output", void 0);
                __decorate([
                    core_2.Output('selectionChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "selectionChange_output", void 0);
                __decorate([
                    core_2.Output('sizeChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "sizeChange_output", void 0);
                __decorate([
                    core_2.Output('textChange'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "textChange_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.ContentChild(DiagramCommandManagerCommandsDirective),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "tag_commandManager_commands", void 0);
                __decorate([
                    core_2.ContentChild(DiagramConnectorsDirective),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "tag_connectors", void 0);
                __decorate([
                    core_2.ContentChild(DiagramNodesDirective),
                    __metadata("design:type", Object)
                ], DiagramComponent.prototype, "tag_nodes", void 0);
                DiagramComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-diagram',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], DiagramComponent);
                return DiagramComponent;
            }(core_1.EJComponents));
            exports_1("DiagramComponent", DiagramComponent);
            exports_1("EJ_DIAGRAM_COMPONENTS", EJ_DIAGRAM_COMPONENTS = [DiagramComponent,
                DiagramCommandManagerCommandsDirective, DiagramSegmentsDirective, DiagramConnectorLabelsDirective, DiagramConnectorsDirective, DiagramNodeLabelsDirective, DiagramPhasesDirective, DiagramPortsDirective, DiagramNodesDirective, DiagramCommandManagerCommandDirective, DiagramSegmentDirective, DiagramConnectorLabelDirective, DiagramConnectorDirective, DiagramNodeLabelDirective, DiagramPhaseDirective, DiagramPortDirective, DiagramNodeDirective]);
        }
    };
});
//# sourceMappingURL=diagram.component.js.map