System.register(["syncfusion-javascript/Scripts/ej/datavisualization/ej.heatmap", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, HeatMapColorMappingDirective, HeatMapColorMappingCollectionDirective, HeatMapComponent, EJ_HEATMAP_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            HeatMapColorMappingDirective = (function (_super) {
                __extends(HeatMapColorMappingDirective, _super);
                function HeatMapColorMappingDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('color'),
                    __metadata("design:type", Object)
                ], HeatMapColorMappingDirective.prototype, "color", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], HeatMapColorMappingDirective.prototype, "value", void 0);
                __decorate([
                    core_2.Input('label'),
                    __metadata("design:type", Object)
                ], HeatMapColorMappingDirective.prototype, "label", void 0);
                __decorate([
                    core_2.Input('label.bold'),
                    __metadata("design:type", Object)
                ], HeatMapColorMappingDirective.prototype, "label_bold", void 0);
                __decorate([
                    core_2.Input('label.italic'),
                    __metadata("design:type", Object)
                ], HeatMapColorMappingDirective.prototype, "label_italic", void 0);
                __decorate([
                    core_2.Input('label.text'),
                    __metadata("design:type", Object)
                ], HeatMapColorMappingDirective.prototype, "label_text", void 0);
                __decorate([
                    core_2.Input('label.textDecoration'),
                    __metadata("design:type", Object)
                ], HeatMapColorMappingDirective.prototype, "label_textDecoration", void 0);
                __decorate([
                    core_2.Input('label.fontSize'),
                    __metadata("design:type", Object)
                ], HeatMapColorMappingDirective.prototype, "label_fontSize", void 0);
                __decorate([
                    core_2.Input('label.fontFamily'),
                    __metadata("design:type", Object)
                ], HeatMapColorMappingDirective.prototype, "label_fontFamily", void 0);
                __decorate([
                    core_2.Input('label.fontColor'),
                    __metadata("design:type", Object)
                ], HeatMapColorMappingDirective.prototype, "label_fontColor", void 0);
                HeatMapColorMappingDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-colormappingcollection>e-colormapping',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return HeatMapComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], HeatMapColorMappingDirective);
                return HeatMapColorMappingDirective;
            }(core_1.ComplexTagElement));
            exports_1("HeatMapColorMappingDirective", HeatMapColorMappingDirective);
            HeatMapColorMappingCollectionDirective = (function (_super) {
                __extends(HeatMapColorMappingCollectionDirective, _super);
                function HeatMapColorMappingCollectionDirective(widget) {
                    return _super.call(this, 'colorMappingCollection') || this;
                }
                HeatMapColorMappingCollectionDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-heatmap>e-colormappingcollection',
                        queries: {
                            children: new core_2.ContentChildren(HeatMapColorMappingDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return HeatMapComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], HeatMapColorMappingCollectionDirective);
                return HeatMapColorMappingCollectionDirective;
            }(core_1.ArrayTagElement));
            exports_1("HeatMapColorMappingCollectionDirective", HeatMapColorMappingCollectionDirective);
            HeatMapComponent = (function (_super) {
                __extends(HeatMapComponent, _super);
                function HeatMapComponent(el, cdRef) {
                    var _this = _super.call(this, 'HeatMap', el, cdRef, ['colorMappingCollection']) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.cellMouseOver_output = new core_2.EventEmitter();
                    _this.cellMouseEnter_output = new core_2.EventEmitter();
                    _this.cellMouseLeave_output = new core_2.EventEmitter();
                    _this.cellSelected_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('id'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "id_input", void 0);
                __decorate([
                    core_2.Input('showTooltip'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "showTooltip_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tooltipSettings_input", void 0);
                __decorate([
                    core_2.Input('itemsSource'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsSource_input", void 0);
                __decorate([
                    core_2.Input('heatMapCell'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "heatMapCell_input", void 0);
                __decorate([
                    core_2.Input('isResponsive'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "isResponsive_input", void 0);
                __decorate([
                    core_2.Input('enableVirtualization'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "enableVirtualization_input", void 0);
                __decorate([
                    core_2.Input('defaultColumnStyle'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "defaultColumnStyle_input", void 0);
                __decorate([
                    core_2.Input('legendCollection'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "legendCollection_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.templateId'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tooltipSettings_templateId_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.associate'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tooltipSettings_associate_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.isBalloon'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tooltipSettings_isBalloon_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.position'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tooltipSettings_position_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.position.target'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tooltipSettings_position_target_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.position.stem'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tooltipSettings_position_stem_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.trigger'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tooltipSettings_trigger_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.animation'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tooltipSettings_animation_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.animation.effect'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tooltipSettings_animation_effect_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.animation.speed'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tooltipSettings_animation_speed_input", void 0);
                __decorate([
                    core_2.Input('heatMapCell.showContent'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "heatMapCell_showContent_input", void 0);
                __decorate([
                    core_2.Input('heatMapCell.showColor'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "heatMapCell_showColor_input", void 0);
                __decorate([
                    core_2.Input('defaultColumnStyle.textAlign'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "defaultColumnStyle_textAlign_input", void 0);
                __decorate([
                    core_2.Input('defaultColumnStyle.headerTemplateID'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "defaultColumnStyle_headerTemplateID_input", void 0);
                __decorate([
                    core_2.Input('defaultColumnStyle.templateID'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "defaultColumnStyle_templateID_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.columnStyle'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_columnStyle_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.columnStyle.width'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_columnStyle_width_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.columnStyle.textAlign'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_columnStyle_textAlign_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.columnStyle.headerTemplateID'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_columnStyle_headerTemplateID_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.columnStyle.templateID'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_columnStyle_templateID_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.column'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_column_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.column.propertyName'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_column_propertyName_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.column.displayName'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_column_displayName_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.row'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_row_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.row.propertyName'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_row_propertyName_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.row.displayName'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_row_displayName_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.value'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_value_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.value.propertyName'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_value_propertyName_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.value.displayName'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_value_displayName_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.headerMapping'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_headerMapping_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.headerMapping.propertyName'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_headerMapping_propertyName_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.headerMapping.displayName'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_headerMapping_displayName_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.headerMapping.columnStyle'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_headerMapping_columnStyle_input", void 0);
                __decorate([
                    core_2.Input('itemsMapping.columnMapping'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "itemsMapping_columnMapping_input", void 0);
                __decorate([
                    core_2.Input('colorMappingCollection'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "colorMappingCollection_input", void 0);
                __decorate([
                    core_2.Output('cellMouseOver'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "cellMouseOver_output", void 0);
                __decorate([
                    core_2.Output('cellMouseEnter'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "cellMouseEnter_output", void 0);
                __decorate([
                    core_2.Output('cellMouseLeave'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "cellMouseLeave_output", void 0);
                __decorate([
                    core_2.Output('cellSelected'),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "cellSelected_output", void 0);
                __decorate([
                    core_2.ContentChild(HeatMapColorMappingCollectionDirective),
                    __metadata("design:type", Object)
                ], HeatMapComponent.prototype, "tag_colorMappingCollection", void 0);
                HeatMapComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-heatmap',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], HeatMapComponent);
                return HeatMapComponent;
            }(core_1.EJComponents));
            exports_1("HeatMapComponent", HeatMapComponent);
            exports_1("EJ_HEATMAP_COMPONENTS", EJ_HEATMAP_COMPONENTS = [HeatMapComponent,
                HeatMapColorMappingCollectionDirective, HeatMapColorMappingDirective]);
        }
    };
});
//# sourceMappingURL=heatmap.component.js.map