System.register(["syncfusion-javascript/Scripts/ej/web/ej.kanban", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, KanbanColumnDirective, KanbanColumnsDirective, KanbanComponent, EJ_KANBAN_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            KanbanColumnDirective = (function (_super) {
                __extends(KanbanColumnDirective, _super);
                function KanbanColumnDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('headerText'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "headerText", void 0);
                __decorate([
                    core_2.Input('totalCount'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "totalCount", void 0);
                __decorate([
                    core_2.Input('totalCount.text'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "totalCount_text", void 0);
                __decorate([
                    core_2.Input('key'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "key", void 0);
                __decorate([
                    core_2.Input('allowDrop'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "allowDrop", void 0);
                __decorate([
                    core_2.Input('allowDrag'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "allowDrag", void 0);
                __decorate([
                    core_2.Input('isCollapsed'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "isCollapsed", void 0);
                __decorate([
                    core_2.Input('constraints'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "constraints", void 0);
                __decorate([
                    core_2.Input('constraints.type'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "constraints_type", void 0);
                __decorate([
                    core_2.Input('constraints.min'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "constraints_min", void 0);
                __decorate([
                    core_2.Input('constraints.max'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "constraints_max", void 0);
                __decorate([
                    core_2.Input('headerTemplate'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "headerTemplate", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "width", void 0);
                __decorate([
                    core_2.Input('visible'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "visible", void 0);
                __decorate([
                    core_2.Input('showAddButton'),
                    __metadata("design:type", Object)
                ], KanbanColumnDirective.prototype, "showAddButton", void 0);
                KanbanColumnDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-kanban-columns>e-kanban-column',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return KanbanComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], KanbanColumnDirective);
                return KanbanColumnDirective;
            }(core_1.ComplexTagElement));
            exports_1("KanbanColumnDirective", KanbanColumnDirective);
            KanbanColumnsDirective = (function (_super) {
                __extends(KanbanColumnsDirective, _super);
                function KanbanColumnsDirective(widget) {
                    return _super.call(this, 'columns') || this;
                }
                KanbanColumnsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-kanban>e-kanban-columns',
                        queries: {
                            children: new core_2.ContentChildren(KanbanColumnDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return KanbanComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], KanbanColumnsDirective);
                return KanbanColumnsDirective;
            }(core_1.ArrayTagElement));
            exports_1("KanbanColumnsDirective", KanbanColumnsDirective);
            KanbanComponent = (function (_super) {
                __extends(KanbanComponent, _super);
                function KanbanComponent(el, cdRef) {
                    var _this = _super.call(this, 'Kanban', el, cdRef, ['columns']) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.dataSource_twoChange = new core_2.EventEmitter();
                    _this.actionBegin_output = new core_2.EventEmitter();
                    _this.actionComplete_output = new core_2.EventEmitter();
                    _this.actionFailure_output = new core_2.EventEmitter();
                    _this.beginEdit_output = new core_2.EventEmitter();
                    _this.beforeCardSelect_output = new core_2.EventEmitter();
                    _this.cardClick_output = new core_2.EventEmitter();
                    _this.cardDrag_output = new core_2.EventEmitter();
                    _this.cardDragStart_output = new core_2.EventEmitter();
                    _this.cardDragStop_output = new core_2.EventEmitter();
                    _this.cardDrop_output = new core_2.EventEmitter();
                    _this.cardSelect_output = new core_2.EventEmitter();
                    _this.cardDoubleClick_output = new core_2.EventEmitter();
                    _this.cardSelecting_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.cellClick_output = new core_2.EventEmitter();
                    _this.contextOpen_output = new core_2.EventEmitter();
                    _this.contextClick_output = new core_2.EventEmitter();
                    _this.dataBound_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.endDelete_output = new core_2.EventEmitter();
                    _this.endEdit_output = new core_2.EventEmitter();
                    _this.headerClick_output = new core_2.EventEmitter();
                    _this.load_output = new core_2.EventEmitter();
                    _this.swimlaneClick_output = new core_2.EventEmitter();
                    _this.queryCellInfo_output = new core_2.EventEmitter();
                    _this.toolbarClick_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('allowDragAndDrop'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "allowDragAndDrop_input", void 0);
                __decorate([
                    core_2.Input('allowTitle'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "allowTitle_input", void 0);
                __decorate([
                    core_2.Input('swimlaneSettings'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "swimlaneSettings_input", void 0);
                __decorate([
                    core_2.Input('allowToggleColumn'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "allowToggleColumn_input", void 0);
                __decorate([
                    core_2.Input('allowSearching'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "allowSearching_input", void 0);
                __decorate([
                    core_2.Input('allowFiltering'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "allowFiltering_input", void 0);
                __decorate([
                    core_2.Input('allowSelection'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "allowSelection_input", void 0);
                __decorate([
                    core_2.Input('allowHover'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "allowHover_input", void 0);
                __decorate([
                    core_2.Input('allowKeyboardNavigation'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "allowKeyboardNavigation_input", void 0);
                __decorate([
                    core_2.Input('allowScrolling'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "allowScrolling_input", void 0);
                __decorate([
                    core_2.Input('allowPrinting'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "allowPrinting_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "contextMenuSettings_input", void 0);
                __decorate([
                    core_2.Input('cardSettings'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cardSettings_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('enableTouch'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "enableTouch_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('enableTotalCount'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "enableTotalCount_input", void 0);
                __decorate([
                    core_2.Input('editSettings'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "editSettings_input", void 0);
                __decorate([
                    core_2.Input('fields'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "fields_input", void 0);
                __decorate([
                    core_2.Input('keyField'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "keyField_input", void 0);
                __decorate([
                    core_2.Input('isResponsive'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "isResponsive_input", void 0);
                __decorate([
                    core_2.Input('minWidth'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "minWidth_input", void 0);
                __decorate([
                    core_2.Input('query'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "query_input", void 0);
                __decorate([
                    core_2.Input('keySettings'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "keySettings_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "scrollSettings_input", void 0);
                __decorate([
                    core_2.Input('searchSettings'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "searchSettings_input", void 0);
                __decorate([
                    core_2.Input('selectionType'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "selectionType_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "tooltipSettings_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('swimlaneSettings.showCount'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "swimlaneSettings_showCount_input", void 0);
                __decorate([
                    core_2.Input('swimlaneSettings.allowDragAndDrop'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "swimlaneSettings_allowDragAndDrop_input", void 0);
                __decorate([
                    core_2.Input('swimlaneSettings.unassignedGroup'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "swimlaneSettings_unassignedGroup_input", void 0);
                __decorate([
                    core_2.Input('swimlaneSettings.unassignedGroup.enable'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "swimlaneSettings_unassignedGroup_enable_input", void 0);
                __decorate([
                    core_2.Input('swimlaneSettings.unassignedGroup.keys'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "swimlaneSettings_unassignedGroup_keys_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.enable'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "contextMenuSettings_enable_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.disableDefaultItems'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "contextMenuSettings_disableDefaultItems_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.menuItems'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "contextMenuSettings_menuItems_input", void 0);
                __decorate([
                    core_2.Input('cardSettings.template'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cardSettings_template_input", void 0);
                __decorate([
                    core_2.Input('cardSettings.colorMapping'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cardSettings_colorMapping_input", void 0);
                __decorate([
                    core_2.Input('editSettings.allowEditing'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "editSettings_allowEditing_input", void 0);
                __decorate([
                    core_2.Input('editSettings.allowAdding'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "editSettings_allowAdding_input", void 0);
                __decorate([
                    core_2.Input('editSettings.dialogTemplate'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "editSettings_dialogTemplate_input", void 0);
                __decorate([
                    core_2.Input('editSettings.editMode'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "editSettings_editMode_input", void 0);
                __decorate([
                    core_2.Input('editSettings.externalFormTemplate'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "editSettings_externalFormTemplate_input", void 0);
                __decorate([
                    core_2.Input('editSettings.formPosition'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "editSettings_formPosition_input", void 0);
                __decorate([
                    core_2.Input('fields.primaryKey'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "fields_primaryKey_input", void 0);
                __decorate([
                    core_2.Input('fields.swimlaneKey'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "fields_swimlaneKey_input", void 0);
                __decorate([
                    core_2.Input('fields.priority'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "fields_priority_input", void 0);
                __decorate([
                    core_2.Input('fields.content'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "fields_content_input", void 0);
                __decorate([
                    core_2.Input('fields.tag'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "fields_tag_input", void 0);
                __decorate([
                    core_2.Input('fields.title'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "fields_title_input", void 0);
                __decorate([
                    core_2.Input('fields.color'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "fields_color_input", void 0);
                __decorate([
                    core_2.Input('fields.imageUrl'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "fields_imageUrl_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.height'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "scrollSettings_height_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.width'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "scrollSettings_width_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.allowFreezeSwimlane'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "scrollSettings_allowFreezeSwimlane_input", void 0);
                __decorate([
                    core_2.Input('searchSettings.fields'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "searchSettings_fields_input", void 0);
                __decorate([
                    core_2.Input('searchSettings.key'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "searchSettings_key_input", void 0);
                __decorate([
                    core_2.Input('searchSettings.operator'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "searchSettings_operator_input", void 0);
                __decorate([
                    core_2.Input('searchSettings.ignoreCase'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "searchSettings_ignoreCase_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.enable'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "tooltipSettings_enable_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.template'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "tooltipSettings_template_input", void 0);
                __decorate([
                    core_2.Input('columns'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "columns_input", void 0);
                __decorate([
                    core_2.Input('customToolbarItems'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "customToolbarItems_input", void 0);
                __decorate([
                    core_2.Input('filterSettings'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "filterSettings_input", void 0);
                __decorate([
                    core_2.Input('stackedHeaderRows'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "stackedHeaderRows_input", void 0);
                __decorate([
                    core_2.Input('workflows'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "workflows_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.customMenuItems'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "contextMenuSettings_customMenuItems_input", void 0);
                __decorate([
                    core_2.Input('editSettings.editItems'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "editSettings_editItems_input", void 0);
                __decorate([
                    core_2.Input('dataSource'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "dataSource_two", void 0);
                __decorate([
                    core_2.Output('dataSourceChange'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "dataSource_twoChange", void 0);
                __decorate([
                    core_2.Output('actionBegin'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "actionBegin_output", void 0);
                __decorate([
                    core_2.Output('actionComplete'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "actionComplete_output", void 0);
                __decorate([
                    core_2.Output('actionFailure'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "actionFailure_output", void 0);
                __decorate([
                    core_2.Output('beginEdit'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "beginEdit_output", void 0);
                __decorate([
                    core_2.Output('beforeCardSelect'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "beforeCardSelect_output", void 0);
                __decorate([
                    core_2.Output('cardClick'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cardClick_output", void 0);
                __decorate([
                    core_2.Output('cardDrag'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cardDrag_output", void 0);
                __decorate([
                    core_2.Output('cardDragStart'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cardDragStart_output", void 0);
                __decorate([
                    core_2.Output('cardDragStop'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cardDragStop_output", void 0);
                __decorate([
                    core_2.Output('cardDrop'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cardDrop_output", void 0);
                __decorate([
                    core_2.Output('cardSelect'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cardSelect_output", void 0);
                __decorate([
                    core_2.Output('cardDoubleClick'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cardDoubleClick_output", void 0);
                __decorate([
                    core_2.Output('cardSelecting'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cardSelecting_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('cellClick'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "cellClick_output", void 0);
                __decorate([
                    core_2.Output('contextOpen'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "contextOpen_output", void 0);
                __decorate([
                    core_2.Output('contextClick'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "contextClick_output", void 0);
                __decorate([
                    core_2.Output('dataBound'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "dataBound_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('endDelete'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "endDelete_output", void 0);
                __decorate([
                    core_2.Output('endEdit'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "endEdit_output", void 0);
                __decorate([
                    core_2.Output('headerClick'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "headerClick_output", void 0);
                __decorate([
                    core_2.Output('load'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "load_output", void 0);
                __decorate([
                    core_2.Output('swimlaneClick'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "swimlaneClick_output", void 0);
                __decorate([
                    core_2.Output('queryCellInfo'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "queryCellInfo_output", void 0);
                __decorate([
                    core_2.Output('toolbarClick'),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "toolbarClick_output", void 0);
                __decorate([
                    core_2.ContentChild(KanbanColumnsDirective),
                    __metadata("design:type", Object)
                ], KanbanComponent.prototype, "tag_columns", void 0);
                KanbanComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-kanban',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], KanbanComponent);
                return KanbanComponent;
            }(core_1.EJComponents));
            exports_1("KanbanComponent", KanbanComponent);
            exports_1("EJ_KANBAN_COMPONENTS", EJ_KANBAN_COMPONENTS = [KanbanComponent,
                KanbanColumnsDirective, KanbanColumnDirective]);
        }
    };
});
//# sourceMappingURL=kanban.component.js.map