System.register(["syncfusion-javascript/Scripts/ej/web/ej.pdfviewer", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, PdfViewerComponent, EJ_PDFVIEWER_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            PdfViewerComponent = (function (_super) {
                __extends(PdfViewerComponent, _super);
                function PdfViewerComponent(el, cdRef) {
                    var _this = _super.call(this, 'PdfViewer', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.documentLoad_output = new core_2.EventEmitter();
                    _this.documentUnload_output = new core_2.EventEmitter();
                    _this.pageChange_output = new core_2.EventEmitter();
                    _this.zoomChange_output = new core_2.EventEmitter();
                    _this.hyperlinkClick_output = new core_2.EventEmitter();
                    _this.beforePrint_output = new core_2.EventEmitter();
                    _this.afterPrint_output = new core_2.EventEmitter();
                    _this.pageClick_output = new core_2.EventEmitter();
                    _this.bufferStart_output = new core_2.EventEmitter();
                    _this.bufferEnd_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('toolbarSettings'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "toolbarSettings_input", void 0);
                __decorate([
                    core_2.Input('serverActionSettings'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "serverActionSettings_input", void 0);
                __decorate([
                    core_2.Input('serviceUrl'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "serviceUrl_input", void 0);
                __decorate([
                    core_2.Input('documentPath'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "documentPath_input", void 0);
                __decorate([
                    core_2.Input('pageCount'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "pageCount_input", void 0);
                __decorate([
                    core_2.Input('currentPageNumber'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "currentPageNumber_input", void 0);
                __decorate([
                    core_2.Input('zoomPercentage'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "zoomPercentage_input", void 0);
                __decorate([
                    core_2.Input('pdfService'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "pdfService_input", void 0);
                __decorate([
                    core_2.Input('hyperlinkOpenState'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "hyperlinkOpenState_input", void 0);
                __decorate([
                    core_2.Input('enableHyperlink'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "enableHyperlink_input", void 0);
                __decorate([
                    core_2.Input('enableTextSelection'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "enableTextSelection_input", void 0);
                __decorate([
                    core_2.Input('isResponsive'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "isResponsive_input", void 0);
                __decorate([
                    core_2.Input('isDocumentEdited'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "isDocumentEdited_input", void 0);
                __decorate([
                    core_2.Input('allowClientBuffering'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "allowClientBuffering_input", void 0);
                __decorate([
                    core_2.Input('fileName'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "fileName_input", void 0);
                __decorate([
                    core_2.Input('toolbarSettings.showToolTip'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "toolbarSettings_showToolTip_input", void 0);
                __decorate([
                    core_2.Input('toolbarSettings.toolbarItem'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "toolbarSettings_toolbarItem_input", void 0);
                __decorate([
                    core_2.Input('serverActionSettings.load'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "serverActionSettings_load_input", void 0);
                __decorate([
                    core_2.Input('serverActionSettings.fileUpload'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "serverActionSettings_fileUpload_input", void 0);
                __decorate([
                    core_2.Input('serverActionSettings.print'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "serverActionSettings_print_input", void 0);
                __decorate([
                    core_2.Input('serverActionSettings.download'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "serverActionSettings_download_input", void 0);
                __decorate([
                    core_2.Output('documentLoad'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "documentLoad_output", void 0);
                __decorate([
                    core_2.Output('documentUnload'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "documentUnload_output", void 0);
                __decorate([
                    core_2.Output('pageChange'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "pageChange_output", void 0);
                __decorate([
                    core_2.Output('zoomChange'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "zoomChange_output", void 0);
                __decorate([
                    core_2.Output('hyperlinkClick'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "hyperlinkClick_output", void 0);
                __decorate([
                    core_2.Output('beforePrint'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "beforePrint_output", void 0);
                __decorate([
                    core_2.Output('afterPrint'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "afterPrint_output", void 0);
                __decorate([
                    core_2.Output('pageClick'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "pageClick_output", void 0);
                __decorate([
                    core_2.Output('bufferStart'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "bufferStart_output", void 0);
                __decorate([
                    core_2.Output('bufferEnd'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "bufferEnd_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], PdfViewerComponent.prototype, "destroy_output", void 0);
                PdfViewerComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-pdfviewer',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], PdfViewerComponent);
                return PdfViewerComponent;
            }(core_1.EJComponents));
            exports_1("PdfViewerComponent", PdfViewerComponent);
            exports_1("EJ_PDFVIEWER_COMPONENTS", EJ_PDFVIEWER_COMPONENTS = [PdfViewerComponent
            ]);
        }
    };
});
//# sourceMappingURL=pdfviewer.component.js.map