System.register(["syncfusion-javascript/Scripts/ej/web/ej.radiobutton", "./core", "@angular/core", "@angular/forms"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, forms_1, noop, RadioButtonValueAccessor, RadioButtonComponent, EJ_RADIOBUTTON_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            }
        ],
        execute: function () {
            noop = function () {
            };
            exports_1("RadioButtonValueAccessor", RadioButtonValueAccessor = {
                provide: forms_1.NG_VALUE_ACCESSOR,
                useExisting: core_2.forwardRef(function () { return RadioButtonComponent; }),
                multi: true
            });
            RadioButtonComponent = (function (_super) {
                __extends(RadioButtonComponent, _super);
                function RadioButtonComponent(el, cdRef) {
                    var _this = _super.call(this, 'RadioButton', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.beforeChange_output = new core_2.EventEmitter();
                    _this.change_output = new core_2.EventEmitter();
                    _this.ejchange_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.onChange = noop;
                    _this.onTouched = noop;
                    return _this;
                }
                RadioButtonComponent.prototype.writeValue = function (value) {
                    if (this.widget) {
                        this.widget.option('model.value', value);
                    }
                    else {
                        this.model.value = value;
                    }
                };
                RadioButtonComponent.prototype.registerOnChange = function (fn) {
                    this.onChange = fn;
                };
                RadioButtonComponent.prototype.registerOnTouched = function (fn) {
                    this.onTouched = fn;
                };
                __decorate([
                    core_2.Input('checked'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "checked_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('htmlAttributes'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('id'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "id_input", void 0);
                __decorate([
                    core_2.Input('idPrefix'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "idPrefix_input", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "name_input", void 0);
                __decorate([
                    core_2.Input('size'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "size_input", void 0);
                __decorate([
                    core_2.Input('text'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "text_input", void 0);
                __decorate([
                    core_2.Input('validationMessage'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "validationMessage_input", void 0);
                __decorate([
                    core_2.Input('validationRules'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "validationRules_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "value_input", void 0);
                __decorate([
                    core_2.Output('beforeChange'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "beforeChange_output", void 0);
                __decorate([
                    core_2.Output('change'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "change_output", void 0);
                __decorate([
                    core_2.Output('ejchange'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "ejchange_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], RadioButtonComponent.prototype, "destroy_output", void 0);
                RadioButtonComponent = __decorate([
                    core_2.Component({
                        selector: '[ej-radiobutton]',
                        template: '',
                        host: { '(ejchange)': 'onChange($event.value)', '(change)': 'onChange($event.value)', '(focusOut)': 'onTouched()' },
                        providers: [RadioButtonValueAccessor]
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], RadioButtonComponent);
                return RadioButtonComponent;
            }(core_1.EJComponents));
            exports_1("RadioButtonComponent", RadioButtonComponent);
            exports_1("EJ_RADIOBUTTON_COMPONENTS", EJ_RADIOBUTTON_COMPONENTS = [RadioButtonComponent
            ]);
        }
    };
});
//# sourceMappingURL=radiobutton.component.js.map