System.register(["syncfusion-javascript/Scripts/ej/common/ej.scroller", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, ScrollerComponent, EJ_SCROLLER_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            ScrollerComponent = (function (_super) {
                __extends(ScrollerComponent, _super);
                function ScrollerComponent(el, cdRef) {
                    var _this = _super.call(this, 'Scroller', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.thumbMove_output = new core_2.EventEmitter();
                    _this.thumbStart_output = new core_2.EventEmitter();
                    _this.thumbEnd_output = new core_2.EventEmitter();
                    _this.wheelMove_output = new core_2.EventEmitter();
                    _this.wheelStart_output = new core_2.EventEmitter();
                    _this.wheelStop_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('animationSpeed'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "animationSpeed_input", void 0);
                __decorate([
                    core_2.Input('autoHide'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "autoHide_input", void 0);
                __decorate([
                    core_2.Input('buttonSize'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "buttonSize_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('enableTouchScroll'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "enableTouchScroll_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('scrollerSize'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "scrollerSize_input", void 0);
                __decorate([
                    core_2.Input('scrollLeft'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "scrollLeft_input", void 0);
                __decorate([
                    core_2.Input('scrollOneStepBy'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "scrollOneStepBy_input", void 0);
                __decorate([
                    core_2.Input('scrollTop'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "scrollTop_input", void 0);
                __decorate([
                    core_2.Input('targetPane'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "targetPane_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('thumbMove'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "thumbMove_output", void 0);
                __decorate([
                    core_2.Output('thumbStart'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "thumbStart_output", void 0);
                __decorate([
                    core_2.Output('thumbEnd'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "thumbEnd_output", void 0);
                __decorate([
                    core_2.Output('wheelMove'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "wheelMove_output", void 0);
                __decorate([
                    core_2.Output('wheelStart'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "wheelStart_output", void 0);
                __decorate([
                    core_2.Output('wheelStop'),
                    __metadata("design:type", Object)
                ], ScrollerComponent.prototype, "wheelStop_output", void 0);
                ScrollerComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-scroller',
                        template: '<ng-content></ng-content>'
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], ScrollerComponent);
                return ScrollerComponent;
            }(core_1.EJComponents));
            exports_1("ScrollerComponent", ScrollerComponent);
            exports_1("EJ_SCROLLER_COMPONENTS", EJ_SCROLLER_COMPONENTS = [ScrollerComponent
            ]);
        }
    };
});
//# sourceMappingURL=scroller.component.js.map