System.register(["syncfusion-javascript/Scripts/ej/web/ej.autocomplete", "./core", "@angular/core", "@angular/forms"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, forms_1, noop, AutocompleteValueAccessor, AutocompleteComponent, EJ_AUTOCOMPLETE_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            }
        ],
        execute: function () {
            noop = function () {
            };
            exports_1("AutocompleteValueAccessor", AutocompleteValueAccessor = {
                provide: forms_1.NG_VALUE_ACCESSOR,
                useExisting: core_2.forwardRef(function () { return AutocompleteComponent; }),
                multi: true
            });
            AutocompleteComponent = (function (_super) {
                __extends(AutocompleteComponent, _super);
                function AutocompleteComponent(el, cdRef) {
                    var _this = _super.call(this, 'Autocomplete', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.actionBegin_output = new core_2.EventEmitter();
                    _this.actionSuccess_output = new core_2.EventEmitter();
                    _this.actionComplete_output = new core_2.EventEmitter();
                    _this.actionFailure_output = new core_2.EventEmitter();
                    _this.change_output = new core_2.EventEmitter();
                    _this.ejchange_output = new core_2.EventEmitter();
                    _this.close_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.focusIn_output = new core_2.EventEmitter();
                    _this.focusOut_output = new core_2.EventEmitter();
                    _this.open_output = new core_2.EventEmitter();
                    _this.select_output = new core_2.EventEmitter();
                    _this.onChange = noop;
                    _this.onTouched = noop;
                    return _this;
                }
                AutocompleteComponent.prototype.writeValue = function (value) {
                    if (this.widget) {
                        this.widget.option('model.value', value);
                    }
                    else {
                        this.model.value = value;
                    }
                };
                AutocompleteComponent.prototype.registerOnChange = function (fn) {
                    this.onChange = fn;
                };
                AutocompleteComponent.prototype.registerOnTouched = function (fn) {
                    this.onTouched = fn;
                };
                __decorate([
                    core_2.Input('addNewText'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "addNewText_input", void 0);
                __decorate([
                    core_2.Input('allowAddNew'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "allowAddNew_input", void 0);
                __decorate([
                    core_2.Input('allowSorting'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "allowSorting_input", void 0);
                __decorate([
                    core_2.Input('animateType'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "animateType_input", void 0);
                __decorate([
                    core_2.Input('autoFocus'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "autoFocus_input", void 0);
                __decorate([
                    core_2.Input('caseSensitiveSearch'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "caseSensitiveSearch_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('dataSource'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "dataSource_input", void 0);
                __decorate([
                    core_2.Input('delaySuggestionTimeout'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "delaySuggestionTimeout_input", void 0);
                __decorate([
                    core_2.Input('delimiterChar'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "delimiterChar_input", void 0);
                __decorate([
                    core_2.Input('emptyResultText'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "emptyResultText_input", void 0);
                __decorate([
                    core_2.Input('enableAutoFill'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "enableAutoFill_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enableDistinct'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "enableDistinct_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('fields'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "fields_input", void 0);
                __decorate([
                    core_2.Input('filterType'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "filterType_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('highlightSearch'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "highlightSearch_input", void 0);
                __decorate([
                    core_2.Input('itemsCount'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "itemsCount_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('minCharacter'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "minCharacter_input", void 0);
                __decorate([
                    core_2.Input('multiColumnSettings'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "multiColumnSettings_input", void 0);
                __decorate([
                    core_2.Input('multiSelectMode'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "multiSelectMode_input", void 0);
                __decorate([
                    core_2.Input('popupHeight'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "popupHeight_input", void 0);
                __decorate([
                    core_2.Input('popupWidth'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "popupWidth_input", void 0);
                __decorate([
                    core_2.Input('query'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "query_input", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "readOnly_input", void 0);
                __decorate([
                    core_2.Input('selectValueByKey'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "selectValueByKey_input", void 0);
                __decorate([
                    core_2.Input('showEmptyResultText'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "showEmptyResultText_input", void 0);
                __decorate([
                    core_2.Input('showLoadingIcon'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "showLoadingIcon_input", void 0);
                __decorate([
                    core_2.Input('showPopupButton'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "showPopupButton_input", void 0);
                __decorate([
                    core_2.Input('showRoundedCorner'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "showRoundedCorner_input", void 0);
                __decorate([
                    core_2.Input('showResetIcon'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "showResetIcon_input", void 0);
                __decorate([
                    core_2.Input('sortOrder'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "sortOrder_input", void 0);
                __decorate([
                    core_2.Input('template'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "template_input", void 0);
                __decorate([
                    core_2.Input('validationMessage'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "validationMessage_input", void 0);
                __decorate([
                    core_2.Input('validationRules'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "validationRules_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "value_input", void 0);
                __decorate([
                    core_2.Input('visible'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "visible_input", void 0);
                __decorate([
                    core_2.Input('watermarkText'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "watermarkText_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Input('fields.groupBy'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "fields_groupBy_input", void 0);
                __decorate([
                    core_2.Input('fields.htmlAttributes'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "fields_htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('fields.key'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "fields_key_input", void 0);
                __decorate([
                    core_2.Input('fields.text'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "fields_text_input", void 0);
                __decorate([
                    core_2.Input('multiColumnSettings.enable'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "multiColumnSettings_enable_input", void 0);
                __decorate([
                    core_2.Input('multiColumnSettings.showHeader'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "multiColumnSettings_showHeader_input", void 0);
                __decorate([
                    core_2.Input('multiColumnSettings.stringFormat'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "multiColumnSettings_stringFormat_input", void 0);
                __decorate([
                    core_2.Input('multiColumnSettings.columns'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "multiColumnSettings_columns_input", void 0);
                __decorate([
                    core_2.Output('actionBegin'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "actionBegin_output", void 0);
                __decorate([
                    core_2.Output('actionSuccess'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "actionSuccess_output", void 0);
                __decorate([
                    core_2.Output('actionComplete'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "actionComplete_output", void 0);
                __decorate([
                    core_2.Output('actionFailure'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "actionFailure_output", void 0);
                __decorate([
                    core_2.Output('change'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "change_output", void 0);
                __decorate([
                    core_2.Output('ejchange'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "ejchange_output", void 0);
                __decorate([
                    core_2.Output('close'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "close_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('focusIn'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "focusIn_output", void 0);
                __decorate([
                    core_2.Output('focusOut'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "focusOut_output", void 0);
                __decorate([
                    core_2.Output('open'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "open_output", void 0);
                __decorate([
                    core_2.Output('select'),
                    __metadata("design:type", Object)
                ], AutocompleteComponent.prototype, "select_output", void 0);
                AutocompleteComponent = __decorate([
                    core_2.Component({
                        selector: '[ej-autocomplete]',
                        template: '',
                        host: { '(ejchange)': 'onChange($event.value)', '(change)': 'onChange($event.value)', '(focusOut)': 'onTouched()' },
                        providers: [AutocompleteValueAccessor]
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], AutocompleteComponent);
                return AutocompleteComponent;
            }(core_1.EJComponents));
            exports_1("AutocompleteComponent", AutocompleteComponent);
            exports_1("EJ_AUTOCOMPLETE_COMPONENTS", EJ_AUTOCOMPLETE_COMPONENTS = [AutocompleteComponent
            ]);
        }
    };
});
//# sourceMappingURL=autocomplete.component.js.map