System.register(["syncfusion-javascript/Scripts/ej/web/ej.datepicker", "./core", "@angular/core", "@angular/forms"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, forms_1, noop, DatePickerValueAccessor, DatePickerComponent, EJ_DATEPICKER_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            }
        ],
        execute: function () {
            noop = function () {
            };
            exports_1("DatePickerValueAccessor", DatePickerValueAccessor = {
                provide: forms_1.NG_VALUE_ACCESSOR,
                useExisting: core_2.forwardRef(function () { return DatePickerComponent; }),
                multi: true
            });
            DatePickerComponent = (function (_super) {
                __extends(DatePickerComponent, _super);
                function DatePickerComponent(el, cdRef) {
                    var _this = _super.call(this, 'DatePicker', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.beforeClose_output = new core_2.EventEmitter();
                    _this.beforeDateCreate_output = new core_2.EventEmitter();
                    _this.beforeOpen_output = new core_2.EventEmitter();
                    _this.change_output = new core_2.EventEmitter();
                    _this.ejchange_output = new core_2.EventEmitter();
                    _this.close_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.focusIn_output = new core_2.EventEmitter();
                    _this.focusOut_output = new core_2.EventEmitter();
                    _this.navigate_output = new core_2.EventEmitter();
                    _this.open_output = new core_2.EventEmitter();
                    _this.select_output = new core_2.EventEmitter();
                    _this.onChange = noop;
                    _this.onTouched = noop;
                    return _this;
                }
                DatePickerComponent.prototype.writeValue = function (value) {
                    if (this.widget) {
                        this.widget.option('model.value', value);
                    }
                    else {
                        this.model.value = value;
                    }
                };
                DatePickerComponent.prototype.registerOnChange = function (fn) {
                    this.onChange = fn;
                };
                DatePickerComponent.prototype.registerOnTouched = function (fn) {
                    this.onTouched = fn;
                };
                __decorate([
                    core_2.Input('allowEdit'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "allowEdit_input", void 0);
                __decorate([
                    core_2.Input('allowDrillDown'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "allowDrillDown_input", void 0);
                __decorate([
                    core_2.Input('blackoutDates'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "blackoutDates_input", void 0);
                __decorate([
                    core_2.Input('buttonText'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "buttonText_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('dateFormat'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "dateFormat_input", void 0);
                __decorate([
                    core_2.Input('dayHeaderFormat'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "dayHeaderFormat_input", void 0);
                __decorate([
                    core_2.Input('depthLevel'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "depthLevel_input", void 0);
                __decorate([
                    core_2.Input('displayInline'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "displayInline_input", void 0);
                __decorate([
                    core_2.Input('enableAnimation'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "enableAnimation_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('enableStrictMode'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "enableStrictMode_input", void 0);
                __decorate([
                    core_2.Input('fields'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "fields_input", void 0);
                __decorate([
                    core_2.Input('headerFormat'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "headerFormat_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('highlightSection'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "highlightSection_input", void 0);
                __decorate([
                    core_2.Input('highlightWeekend'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "highlightWeekend_input", void 0);
                __decorate([
                    core_2.Input('htmlAttributes'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('maxDate'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "maxDate_input", void 0);
                __decorate([
                    core_2.Input('minDate'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "minDate_input", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "readOnly_input", void 0);
                __decorate([
                    core_2.Input('showDisabledRange'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "showDisabledRange_input", void 0);
                __decorate([
                    core_2.Input('showFooter'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "showFooter_input", void 0);
                __decorate([
                    core_2.Input('showOtherMonths'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "showOtherMonths_input", void 0);
                __decorate([
                    core_2.Input('showPopupButton'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "showPopupButton_input", void 0);
                __decorate([
                    core_2.Input('showRoundedCorner'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "showRoundedCorner_input", void 0);
                __decorate([
                    core_2.Input('showTooltip'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "showTooltip_input", void 0);
                __decorate([
                    core_2.Input('specialDates'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "specialDates_input", void 0);
                __decorate([
                    core_2.Input('startDay'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "startDay_input", void 0);
                __decorate([
                    core_2.Input('startLevel'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "startLevel_input", void 0);
                __decorate([
                    core_2.Input('stepMonths'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "stepMonths_input", void 0);
                __decorate([
                    core_2.Input('tooltipFormat'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "tooltipFormat_input", void 0);
                __decorate([
                    core_2.Input('validationMessage'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "validationMessage_input", void 0);
                __decorate([
                    core_2.Input('validationRules'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "validationRules_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "value_input", void 0);
                __decorate([
                    core_2.Input('watermarkText'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "watermarkText_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Input('fields.date'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "fields_date_input", void 0);
                __decorate([
                    core_2.Input('fields.iconClass'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "fields_iconClass_input", void 0);
                __decorate([
                    core_2.Input('fields.tooltip'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "fields_tooltip_input", void 0);
                __decorate([
                    core_2.Input('fields.cssClass'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "fields_cssClass_input", void 0);
                __decorate([
                    core_2.Output('beforeClose'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "beforeClose_output", void 0);
                __decorate([
                    core_2.Output('beforeDateCreate'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "beforeDateCreate_output", void 0);
                __decorate([
                    core_2.Output('beforeOpen'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "beforeOpen_output", void 0);
                __decorate([
                    core_2.Output('change'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "change_output", void 0);
                __decorate([
                    core_2.Output('ejchange'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "ejchange_output", void 0);
                __decorate([
                    core_2.Output('close'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "close_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('focusIn'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "focusIn_output", void 0);
                __decorate([
                    core_2.Output('focusOut'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "focusOut_output", void 0);
                __decorate([
                    core_2.Output('navigate'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "navigate_output", void 0);
                __decorate([
                    core_2.Output('open'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "open_output", void 0);
                __decorate([
                    core_2.Output('select'),
                    __metadata("design:type", Object)
                ], DatePickerComponent.prototype, "select_output", void 0);
                DatePickerComponent = __decorate([
                    core_2.Component({
                        selector: '[ej-datepicker]',
                        template: '',
                        host: { '(ejchange)': 'onChange($event.value)', '(change)': 'onChange($event.value)', '(focusOut)': 'onTouched()' },
                        providers: [DatePickerValueAccessor]
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], DatePickerComponent);
                return DatePickerComponent;
            }(core_1.EJComponents));
            exports_1("DatePickerComponent", DatePickerComponent);
            exports_1("EJ_DATEPICKER_COMPONENTS", EJ_DATEPICKER_COMPONENTS = [DatePickerComponent
            ]);
        }
    };
});
//# sourceMappingURL=datepicker.component.js.map