System.register(["syncfusion-javascript/Scripts/ej/web/ej.datetimepicker", "./core", "@angular/core", "@angular/forms"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, forms_1, noop, DateTimePickerValueAccessor, DateTimePickerComponent, EJ_DATETIMEPICKER_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            }
        ],
        execute: function () {
            noop = function () {
            };
            exports_1("DateTimePickerValueAccessor", DateTimePickerValueAccessor = {
                provide: forms_1.NG_VALUE_ACCESSOR,
                useExisting: core_2.forwardRef(function () { return DateTimePickerComponent; }),
                multi: true
            });
            DateTimePickerComponent = (function (_super) {
                __extends(DateTimePickerComponent, _super);
                function DateTimePickerComponent(el, cdRef) {
                    var _this = _super.call(this, 'DateTimePicker', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.beforeClose_output = new core_2.EventEmitter();
                    _this.beforeOpen_output = new core_2.EventEmitter();
                    _this.change_output = new core_2.EventEmitter();
                    _this.ejchange_output = new core_2.EventEmitter();
                    _this.close_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.focusIn_output = new core_2.EventEmitter();
                    _this.focusOut_output = new core_2.EventEmitter();
                    _this.open_output = new core_2.EventEmitter();
                    _this.onChange = noop;
                    _this.onTouched = noop;
                    return _this;
                }
                DateTimePickerComponent.prototype.writeValue = function (value) {
                    if (this.widget) {
                        this.widget.option('model.value', value);
                    }
                    else {
                        this.model.value = value;
                    }
                };
                DateTimePickerComponent.prototype.registerOnChange = function (fn) {
                    this.onChange = fn;
                };
                DateTimePickerComponent.prototype.registerOnTouched = function (fn) {
                    this.onTouched = fn;
                };
                __decorate([
                    core_2.Input('allowEdit'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "allowEdit_input", void 0);
                __decorate([
                    core_2.Input('buttonText'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "buttonText_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('dateTimeFormat'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "dateTimeFormat_input", void 0);
                __decorate([
                    core_2.Input('dayHeaderFormat'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "dayHeaderFormat_input", void 0);
                __decorate([
                    core_2.Input('depthLevel'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "depthLevel_input", void 0);
                __decorate([
                    core_2.Input('enableAnimation'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "enableAnimation_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('enableStrictMode'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "enableStrictMode_input", void 0);
                __decorate([
                    core_2.Input('headerFormat'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "headerFormat_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('htmlAttributes'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('interval'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "interval_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('maxDateTime'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "maxDateTime_input", void 0);
                __decorate([
                    core_2.Input('minDateTime'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "minDateTime_input", void 0);
                __decorate([
                    core_2.Input('popupPosition'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "popupPosition_input", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "readOnly_input", void 0);
                __decorate([
                    core_2.Input('showOtherMonths'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "showOtherMonths_input", void 0);
                __decorate([
                    core_2.Input('showPopupButton'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "showPopupButton_input", void 0);
                __decorate([
                    core_2.Input('showRoundedCorner'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "showRoundedCorner_input", void 0);
                __decorate([
                    core_2.Input('startDay'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "startDay_input", void 0);
                __decorate([
                    core_2.Input('startLevel'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "startLevel_input", void 0);
                __decorate([
                    core_2.Input('stepMonths'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "stepMonths_input", void 0);
                __decorate([
                    core_2.Input('timeDisplayFormat'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "timeDisplayFormat_input", void 0);
                __decorate([
                    core_2.Input('timeDrillDown'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "timeDrillDown_input", void 0);
                __decorate([
                    core_2.Input('timePopupWidth'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "timePopupWidth_input", void 0);
                __decorate([
                    core_2.Input('validationMessage'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "validationMessage_input", void 0);
                __decorate([
                    core_2.Input('validationRules'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "validationRules_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "value_input", void 0);
                __decorate([
                    core_2.Input('watermarkText'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "watermarkText_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Input('buttonText.done'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "buttonText_done_input", void 0);
                __decorate([
                    core_2.Input('buttonText.timeNow'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "buttonText_timeNow_input", void 0);
                __decorate([
                    core_2.Input('buttonText.timeTitle'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "buttonText_timeTitle_input", void 0);
                __decorate([
                    core_2.Input('buttonText.today'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "buttonText_today_input", void 0);
                __decorate([
                    core_2.Input('timeDrillDown.enabled'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "timeDrillDown_enabled_input", void 0);
                __decorate([
                    core_2.Input('timeDrillDown.interval'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "timeDrillDown_interval_input", void 0);
                __decorate([
                    core_2.Input('timeDrillDown.showMeridian'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "timeDrillDown_showMeridian_input", void 0);
                __decorate([
                    core_2.Input('timeDrillDown.autoClose'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "timeDrillDown_autoClose_input", void 0);
                __decorate([
                    core_2.Output('beforeClose'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "beforeClose_output", void 0);
                __decorate([
                    core_2.Output('beforeOpen'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "beforeOpen_output", void 0);
                __decorate([
                    core_2.Output('change'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "change_output", void 0);
                __decorate([
                    core_2.Output('ejchange'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "ejchange_output", void 0);
                __decorate([
                    core_2.Output('close'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "close_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('focusIn'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "focusIn_output", void 0);
                __decorate([
                    core_2.Output('focusOut'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "focusOut_output", void 0);
                __decorate([
                    core_2.Output('open'),
                    __metadata("design:type", Object)
                ], DateTimePickerComponent.prototype, "open_output", void 0);
                DateTimePickerComponent = __decorate([
                    core_2.Component({
                        selector: '[ej-datetimepicker]',
                        template: '',
                        host: { '(ejchange)': 'onChange($event.value)', '(change)': 'onChange($event.value)', '(focusOut)': 'onTouched()' },
                        providers: [DateTimePickerValueAccessor]
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], DateTimePickerComponent);
                return DateTimePickerComponent;
            }(core_1.EJComponents));
            exports_1("DateTimePickerComponent", DateTimePickerComponent);
            exports_1("EJ_DATETIMEPICKER_COMPONENTS", EJ_DATETIMEPICKER_COMPONENTS = [DateTimePickerComponent
            ]);
        }
    };
});
//# sourceMappingURL=datetimepicker.component.js.map