System.register(["syncfusion-javascript/Scripts/ej/web/ej.dropdownlist", "./core", "@angular/core", "@angular/forms"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, forms_1, noop, DropDownListValueAccessor, DropDownListComponent, EJ_DROPDOWNLIST_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            }
        ],
        execute: function () {
            noop = function () {
            };
            exports_1("DropDownListValueAccessor", DropDownListValueAccessor = {
                provide: forms_1.NG_VALUE_ACCESSOR,
                useExisting: core_2.forwardRef(function () { return DropDownListComponent; }),
                multi: true
            });
            DropDownListComponent = (function (_super) {
                __extends(DropDownListComponent, _super);
                function DropDownListComponent(el, cdRef) {
                    var _this = _super.call(this, 'DropDownList', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.value_twoChange = new core_2.EventEmitter();
                    _this.actionBegin_output = new core_2.EventEmitter();
                    _this.actionComplete_output = new core_2.EventEmitter();
                    _this.actionFailure_output = new core_2.EventEmitter();
                    _this.actionSuccess_output = new core_2.EventEmitter();
                    _this.beforePopupHide_output = new core_2.EventEmitter();
                    _this.beforePopupShown_output = new core_2.EventEmitter();
                    _this.cascade_output = new core_2.EventEmitter();
                    _this.change_output = new core_2.EventEmitter();
                    _this.ejchange_output = new core_2.EventEmitter();
                    _this.checkChange_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.dataBound_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.focusIn_output = new core_2.EventEmitter();
                    _this.focusOut_output = new core_2.EventEmitter();
                    _this.popupHide_output = new core_2.EventEmitter();
                    _this.popupResize_output = new core_2.EventEmitter();
                    _this.popupShown_output = new core_2.EventEmitter();
                    _this.popupResizeStart_output = new core_2.EventEmitter();
                    _this.popupResizeStop_output = new core_2.EventEmitter();
                    _this.search_output = new core_2.EventEmitter();
                    _this.select_output = new core_2.EventEmitter();
                    _this.onChange = noop;
                    _this.onTouched = noop;
                    return _this;
                }
                DropDownListComponent.prototype.writeValue = function (value) {
                    if (this.widget) {
                        this.widget.option('model.value', value);
                    }
                    else {
                        this.model.value = value;
                    }
                };
                DropDownListComponent.prototype.registerOnChange = function (fn) {
                    this.onChange = fn;
                };
                DropDownListComponent.prototype.registerOnTouched = function (fn) {
                    this.onTouched = fn;
                };
                __decorate([
                    core_2.Input('allowVirtualScrolling'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "allowVirtualScrolling_input", void 0);
                __decorate([
                    core_2.Input('cascadeTo'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "cascadeTo_input", void 0);
                __decorate([
                    core_2.Input('caseSensitiveSearch'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "caseSensitiveSearch_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('dataSource'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "dataSource_input", void 0);
                __decorate([
                    core_2.Input('delimiterChar'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "delimiterChar_input", void 0);
                __decorate([
                    core_2.Input('enableAnimation'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "enableAnimation_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enableIncrementalSearch'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "enableIncrementalSearch_input", void 0);
                __decorate([
                    core_2.Input('enableFilterSearch'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "enableFilterSearch_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('enablePopupResize'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "enablePopupResize_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('enableSorting'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "enableSorting_input", void 0);
                __decorate([
                    core_2.Input('fields'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "fields_input", void 0);
                __decorate([
                    core_2.Input('filterType'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "filterType_input", void 0);
                __decorate([
                    core_2.Input('headerTemplate'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "headerTemplate_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('htmlAttributes'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('itemsCount'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "itemsCount_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('maxPopupHeight'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "maxPopupHeight_input", void 0);
                __decorate([
                    core_2.Input('minPopupHeight'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "minPopupHeight_input", void 0);
                __decorate([
                    core_2.Input('maxPopupWidth'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "maxPopupWidth_input", void 0);
                __decorate([
                    core_2.Input('minPopupWidth'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "minPopupWidth_input", void 0);
                __decorate([
                    core_2.Input('multiSelectMode'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "multiSelectMode_input", void 0);
                __decorate([
                    core_2.Input('popupHeight'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "popupHeight_input", void 0);
                __decorate([
                    core_2.Input('popupWidth'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "popupWidth_input", void 0);
                __decorate([
                    core_2.Input('query'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "query_input", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "readOnly_input", void 0);
                __decorate([
                    core_2.Input('selectedIndex'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "selectedIndex_input", void 0);
                __decorate([
                    core_2.Input('selectedIndices'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "selectedIndices_input", void 0);
                __decorate([
                    core_2.Input('showCheckbox'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "showCheckbox_input", void 0);
                __decorate([
                    core_2.Input('showPopupOnLoad'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "showPopupOnLoad_input", void 0);
                __decorate([
                    core_2.Input('showRoundedCorner'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "showRoundedCorner_input", void 0);
                __decorate([
                    core_2.Input('sortOrder'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "sortOrder_input", void 0);
                __decorate([
                    core_2.Input('targetID'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "targetID_input", void 0);
                __decorate([
                    core_2.Input('template'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "template_input", void 0);
                __decorate([
                    core_2.Input('text'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "text_input", void 0);
                __decorate([
                    core_2.Input('validationMessage'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "validationMessage_input", void 0);
                __decorate([
                    core_2.Input('validationRules'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "validationRules_input", void 0);
                __decorate([
                    core_2.Input('watermarkText'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "watermarkText_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Input('virtualScrollMode'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "virtualScrollMode_input", void 0);
                __decorate([
                    core_2.Input('fields.groupBy'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "fields_groupBy_input", void 0);
                __decorate([
                    core_2.Input('fields.htmlAttributes'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "fields_htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('fields.id'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "fields_id_input", void 0);
                __decorate([
                    core_2.Input('fields.imageAttributes'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "fields_imageAttributes_input", void 0);
                __decorate([
                    core_2.Input('fields.imageUrl'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "fields_imageUrl_input", void 0);
                __decorate([
                    core_2.Input('fields.selected'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "fields_selected_input", void 0);
                __decorate([
                    core_2.Input('fields.spriteCssClass'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "fields_spriteCssClass_input", void 0);
                __decorate([
                    core_2.Input('fields.tableName'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "fields_tableName_input", void 0);
                __decorate([
                    core_2.Input('fields.text'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "fields_text_input", void 0);
                __decorate([
                    core_2.Input('fields.value'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "fields_value_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "value_two", void 0);
                __decorate([
                    core_2.Output('valueChange'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "value_twoChange", void 0);
                __decorate([
                    core_2.Output('actionBegin'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "actionBegin_output", void 0);
                __decorate([
                    core_2.Output('actionComplete'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "actionComplete_output", void 0);
                __decorate([
                    core_2.Output('actionFailure'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "actionFailure_output", void 0);
                __decorate([
                    core_2.Output('actionSuccess'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "actionSuccess_output", void 0);
                __decorate([
                    core_2.Output('beforePopupHide'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "beforePopupHide_output", void 0);
                __decorate([
                    core_2.Output('beforePopupShown'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "beforePopupShown_output", void 0);
                __decorate([
                    core_2.Output('cascade'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "cascade_output", void 0);
                __decorate([
                    core_2.Output('change'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "change_output", void 0);
                __decorate([
                    core_2.Output('ejchange'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "ejchange_output", void 0);
                __decorate([
                    core_2.Output('checkChange'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "checkChange_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('dataBound'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "dataBound_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('focusIn'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "focusIn_output", void 0);
                __decorate([
                    core_2.Output('focusOut'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "focusOut_output", void 0);
                __decorate([
                    core_2.Output('popupHide'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "popupHide_output", void 0);
                __decorate([
                    core_2.Output('popupResize'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "popupResize_output", void 0);
                __decorate([
                    core_2.Output('popupShown'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "popupShown_output", void 0);
                __decorate([
                    core_2.Output('popupResizeStart'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "popupResizeStart_output", void 0);
                __decorate([
                    core_2.Output('popupResizeStop'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "popupResizeStop_output", void 0);
                __decorate([
                    core_2.Output('search'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "search_output", void 0);
                __decorate([
                    core_2.Output('select'),
                    __metadata("design:type", Object)
                ], DropDownListComponent.prototype, "select_output", void 0);
                DropDownListComponent = __decorate([
                    core_2.Component({
                        selector: '[ej-dropdownlist]',
                        template: '',
                        host: { '(ejchange)': 'onChange($event.value)', '(change)': 'onChange($event.value)', '(focusOut)': 'onTouched()' },
                        providers: [DropDownListValueAccessor]
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], DropDownListComponent);
                return DropDownListComponent;
            }(core_1.EJComponents));
            exports_1("DropDownListComponent", DropDownListComponent);
            exports_1("EJ_DROPDOWNLIST_COMPONENTS", EJ_DROPDOWNLIST_COMPONENTS = [DropDownListComponent
            ]);
        }
    };
});
//# sourceMappingURL=dropdownlist.component.js.map