System.register(["syncfusion-javascript/Scripts/ej/datavisualization/ej.lineargauge", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, LinearGaugeMarkerPointerDirective, LinearGaugeMarkerPointersDirective, LinearGaugeBarPointerDirective, LinearGaugeBarPointersDirective, LinearGaugeRangeDirective, LinearGaugeRangesDirective, LinearGaugeTickDirective, LinearGaugeTicksDirective, LinearGaugeStateRangeDirective, LinearGaugeStateRangesDirective, LinearGaugeIndicatorDirective, LinearGaugeIndicatorsDirective, LinearGaugeLabelDirective, LinearGaugeLabelsDirective, LinearGaugeScaleDirective, LinearGaugeScalesDirective, LinearGaugeComponent, EJ_LINEARGAUGE_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            LinearGaugeMarkerPointerDirective = (function (_super) {
                __extends(LinearGaugeMarkerPointerDirective, _super);
                function LinearGaugeMarkerPointerDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('backgroundColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "backgroundColor", void 0);
                __decorate([
                    core_2.Input('border'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "border", void 0);
                __decorate([
                    core_2.Input('border.color'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "border_color", void 0);
                __decorate([
                    core_2.Input('border.width'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "border_width", void 0);
                __decorate([
                    core_2.Input('distanceFromScale'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "distanceFromScale", void 0);
                __decorate([
                    core_2.Input('gradients'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "gradients", void 0);
                __decorate([
                    core_2.Input('length'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "length", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('placement'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "placement", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "value", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], LinearGaugeMarkerPointerDirective.prototype, "width", void 0);
                LinearGaugeMarkerPointerDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-markerpointers>e-markerpointer',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeMarkerPointerDirective);
                return LinearGaugeMarkerPointerDirective;
            }(core_1.ComplexTagElement));
            exports_1("LinearGaugeMarkerPointerDirective", LinearGaugeMarkerPointerDirective);
            LinearGaugeMarkerPointersDirective = (function (_super) {
                __extends(LinearGaugeMarkerPointersDirective, _super);
                function LinearGaugeMarkerPointersDirective(widget) {
                    return _super.call(this, 'markerPointers') || this;
                }
                LinearGaugeMarkerPointersDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-scales>e-markerpointers',
                        queries: {
                            children: new core_2.ContentChildren(LinearGaugeMarkerPointerDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeMarkerPointersDirective);
                return LinearGaugeMarkerPointersDirective;
            }(core_1.ArrayTagElement));
            exports_1("LinearGaugeMarkerPointersDirective", LinearGaugeMarkerPointersDirective);
            LinearGaugeBarPointerDirective = (function (_super) {
                __extends(LinearGaugeBarPointerDirective, _super);
                function LinearGaugeBarPointerDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('backgroundColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeBarPointerDirective.prototype, "backgroundColor", void 0);
                __decorate([
                    core_2.Input('border'),
                    __metadata("design:type", Object)
                ], LinearGaugeBarPointerDirective.prototype, "border", void 0);
                __decorate([
                    core_2.Input('border.color'),
                    __metadata("design:type", Object)
                ], LinearGaugeBarPointerDirective.prototype, "border_color", void 0);
                __decorate([
                    core_2.Input('border.width'),
                    __metadata("design:type", Object)
                ], LinearGaugeBarPointerDirective.prototype, "border_width", void 0);
                __decorate([
                    core_2.Input('distanceFromScale'),
                    __metadata("design:type", Object)
                ], LinearGaugeBarPointerDirective.prototype, "distanceFromScale", void 0);
                __decorate([
                    core_2.Input('gradients'),
                    __metadata("design:type", Object)
                ], LinearGaugeBarPointerDirective.prototype, "gradients", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], LinearGaugeBarPointerDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], LinearGaugeBarPointerDirective.prototype, "value", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], LinearGaugeBarPointerDirective.prototype, "width", void 0);
                LinearGaugeBarPointerDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-barpointers>e-barpointer',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeBarPointerDirective);
                return LinearGaugeBarPointerDirective;
            }(core_1.ComplexTagElement));
            exports_1("LinearGaugeBarPointerDirective", LinearGaugeBarPointerDirective);
            LinearGaugeBarPointersDirective = (function (_super) {
                __extends(LinearGaugeBarPointersDirective, _super);
                function LinearGaugeBarPointersDirective(widget) {
                    return _super.call(this, 'barPointers') || this;
                }
                LinearGaugeBarPointersDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-scales>e-barpointers',
                        queries: {
                            children: new core_2.ContentChildren(LinearGaugeBarPointerDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeBarPointersDirective);
                return LinearGaugeBarPointersDirective;
            }(core_1.ArrayTagElement));
            exports_1("LinearGaugeBarPointersDirective", LinearGaugeBarPointersDirective);
            LinearGaugeRangeDirective = (function (_super) {
                __extends(LinearGaugeRangeDirective, _super);
                function LinearGaugeRangeDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('backgroundColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "backgroundColor", void 0);
                __decorate([
                    core_2.Input('border'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "border", void 0);
                __decorate([
                    core_2.Input('border.color'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "border_color", void 0);
                __decorate([
                    core_2.Input('border.width'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "border_width", void 0);
                __decorate([
                    core_2.Input('distanceFromScale'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "distanceFromScale", void 0);
                __decorate([
                    core_2.Input('endValue'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "endValue", void 0);
                __decorate([
                    core_2.Input('endWidth'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "endWidth", void 0);
                __decorate([
                    core_2.Input('gradients'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "gradients", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('placement'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "placement", void 0);
                __decorate([
                    core_2.Input('startValue'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "startValue", void 0);
                __decorate([
                    core_2.Input('startWidth'),
                    __metadata("design:type", Object)
                ], LinearGaugeRangeDirective.prototype, "startWidth", void 0);
                LinearGaugeRangeDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-ranges>e-range',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeRangeDirective);
                return LinearGaugeRangeDirective;
            }(core_1.ComplexTagElement));
            exports_1("LinearGaugeRangeDirective", LinearGaugeRangeDirective);
            LinearGaugeRangesDirective = (function (_super) {
                __extends(LinearGaugeRangesDirective, _super);
                function LinearGaugeRangesDirective(widget) {
                    return _super.call(this, 'ranges') || this;
                }
                LinearGaugeRangesDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-scales>e-ranges',
                        queries: {
                            children: new core_2.ContentChildren(LinearGaugeRangeDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeRangesDirective);
                return LinearGaugeRangesDirective;
            }(core_1.ArrayTagElement));
            exports_1("LinearGaugeRangesDirective", LinearGaugeRangesDirective);
            LinearGaugeTickDirective = (function (_super) {
                __extends(LinearGaugeTickDirective, _super);
                function LinearGaugeTickDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('angle'),
                    __metadata("design:type", Object)
                ], LinearGaugeTickDirective.prototype, "angle", void 0);
                __decorate([
                    core_2.Input('color'),
                    __metadata("design:type", Object)
                ], LinearGaugeTickDirective.prototype, "color", void 0);
                __decorate([
                    core_2.Input('distanceFromScale'),
                    __metadata("design:type", Object)
                ], LinearGaugeTickDirective.prototype, "distanceFromScale", void 0);
                __decorate([
                    core_2.Input('distanceFromScale.x'),
                    __metadata("design:type", Object)
                ], LinearGaugeTickDirective.prototype, "distanceFromScale_x", void 0);
                __decorate([
                    core_2.Input('distanceFromScale.y'),
                    __metadata("design:type", Object)
                ], LinearGaugeTickDirective.prototype, "distanceFromScale_y", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], LinearGaugeTickDirective.prototype, "height", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], LinearGaugeTickDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('placement'),
                    __metadata("design:type", Object)
                ], LinearGaugeTickDirective.prototype, "placement", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], LinearGaugeTickDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], LinearGaugeTickDirective.prototype, "width", void 0);
                LinearGaugeTickDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-ticks>e-tick',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeTickDirective);
                return LinearGaugeTickDirective;
            }(core_1.ComplexTagElement));
            exports_1("LinearGaugeTickDirective", LinearGaugeTickDirective);
            LinearGaugeTicksDirective = (function (_super) {
                __extends(LinearGaugeTicksDirective, _super);
                function LinearGaugeTicksDirective(widget) {
                    return _super.call(this, 'ticks') || this;
                }
                LinearGaugeTicksDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-scales>e-ticks',
                        queries: {
                            children: new core_2.ContentChildren(LinearGaugeTickDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeTicksDirective);
                return LinearGaugeTicksDirective;
            }(core_1.ArrayTagElement));
            exports_1("LinearGaugeTicksDirective", LinearGaugeTicksDirective);
            LinearGaugeStateRangeDirective = (function (_super) {
                __extends(LinearGaugeStateRangeDirective, _super);
                function LinearGaugeStateRangeDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('backgroundColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeStateRangeDirective.prototype, "backgroundColor", void 0);
                __decorate([
                    core_2.Input('borderColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeStateRangeDirective.prototype, "borderColor", void 0);
                __decorate([
                    core_2.Input('endValue'),
                    __metadata("design:type", Object)
                ], LinearGaugeStateRangeDirective.prototype, "endValue", void 0);
                __decorate([
                    core_2.Input('startValue'),
                    __metadata("design:type", Object)
                ], LinearGaugeStateRangeDirective.prototype, "startValue", void 0);
                __decorate([
                    core_2.Input('text'),
                    __metadata("design:type", Object)
                ], LinearGaugeStateRangeDirective.prototype, "text", void 0);
                __decorate([
                    core_2.Input('textColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeStateRangeDirective.prototype, "textColor", void 0);
                LinearGaugeStateRangeDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-stateranges>e-staterange',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeStateRangeDirective);
                return LinearGaugeStateRangeDirective;
            }(core_1.ComplexTagElement));
            exports_1("LinearGaugeStateRangeDirective", LinearGaugeStateRangeDirective);
            LinearGaugeStateRangesDirective = (function (_super) {
                __extends(LinearGaugeStateRangesDirective, _super);
                function LinearGaugeStateRangesDirective(widget) {
                    return _super.call(this, 'stateRanges') || this;
                }
                LinearGaugeStateRangesDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-indicators>e-stateranges',
                        queries: {
                            children: new core_2.ContentChildren(LinearGaugeStateRangeDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeStateRangesDirective);
                return LinearGaugeStateRangesDirective;
            }(core_1.ArrayTagElement));
            exports_1("LinearGaugeStateRangesDirective", LinearGaugeStateRangesDirective);
            LinearGaugeIndicatorDirective = (function (_super) {
                __extends(LinearGaugeIndicatorDirective, _super);
                function LinearGaugeIndicatorDirective(widget) {
                    var _this = _super.call(this, ['stateRanges']) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('backgroundColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "backgroundColor", void 0);
                __decorate([
                    core_2.Input('border'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "border", void 0);
                __decorate([
                    core_2.Input('border.color'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "border_color", void 0);
                __decorate([
                    core_2.Input('border.width'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "border_width", void 0);
                __decorate([
                    core_2.Input('font'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "font", void 0);
                __decorate([
                    core_2.Input('font.fontFamily'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "font_fontFamily", void 0);
                __decorate([
                    core_2.Input('font.fontStyle'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "font_fontStyle", void 0);
                __decorate([
                    core_2.Input('font.size'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "font_size", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "height", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('position'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "position", void 0);
                __decorate([
                    core_2.Input('position.x'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "position_x", void 0);
                __decorate([
                    core_2.Input('position.y'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "position_y", void 0);
                __decorate([
                    core_2.Input('stateRanges'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "stateRanges", void 0);
                __decorate([
                    core_2.Input('textLocation'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "textLocation", void 0);
                __decorate([
                    core_2.Input('textLocation.x'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "textLocation_x", void 0);
                __decorate([
                    core_2.Input('textLocation.y'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "textLocation_y", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "width", void 0);
                __decorate([
                    core_2.ContentChild(LinearGaugeStateRangesDirective),
                    __metadata("design:type", Object)
                ], LinearGaugeIndicatorDirective.prototype, "tag_stateRanges", void 0);
                LinearGaugeIndicatorDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-indicators>e-indicator',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeIndicatorDirective);
                return LinearGaugeIndicatorDirective;
            }(core_1.ComplexTagElement));
            exports_1("LinearGaugeIndicatorDirective", LinearGaugeIndicatorDirective);
            LinearGaugeIndicatorsDirective = (function (_super) {
                __extends(LinearGaugeIndicatorsDirective, _super);
                function LinearGaugeIndicatorsDirective(widget) {
                    return _super.call(this, 'indicators') || this;
                }
                LinearGaugeIndicatorsDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-scales>e-indicators',
                        queries: {
                            children: new core_2.ContentChildren(LinearGaugeIndicatorDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeIndicatorsDirective);
                return LinearGaugeIndicatorsDirective;
            }(core_1.ArrayTagElement));
            exports_1("LinearGaugeIndicatorsDirective", LinearGaugeIndicatorsDirective);
            LinearGaugeLabelDirective = (function (_super) {
                __extends(LinearGaugeLabelDirective, _super);
                function LinearGaugeLabelDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('angle'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "angle", void 0);
                __decorate([
                    core_2.Input('distanceFromScale'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "distanceFromScale", void 0);
                __decorate([
                    core_2.Input('distanceFromScale.x'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "distanceFromScale_x", void 0);
                __decorate([
                    core_2.Input('distanceFromScale.y'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "distanceFromScale_y", void 0);
                __decorate([
                    core_2.Input('font'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "font", void 0);
                __decorate([
                    core_2.Input('font.fontFamily'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "font_fontFamily", void 0);
                __decorate([
                    core_2.Input('font.fontStyle'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "font_fontStyle", void 0);
                __decorate([
                    core_2.Input('font.size'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "font_size", void 0);
                __decorate([
                    core_2.Input('includeFirstValue'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "includeFirstValue", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('placement'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "placement", void 0);
                __decorate([
                    core_2.Input('textColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "textColor", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('unitText'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "unitText", void 0);
                __decorate([
                    core_2.Input('unitTextPlacement'),
                    __metadata("design:type", Object)
                ], LinearGaugeLabelDirective.prototype, "unitTextPlacement", void 0);
                LinearGaugeLabelDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-labels>e-label',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeLabelDirective);
                return LinearGaugeLabelDirective;
            }(core_1.ComplexTagElement));
            exports_1("LinearGaugeLabelDirective", LinearGaugeLabelDirective);
            LinearGaugeLabelsDirective = (function (_super) {
                __extends(LinearGaugeLabelsDirective, _super);
                function LinearGaugeLabelsDirective(widget) {
                    return _super.call(this, 'labels') || this;
                }
                LinearGaugeLabelsDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-scales>e-labels',
                        queries: {
                            children: new core_2.ContentChildren(LinearGaugeLabelDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeLabelsDirective);
                return LinearGaugeLabelsDirective;
            }(core_1.ArrayTagElement));
            exports_1("LinearGaugeLabelsDirective", LinearGaugeLabelsDirective);
            LinearGaugeScaleDirective = (function (_super) {
                __extends(LinearGaugeScaleDirective, _super);
                function LinearGaugeScaleDirective(widget) {
                    var _this = _super.call(this, ['markerPointers', 'barPointers', 'ranges', 'ticks', 'indicators', 'labels']) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('backgroundColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "backgroundColor", void 0);
                __decorate([
                    core_2.Input('barPointers'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "barPointers", void 0);
                __decorate([
                    core_2.Input('border'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "border", void 0);
                __decorate([
                    core_2.Input('border.color'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "border_color", void 0);
                __decorate([
                    core_2.Input('border.width'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "border_width", void 0);
                __decorate([
                    core_2.Input('customLabels'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "customLabels", void 0);
                __decorate([
                    core_2.Input('direction'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "direction", void 0);
                __decorate([
                    core_2.Input('indicators'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "indicators", void 0);
                __decorate([
                    core_2.Input('labels'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "labels", void 0);
                __decorate([
                    core_2.Input('length'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "length", void 0);
                __decorate([
                    core_2.Input('majorIntervalValue'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "majorIntervalValue", void 0);
                __decorate([
                    core_2.Input('markerPointers'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "markerPointers", void 0);
                __decorate([
                    core_2.Input('maximum'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "maximum", void 0);
                __decorate([
                    core_2.Input('minimum'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "minimum", void 0);
                __decorate([
                    core_2.Input('minorIntervalValue'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "minorIntervalValue", void 0);
                __decorate([
                    core_2.Input('opacity'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "opacity", void 0);
                __decorate([
                    core_2.Input('position'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "position", void 0);
                __decorate([
                    core_2.Input('position.x'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "position_x", void 0);
                __decorate([
                    core_2.Input('position.y'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "position_y", void 0);
                __decorate([
                    core_2.Input('ranges'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "ranges", void 0);
                __decorate([
                    core_2.Input('shadowOffset'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "shadowOffset", void 0);
                __decorate([
                    core_2.Input('showBarPointers'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "showBarPointers", void 0);
                __decorate([
                    core_2.Input('showCustomLabels'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "showCustomLabels", void 0);
                __decorate([
                    core_2.Input('showIndicators'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "showIndicators", void 0);
                __decorate([
                    core_2.Input('showLabels'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "showLabels", void 0);
                __decorate([
                    core_2.Input('showMarkerPointers'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "showMarkerPointers", void 0);
                __decorate([
                    core_2.Input('showRanges'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "showRanges", void 0);
                __decorate([
                    core_2.Input('showTicks'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "showTicks", void 0);
                __decorate([
                    core_2.Input('ticks'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "ticks", void 0);
                __decorate([
                    core_2.Input('type'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "type", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "width", void 0);
                __decorate([
                    core_2.ContentChild(LinearGaugeMarkerPointersDirective),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "tag_markerPointers", void 0);
                __decorate([
                    core_2.ContentChild(LinearGaugeBarPointersDirective),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "tag_barPointers", void 0);
                __decorate([
                    core_2.ContentChild(LinearGaugeRangesDirective),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "tag_ranges", void 0);
                __decorate([
                    core_2.ContentChild(LinearGaugeTicksDirective),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "tag_ticks", void 0);
                __decorate([
                    core_2.ContentChild(LinearGaugeIndicatorsDirective),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "tag_indicators", void 0);
                __decorate([
                    core_2.ContentChild(LinearGaugeLabelsDirective),
                    __metadata("design:type", Object)
                ], LinearGaugeScaleDirective.prototype, "tag_labels", void 0);
                LinearGaugeScaleDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-scales>e-scale',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeScaleDirective);
                return LinearGaugeScaleDirective;
            }(core_1.ComplexTagElement));
            exports_1("LinearGaugeScaleDirective", LinearGaugeScaleDirective);
            LinearGaugeScalesDirective = (function (_super) {
                __extends(LinearGaugeScalesDirective, _super);
                function LinearGaugeScalesDirective(widget) {
                    return _super.call(this, 'scales') || this;
                }
                LinearGaugeScalesDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-lineargauge>e-scales',
                        queries: {
                            children: new core_2.ContentChildren(LinearGaugeScaleDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return LinearGaugeComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], LinearGaugeScalesDirective);
                return LinearGaugeScalesDirective;
            }(core_1.ArrayTagElement));
            exports_1("LinearGaugeScalesDirective", LinearGaugeScalesDirective);
            LinearGaugeComponent = (function (_super) {
                __extends(LinearGaugeComponent, _super);
                function LinearGaugeComponent(el, cdRef) {
                    var _this = _super.call(this, 'LinearGauge', el, cdRef, ['scales']) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.value_twoChange = new core_2.EventEmitter();
                    _this.minimum_twoChange = new core_2.EventEmitter();
                    _this.maximum_twoChange = new core_2.EventEmitter();
                    _this.drawBarPointers_output = new core_2.EventEmitter();
                    _this.drawCustomLabel_output = new core_2.EventEmitter();
                    _this.drawIndicators_output = new core_2.EventEmitter();
                    _this.drawLabels_output = new core_2.EventEmitter();
                    _this.drawMarkerPointers_output = new core_2.EventEmitter();
                    _this.drawRange_output = new core_2.EventEmitter();
                    _this.drawTicks_output = new core_2.EventEmitter();
                    _this.init_output = new core_2.EventEmitter();
                    _this.load_output = new core_2.EventEmitter();
                    _this.mouseClick_output = new core_2.EventEmitter();
                    _this.mouseClickMove_output = new core_2.EventEmitter();
                    _this.mouseClickUp_output = new core_2.EventEmitter();
                    _this.renderComplete_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('animationSpeed'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "animationSpeed_input", void 0);
                __decorate([
                    core_2.Input('backgroundColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "backgroundColor_input", void 0);
                __decorate([
                    core_2.Input('borderColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "borderColor_input", void 0);
                __decorate([
                    core_2.Input('enableAnimation'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "enableAnimation_input", void 0);
                __decorate([
                    core_2.Input('enableMarkerPointerAnimation'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "enableMarkerPointerAnimation_input", void 0);
                __decorate([
                    core_2.Input('isResponsive'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "isResponsive_input", void 0);
                __decorate([
                    core_2.Input('enableGroupSeparator'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "enableGroupSeparator_input", void 0);
                __decorate([
                    core_2.Input('enableResize'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "enableResize_input", void 0);
                __decorate([
                    core_2.Input('frame'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "frame_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('labelColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "labelColor_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('orientation'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "orientation_input", void 0);
                __decorate([
                    core_2.Input('outerCustomLabelPosition'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "outerCustomLabelPosition_input", void 0);
                __decorate([
                    core_2.Input('pointerGradient1'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "pointerGradient1_input", void 0);
                __decorate([
                    core_2.Input('pointerGradient2'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "pointerGradient2_input", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "readOnly_input", void 0);
                __decorate([
                    core_2.Input('theme'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "theme_input", void 0);
                __decorate([
                    core_2.Input('tickColor'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "tickColor_input", void 0);
                __decorate([
                    core_2.Input('tooltip'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "tooltip_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Input('frame.backgroundImageUrl'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "frame_backgroundImageUrl_input", void 0);
                __decorate([
                    core_2.Input('frame.innerWidth'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "frame_innerWidth_input", void 0);
                __decorate([
                    core_2.Input('frame.outerWidth'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "frame_outerWidth_input", void 0);
                __decorate([
                    core_2.Input('tooltip.showCustomLabelTooltip'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "tooltip_showCustomLabelTooltip_input", void 0);
                __decorate([
                    core_2.Input('tooltip.showLabelTooltip'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "tooltip_showLabelTooltip_input", void 0);
                __decorate([
                    core_2.Input('tooltip.templateID'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "tooltip_templateID_input", void 0);
                __decorate([
                    core_2.Input('scales'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "scales_input", void 0);
                __decorate([
                    core_2.Input('scales.indicators.stateRanges'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "scales_indicators_stateRanges_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "value_two", void 0);
                __decorate([
                    core_2.Output('valueChange'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "value_twoChange", void 0);
                __decorate([
                    core_2.Input('minimum'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "minimum_two", void 0);
                __decorate([
                    core_2.Output('minimumChange'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "minimum_twoChange", void 0);
                __decorate([
                    core_2.Input('maximum'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "maximum_two", void 0);
                __decorate([
                    core_2.Output('maximumChange'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "maximum_twoChange", void 0);
                __decorate([
                    core_2.Output('drawBarPointers'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "drawBarPointers_output", void 0);
                __decorate([
                    core_2.Output('drawCustomLabel'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "drawCustomLabel_output", void 0);
                __decorate([
                    core_2.Output('drawIndicators'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "drawIndicators_output", void 0);
                __decorate([
                    core_2.Output('drawLabels'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "drawLabels_output", void 0);
                __decorate([
                    core_2.Output('drawMarkerPointers'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "drawMarkerPointers_output", void 0);
                __decorate([
                    core_2.Output('drawRange'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "drawRange_output", void 0);
                __decorate([
                    core_2.Output('drawTicks'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "drawTicks_output", void 0);
                __decorate([
                    core_2.Output('init'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "init_output", void 0);
                __decorate([
                    core_2.Output('load'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "load_output", void 0);
                __decorate([
                    core_2.Output('mouseClick'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "mouseClick_output", void 0);
                __decorate([
                    core_2.Output('mouseClickMove'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "mouseClickMove_output", void 0);
                __decorate([
                    core_2.Output('mouseClickUp'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "mouseClickUp_output", void 0);
                __decorate([
                    core_2.Output('renderComplete'),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "renderComplete_output", void 0);
                __decorate([
                    core_2.ContentChild(LinearGaugeScalesDirective),
                    __metadata("design:type", Object)
                ], LinearGaugeComponent.prototype, "tag_scales", void 0);
                LinearGaugeComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-lineargauge',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], LinearGaugeComponent);
                return LinearGaugeComponent;
            }(core_1.EJComponents));
            exports_1("LinearGaugeComponent", LinearGaugeComponent);
            exports_1("EJ_LINEARGAUGE_COMPONENTS", EJ_LINEARGAUGE_COMPONENTS = [LinearGaugeComponent,
                LinearGaugeMarkerPointersDirective, LinearGaugeBarPointersDirective, LinearGaugeRangesDirective, LinearGaugeTicksDirective, LinearGaugeStateRangesDirective, LinearGaugeIndicatorsDirective, LinearGaugeLabelsDirective, LinearGaugeScalesDirective, LinearGaugeMarkerPointerDirective, LinearGaugeBarPointerDirective, LinearGaugeRangeDirective, LinearGaugeTickDirective, LinearGaugeStateRangeDirective, LinearGaugeIndicatorDirective, LinearGaugeLabelDirective, LinearGaugeScaleDirective]);
        }
    };
});
//# sourceMappingURL=lineargauge.component.js.map