System.register(["syncfusion-javascript/Scripts/ej/web/ej.rating", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, RatingComponent, EJ_RATING_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            RatingComponent = (function (_super) {
                __extends(RatingComponent, _super);
                function RatingComponent(el, cdRef) {
                    var _this = _super.call(this, 'Rating', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.value_twoChange = new core_2.EventEmitter();
                    _this.change_output = new core_2.EventEmitter();
                    _this.ejchange_output = new core_2.EventEmitter();
                    _this.click_output = new core_2.EventEmitter();
                    _this.ejclick_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.mouseout_output = new core_2.EventEmitter();
                    _this.mousemove_output = new core_2.EventEmitter();
                    _this.mouseover_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('allowReset'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "allowReset_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('htmlAttributes'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('incrementStep'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "incrementStep_input", void 0);
                __decorate([
                    core_2.Input('maxValue'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "maxValue_input", void 0);
                __decorate([
                    core_2.Input('minValue'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "minValue_input", void 0);
                __decorate([
                    core_2.Input('orientation'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "orientation_input", void 0);
                __decorate([
                    core_2.Input('precision'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "precision_input", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "readOnly_input", void 0);
                __decorate([
                    core_2.Input('shapeHeight'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "shapeHeight_input", void 0);
                __decorate([
                    core_2.Input('shapeWidth'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "shapeWidth_input", void 0);
                __decorate([
                    core_2.Input('showTooltip'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "showTooltip_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "value_two", void 0);
                __decorate([
                    core_2.Output('valueChange'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "value_twoChange", void 0);
                __decorate([
                    core_2.Output('change'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "change_output", void 0);
                __decorate([
                    core_2.Output('ejchange'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "ejchange_output", void 0);
                __decorate([
                    core_2.Output('click'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "click_output", void 0);
                __decorate([
                    core_2.Output('ejclick'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "ejclick_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('mouseout'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "mouseout_output", void 0);
                __decorate([
                    core_2.Output('mousemove'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "mousemove_output", void 0);
                __decorate([
                    core_2.Output('mouseover'),
                    __metadata("design:type", Object)
                ], RatingComponent.prototype, "mouseover_output", void 0);
                RatingComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-rating',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], RatingComponent);
                return RatingComponent;
            }(core_1.EJComponents));
            exports_1("RatingComponent", RatingComponent);
            exports_1("EJ_RATING_COMPONENTS", EJ_RATING_COMPONENTS = [RatingComponent
            ]);
        }
    };
});
//# sourceMappingURL=rating.component.js.map