System.register(["syncfusion-javascript/Scripts/ej/web/ej.schedule", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, ScheduleResourceDirective, ScheduleResourcesDirective, ScheduleComponent, EJ_SCHEDULE_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            ScheduleResourceDirective = (function (_super) {
                __extends(ScheduleResourceDirective, _super);
                function ScheduleResourceDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('field'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "field", void 0);
                __decorate([
                    core_2.Input('title'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "title", void 0);
                __decorate([
                    core_2.Input('name'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "name", void 0);
                __decorate([
                    core_2.Input('allowMultiple'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "allowMultiple", void 0);
                __decorate([
                    core_2.Input('resourceSettings'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "resourceSettings", void 0);
                __decorate([
                    core_2.Input('resourceSettings.dataSource'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "resourceSettings_dataSource", void 0);
                __decorate([
                    core_2.Input('resourceSettings.text'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "resourceSettings_text", void 0);
                __decorate([
                    core_2.Input('resourceSettings.id'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "resourceSettings_id", void 0);
                __decorate([
                    core_2.Input('resourceSettings.groupId'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "resourceSettings_groupId", void 0);
                __decorate([
                    core_2.Input('resourceSettings.color'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "resourceSettings_color", void 0);
                __decorate([
                    core_2.Input('resourceSettings.start'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "resourceSettings_start", void 0);
                __decorate([
                    core_2.Input('resourceSettings.end'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "resourceSettings_end", void 0);
                __decorate([
                    core_2.Input('resourceSettings.workWeek'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "resourceSettings_workWeek", void 0);
                __decorate([
                    core_2.Input('resourceSettings.appointmentClass'),
                    __metadata("design:type", Object)
                ], ScheduleResourceDirective.prototype, "resourceSettings_appointmentClass", void 0);
                ScheduleResourceDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-resources>e-resource',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ScheduleComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ScheduleResourceDirective);
                return ScheduleResourceDirective;
            }(core_1.ComplexTagElement));
            exports_1("ScheduleResourceDirective", ScheduleResourceDirective);
            ScheduleResourcesDirective = (function (_super) {
                __extends(ScheduleResourcesDirective, _super);
                function ScheduleResourcesDirective(widget) {
                    return _super.call(this, 'resources') || this;
                }
                ScheduleResourcesDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-schedule>e-resources',
                        queries: {
                            children: new core_2.ContentChildren(ScheduleResourceDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return ScheduleComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], ScheduleResourcesDirective);
                return ScheduleResourcesDirective;
            }(core_1.ArrayTagElement));
            exports_1("ScheduleResourcesDirective", ScheduleResourcesDirective);
            ScheduleComponent = (function (_super) {
                __extends(ScheduleComponent, _super);
                function ScheduleComponent(el, cdRef) {
                    var _this = _super.call(this, 'Schedule', el, cdRef, ['resources']) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.appointmentSettings_dataSource_twoChange = new core_2.EventEmitter();
                    _this.currentView_twoChange = new core_2.EventEmitter();
                    _this.currentDate_twoChange = new core_2.EventEmitter();
                    _this.actionBegin_output = new core_2.EventEmitter();
                    _this.actionComplete_output = new core_2.EventEmitter();
                    _this.appointmentClick_output = new core_2.EventEmitter();
                    _this.beforeAppointmentRemove_output = new core_2.EventEmitter();
                    _this.beforeAppointmentChange_output = new core_2.EventEmitter();
                    _this.appointmentHover_output = new core_2.EventEmitter();
                    _this.beforeAppointmentCreate_output = new core_2.EventEmitter();
                    _this.appointmentWindowOpen_output = new core_2.EventEmitter();
                    _this.beforeContextMenuOpen_output = new core_2.EventEmitter();
                    _this.cellClick_output = new core_2.EventEmitter();
                    _this.cellDoubleClick_output = new core_2.EventEmitter();
                    _this.cellHover_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.drag_output = new core_2.EventEmitter();
                    _this.dragStart_output = new core_2.EventEmitter();
                    _this.dragStop_output = new core_2.EventEmitter();
                    _this.menuItemClick_output = new core_2.EventEmitter();
                    _this.navigation_output = new core_2.EventEmitter();
                    _this.queryCellInfo_output = new core_2.EventEmitter();
                    _this.reminder_output = new core_2.EventEmitter();
                    _this.resize_output = new core_2.EventEmitter();
                    _this.resizeStart_output = new core_2.EventEmitter();
                    _this.resizeStop_output = new core_2.EventEmitter();
                    _this.overflowButtonClick_output = new core_2.EventEmitter();
                    _this.overflowButtonHover_output = new core_2.EventEmitter();
                    _this.keyDown_output = new core_2.EventEmitter();
                    _this.appointmentCreated_output = new core_2.EventEmitter();
                    _this.appointmentChanged_output = new core_2.EventEmitter();
                    _this.appointmentRemoved_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('allowDragAndDrop'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "allowDragAndDrop_input", void 0);
                __decorate([
                    core_2.Input('allowKeyboardNavigation'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "allowKeyboardNavigation_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_input", void 0);
                __decorate([
                    core_2.Input('appointmentTemplateId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentTemplateId_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('categorizeSettings'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "categorizeSettings_input", void 0);
                __decorate([
                    core_2.Input('cellHeight'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "cellHeight_input", void 0);
                __decorate([
                    core_2.Input('cellWidth'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "cellWidth_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "contextMenuSettings_input", void 0);
                __decorate([
                    core_2.Input('dateFormat'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "dateFormat_input", void 0);
                __decorate([
                    core_2.Input('showAppointmentNavigator'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "showAppointmentNavigator_input", void 0);
                __decorate([
                    core_2.Input('enableAppointmentResize'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "enableAppointmentResize_input", void 0);
                __decorate([
                    core_2.Input('enableLoadOnDemand'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "enableLoadOnDemand_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('endHour'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "endHour_input", void 0);
                __decorate([
                    core_2.Input('group'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "group_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('workHours'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "workHours_input", void 0);
                __decorate([
                    core_2.Input('isDST'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "isDST_input", void 0);
                __decorate([
                    core_2.Input('isResponsive'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "isResponsive_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('maxDate'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "maxDate_input", void 0);
                __decorate([
                    core_2.Input('minDate'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "minDate_input", void 0);
                __decorate([
                    core_2.Input('orientation'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "orientation_input", void 0);
                __decorate([
                    core_2.Input('prioritySettings'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "prioritySettings_input", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "readOnly_input", void 0);
                __decorate([
                    core_2.Input('reminderSettings'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "reminderSettings_input", void 0);
                __decorate([
                    core_2.Input('renderDates'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "renderDates_input", void 0);
                __decorate([
                    core_2.Input('resourceHeaderTemplateId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "resourceHeaderTemplateId_input", void 0);
                __decorate([
                    core_2.Input('showAllDayRow'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "showAllDayRow_input", void 0);
                __decorate([
                    core_2.Input('showWeekend'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "showWeekend_input", void 0);
                __decorate([
                    core_2.Input('showCurrentTimeIndicator'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "showCurrentTimeIndicator_input", void 0);
                __decorate([
                    core_2.Input('showHeaderBar'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "showHeaderBar_input", void 0);
                __decorate([
                    core_2.Input('showLocationField'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "showLocationField_input", void 0);
                __decorate([
                    core_2.Input('showTimeZoneFields'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "showTimeZoneFields_input", void 0);
                __decorate([
                    core_2.Input('showQuickWindow'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "showQuickWindow_input", void 0);
                __decorate([
                    core_2.Input('startHour'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "startHour_input", void 0);
                __decorate([
                    core_2.Input('timeMode'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeMode_input", void 0);
                __decorate([
                    core_2.Input('timeZone'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeZone_input", void 0);
                __decorate([
                    core_2.Input('timeZoneCollection'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeZoneCollection_input", void 0);
                __decorate([
                    core_2.Input('views'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "views_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Input('enableRecurrenceValidation'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "enableRecurrenceValidation_input", void 0);
                __decorate([
                    core_2.Input('agendaViewSettings'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "agendaViewSettings_input", void 0);
                __decorate([
                    core_2.Input('firstDayOfWeek'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "firstDayOfWeek_input", void 0);
                __decorate([
                    core_2.Input('workWeek'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "workWeek_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "tooltipSettings_input", void 0);
                __decorate([
                    core_2.Input('timeScale'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeScale_input", void 0);
                __decorate([
                    core_2.Input('showDeleteConfirmationDialog'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "showDeleteConfirmationDialog_input", void 0);
                __decorate([
                    core_2.Input('allDayCellsTemplateId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "allDayCellsTemplateId_input", void 0);
                __decorate([
                    core_2.Input('workCellsTemplateId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "workCellsTemplateId_input", void 0);
                __decorate([
                    core_2.Input('dateHeaderTemplateId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "dateHeaderTemplateId_input", void 0);
                __decorate([
                    core_2.Input('showOverflowButton'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "showOverflowButton_input", void 0);
                __decorate([
                    core_2.Input('appointmentDragArea'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentDragArea_input", void 0);
                __decorate([
                    core_2.Input('showNextPrevMonth'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "showNextPrevMonth_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.query'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_query_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.tableName'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_tableName_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.applyTimeOffset'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_applyTimeOffset_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.id'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_id_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.startTime'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_startTime_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.endTime'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_endTime_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.subject'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_subject_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.description'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_description_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.recurrence'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_recurrence_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.recurrenceRule'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_recurrenceRule_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.allDay'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_allDay_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.resourceFields'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_resourceFields_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.categorize'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_categorize_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.location'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_location_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.priority'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_priority_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.startTimeZone'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_startTimeZone_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.endTimeZone'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_endTimeZone_input", void 0);
                __decorate([
                    core_2.Input('categorizeSettings.allowMultiple'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "categorizeSettings_allowMultiple_input", void 0);
                __decorate([
                    core_2.Input('categorizeSettings.enable'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "categorizeSettings_enable_input", void 0);
                __decorate([
                    core_2.Input('categorizeSettings.dataSource'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "categorizeSettings_dataSource_input", void 0);
                __decorate([
                    core_2.Input('categorizeSettings.id'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "categorizeSettings_id_input", void 0);
                __decorate([
                    core_2.Input('categorizeSettings.text'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "categorizeSettings_text_input", void 0);
                __decorate([
                    core_2.Input('categorizeSettings.color'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "categorizeSettings_color_input", void 0);
                __decorate([
                    core_2.Input('categorizeSettings.fontColor'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "categorizeSettings_fontColor_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.enable'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "contextMenuSettings_enable_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.menuItems'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "contextMenuSettings_menuItems_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.menuItems.appointment'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "contextMenuSettings_menuItems_appointment_input", void 0);
                __decorate([
                    core_2.Input('contextMenuSettings.menuItems.cells'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "contextMenuSettings_menuItems_cells_input", void 0);
                __decorate([
                    core_2.Input('group.resources'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "group_resources_input", void 0);
                __decorate([
                    core_2.Input('workHours.highlight'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "workHours_highlight_input", void 0);
                __decorate([
                    core_2.Input('workHours.start'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "workHours_start_input", void 0);
                __decorate([
                    core_2.Input('workHours.end'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "workHours_end_input", void 0);
                __decorate([
                    core_2.Input('prioritySettings.enable'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "prioritySettings_enable_input", void 0);
                __decorate([
                    core_2.Input('prioritySettings.dataSource'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "prioritySettings_dataSource_input", void 0);
                __decorate([
                    core_2.Input('prioritySettings.text'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "prioritySettings_text_input", void 0);
                __decorate([
                    core_2.Input('prioritySettings.value'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "prioritySettings_value_input", void 0);
                __decorate([
                    core_2.Input('prioritySettings.template'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "prioritySettings_template_input", void 0);
                __decorate([
                    core_2.Input('reminderSettings.enable'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "reminderSettings_enable_input", void 0);
                __decorate([
                    core_2.Input('reminderSettings.alertBefore'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "reminderSettings_alertBefore_input", void 0);
                __decorate([
                    core_2.Input('renderDates.start'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "renderDates_start_input", void 0);
                __decorate([
                    core_2.Input('renderDates.end'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "renderDates_end_input", void 0);
                __decorate([
                    core_2.Input('timeZoneCollection.dataSource'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeZoneCollection_dataSource_input", void 0);
                __decorate([
                    core_2.Input('timeZoneCollection.text'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeZoneCollection_text_input", void 0);
                __decorate([
                    core_2.Input('timeZoneCollection.id'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeZoneCollection_id_input", void 0);
                __decorate([
                    core_2.Input('timeZoneCollection.value'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeZoneCollection_value_input", void 0);
                __decorate([
                    core_2.Input('agendaViewSettings.daysInAgenda'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "agendaViewSettings_daysInAgenda_input", void 0);
                __decorate([
                    core_2.Input('agendaViewSettings.dateColumnTemplateId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "agendaViewSettings_dateColumnTemplateId_input", void 0);
                __decorate([
                    core_2.Input('agendaViewSettings.timeColumnTemplateId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "agendaViewSettings_timeColumnTemplateId_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.enable'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "tooltipSettings_enable_input", void 0);
                __decorate([
                    core_2.Input('tooltipSettings.templateId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "tooltipSettings_templateId_input", void 0);
                __decorate([
                    core_2.Input('timeScale.enable'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeScale_enable_input", void 0);
                __decorate([
                    core_2.Input('timeScale.minorSlotCount'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeScale_minorSlotCount_input", void 0);
                __decorate([
                    core_2.Input('timeScale.majorSlot'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeScale_majorSlot_input", void 0);
                __decorate([
                    core_2.Input('timeScale.minorSlotTemplateId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeScale_minorSlotTemplateId_input", void 0);
                __decorate([
                    core_2.Input('timeScale.majorSlotTemplateId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "timeScale_majorSlotTemplateId_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.enable'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_enable_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.templateId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_templateId_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.dataSource'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_dataSource_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.query'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_query_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.tableName'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_tableName_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.id'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_id_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.startTime'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_startTime_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.endTime'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_endTime_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.subject'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_subject_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.isBlockAppointment'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_isBlockAppointment_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.isAllDay'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_isAllDay_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.resourceId'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_resourceId_input", void 0);
                __decorate([
                    core_2.Input('blockoutSettings.customStyle'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "blockoutSettings_customStyle_input", void 0);
                __decorate([
                    core_2.Input('resources'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "resources_input", void 0);
                __decorate([
                    core_2.Input('appointmentSettings.dataSource'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_dataSource_two", void 0);
                __decorate([
                    core_2.Output('appointmentSettings.dataSourceChange'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentSettings_dataSource_twoChange", void 0);
                __decorate([
                    core_2.Input('currentView'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "currentView_two", void 0);
                __decorate([
                    core_2.Output('currentViewChange'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "currentView_twoChange", void 0);
                __decorate([
                    core_2.Input('currentDate'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "currentDate_two", void 0);
                __decorate([
                    core_2.Output('currentDateChange'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "currentDate_twoChange", void 0);
                __decorate([
                    core_2.Output('actionBegin'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "actionBegin_output", void 0);
                __decorate([
                    core_2.Output('actionComplete'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "actionComplete_output", void 0);
                __decorate([
                    core_2.Output('appointmentClick'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentClick_output", void 0);
                __decorate([
                    core_2.Output('beforeAppointmentRemove'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "beforeAppointmentRemove_output", void 0);
                __decorate([
                    core_2.Output('beforeAppointmentChange'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "beforeAppointmentChange_output", void 0);
                __decorate([
                    core_2.Output('appointmentHover'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentHover_output", void 0);
                __decorate([
                    core_2.Output('beforeAppointmentCreate'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "beforeAppointmentCreate_output", void 0);
                __decorate([
                    core_2.Output('appointmentWindowOpen'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentWindowOpen_output", void 0);
                __decorate([
                    core_2.Output('beforeContextMenuOpen'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "beforeContextMenuOpen_output", void 0);
                __decorate([
                    core_2.Output('cellClick'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "cellClick_output", void 0);
                __decorate([
                    core_2.Output('cellDoubleClick'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "cellDoubleClick_output", void 0);
                __decorate([
                    core_2.Output('cellHover'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "cellHover_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('drag'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "drag_output", void 0);
                __decorate([
                    core_2.Output('dragStart'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "dragStart_output", void 0);
                __decorate([
                    core_2.Output('dragStop'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "dragStop_output", void 0);
                __decorate([
                    core_2.Output('menuItemClick'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "menuItemClick_output", void 0);
                __decorate([
                    core_2.Output('navigation'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "navigation_output", void 0);
                __decorate([
                    core_2.Output('queryCellInfo'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "queryCellInfo_output", void 0);
                __decorate([
                    core_2.Output('reminder'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "reminder_output", void 0);
                __decorate([
                    core_2.Output('resize'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "resize_output", void 0);
                __decorate([
                    core_2.Output('resizeStart'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "resizeStart_output", void 0);
                __decorate([
                    core_2.Output('resizeStop'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "resizeStop_output", void 0);
                __decorate([
                    core_2.Output('overflowButtonClick'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "overflowButtonClick_output", void 0);
                __decorate([
                    core_2.Output('overflowButtonHover'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "overflowButtonHover_output", void 0);
                __decorate([
                    core_2.Output('keyDown'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "keyDown_output", void 0);
                __decorate([
                    core_2.Output('appointmentCreated'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentCreated_output", void 0);
                __decorate([
                    core_2.Output('appointmentChanged'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentChanged_output", void 0);
                __decorate([
                    core_2.Output('appointmentRemoved'),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "appointmentRemoved_output", void 0);
                __decorate([
                    core_2.ContentChild(ScheduleResourcesDirective),
                    __metadata("design:type", Object)
                ], ScheduleComponent.prototype, "tag_resources", void 0);
                ScheduleComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-schedule',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], ScheduleComponent);
                return ScheduleComponent;
            }(core_1.EJComponents));
            exports_1("ScheduleComponent", ScheduleComponent);
            exports_1("EJ_SCHEDULE_COMPONENTS", EJ_SCHEDULE_COMPONENTS = [ScheduleComponent,
                ScheduleResourcesDirective, ScheduleResourceDirective]);
        }
    };
});
//# sourceMappingURL=schedule.component.js.map