System.register(["syncfusion-javascript/Scripts/ej/web/ej.spreadsheet", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, SpreadsheetRangeSettingDirective, SpreadsheetRangeSettingsDirective, SpreadsheetSheetDirective, SpreadsheetSheetsDirective, SpreadsheetComponent, EJ_SPREADSHEET_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            SpreadsheetRangeSettingDirective = (function (_super) {
                __extends(SpreadsheetRangeSettingDirective, _super);
                function SpreadsheetRangeSettingDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('dataSource'),
                    __metadata("design:type", Object)
                ], SpreadsheetRangeSettingDirective.prototype, "dataSource", void 0);
                __decorate([
                    core_2.Input('headerStyles'),
                    __metadata("design:type", Object)
                ], SpreadsheetRangeSettingDirective.prototype, "headerStyles", void 0);
                __decorate([
                    core_2.Input('primaryKey'),
                    __metadata("design:type", Object)
                ], SpreadsheetRangeSettingDirective.prototype, "primaryKey", void 0);
                __decorate([
                    core_2.Input('query'),
                    __metadata("design:type", Object)
                ], SpreadsheetRangeSettingDirective.prototype, "query", void 0);
                __decorate([
                    core_2.Input('showHeader'),
                    __metadata("design:type", Object)
                ], SpreadsheetRangeSettingDirective.prototype, "showHeader", void 0);
                __decorate([
                    core_2.Input('startCell'),
                    __metadata("design:type", Object)
                ], SpreadsheetRangeSettingDirective.prototype, "startCell", void 0);
                SpreadsheetRangeSettingDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-rangesettings>e-rangesetting',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return SpreadsheetComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], SpreadsheetRangeSettingDirective);
                return SpreadsheetRangeSettingDirective;
            }(core_1.ComplexTagElement));
            exports_1("SpreadsheetRangeSettingDirective", SpreadsheetRangeSettingDirective);
            SpreadsheetRangeSettingsDirective = (function (_super) {
                __extends(SpreadsheetRangeSettingsDirective, _super);
                function SpreadsheetRangeSettingsDirective(widget) {
                    return _super.call(this, 'rangeSettings') || this;
                }
                SpreadsheetRangeSettingsDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-sheets>e-rangesettings',
                        queries: {
                            children: new core_2.ContentChildren(SpreadsheetRangeSettingDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return SpreadsheetComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], SpreadsheetRangeSettingsDirective);
                return SpreadsheetRangeSettingsDirective;
            }(core_1.ArrayTagElement));
            exports_1("SpreadsheetRangeSettingsDirective", SpreadsheetRangeSettingsDirective);
            SpreadsheetSheetDirective = (function (_super) {
                __extends(SpreadsheetSheetDirective, _super);
                function SpreadsheetSheetDirective(widget) {
                    var _this = _super.call(this, ['rangeSettings']) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('border'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "border", void 0);
                __decorate([
                    core_2.Input('cellTypes'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "cellTypes", void 0);
                __decorate([
                    core_2.Input('cFormatRule'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "cFormatRule", void 0);
                __decorate([
                    core_2.Input('colCount'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "colCount", void 0);
                __decorate([
                    core_2.Input('columnWidth'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "columnWidth", void 0);
                __decorate([
                    core_2.Input('dataSource'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "dataSource", void 0);
                __decorate([
                    core_2.Input('fieldAsColumnHeader'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "fieldAsColumnHeader", void 0);
                __decorate([
                    core_2.Input('frozenRows'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "frozenRows", void 0);
                __decorate([
                    core_2.Input('frozenColumns'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "frozenColumns", void 0);
                __decorate([
                    core_2.Input('headerStyles'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "headerStyles", void 0);
                __decorate([
                    core_2.Input('hideColumns'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "hideColumns", void 0);
                __decorate([
                    core_2.Input('hideRows'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "hideRows", void 0);
                __decorate([
                    core_2.Input('mergeCells'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "mergeCells", void 0);
                __decorate([
                    core_2.Input('primaryKey'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "primaryKey", void 0);
                __decorate([
                    core_2.Input('query'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "query", void 0);
                __decorate([
                    core_2.Input('rangeSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "rangeSettings", void 0);
                __decorate([
                    core_2.Input('rowCount'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "rowCount", void 0);
                __decorate([
                    core_2.Input('rows'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "rows", void 0);
                __decorate([
                    core_2.Input('showGridlines'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "showGridlines", void 0);
                __decorate([
                    core_2.Input('showHeader'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "showHeader", void 0);
                __decorate([
                    core_2.Input('showHeadings'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "showHeadings", void 0);
                __decorate([
                    core_2.Input('startCell'),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "startCell", void 0);
                __decorate([
                    core_2.ContentChild(SpreadsheetRangeSettingsDirective),
                    __metadata("design:type", Object)
                ], SpreadsheetSheetDirective.prototype, "tag_rangeSettings", void 0);
                SpreadsheetSheetDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-sheets>e-sheet',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return SpreadsheetComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], SpreadsheetSheetDirective);
                return SpreadsheetSheetDirective;
            }(core_1.ComplexTagElement));
            exports_1("SpreadsheetSheetDirective", SpreadsheetSheetDirective);
            SpreadsheetSheetsDirective = (function (_super) {
                __extends(SpreadsheetSheetsDirective, _super);
                function SpreadsheetSheetsDirective(widget) {
                    return _super.call(this, 'sheets') || this;
                }
                SpreadsheetSheetsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-spreadsheet>e-sheets',
                        queries: {
                            children: new core_2.ContentChildren(SpreadsheetSheetDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return SpreadsheetComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], SpreadsheetSheetsDirective);
                return SpreadsheetSheetsDirective;
            }(core_1.ArrayTagElement));
            exports_1("SpreadsheetSheetsDirective", SpreadsheetSheetsDirective);
            SpreadsheetComponent = (function (_super) {
                __extends(SpreadsheetComponent, _super);
                function SpreadsheetComponent(el, cdRef) {
                    var _this = _super.call(this, 'Spreadsheet', el, cdRef, ['sheets']) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.actionBegin_output = new core_2.EventEmitter();
                    _this.actionComplete_output = new core_2.EventEmitter();
                    _this.autoFillBegin_output = new core_2.EventEmitter();
                    _this.autoFillComplete_output = new core_2.EventEmitter();
                    _this.beforeBatchSave_output = new core_2.EventEmitter();
                    _this.beforeCellFormat_output = new core_2.EventEmitter();
                    _this.beforeCellSelect_output = new core_2.EventEmitter();
                    _this.beforeDrop_output = new core_2.EventEmitter();
                    _this.beforeEditComment_output = new core_2.EventEmitter();
                    _this.beforeOpen_output = new core_2.EventEmitter();
                    _this.beforePanelOpen_output = new core_2.EventEmitter();
                    _this.cellClick_output = new core_2.EventEmitter();
                    _this.cellEdit_output = new core_2.EventEmitter();
                    _this.cellFormatting_output = new core_2.EventEmitter();
                    _this.cellHover_output = new core_2.EventEmitter();
                    _this.cellSave_output = new core_2.EventEmitter();
                    _this.cellSelected_output = new core_2.EventEmitter();
                    _this.contextMenuClick_output = new core_2.EventEmitter();
                    _this.drag_output = new core_2.EventEmitter();
                    _this.dragShape_output = new core_2.EventEmitter();
                    _this.dragStart_output = new core_2.EventEmitter();
                    _this.drop_output = new core_2.EventEmitter();
                    _this.editRangeBegin_output = new core_2.EventEmitter();
                    _this.editRangeComplete_output = new core_2.EventEmitter();
                    _this.keyDown_output = new core_2.EventEmitter();
                    _this.keyUp_output = new core_2.EventEmitter();
                    _this.load_output = new core_2.EventEmitter();
                    _this.loadComplete_output = new core_2.EventEmitter();
                    _this.menuClick_output = new core_2.EventEmitter();
                    _this.onImport_output = new core_2.EventEmitter();
                    _this.openFailure_output = new core_2.EventEmitter();
                    _this.pagerClick_output = new core_2.EventEmitter();
                    _this.resizeStart_output = new core_2.EventEmitter();
                    _this.resizeEnd_output = new core_2.EventEmitter();
                    _this.ribbonClick_output = new core_2.EventEmitter();
                    _this.seriesRendering_output = new core_2.EventEmitter();
                    _this.tabClick_output = new core_2.EventEmitter();
                    _this.tabSelect_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('activeSheetIndex'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "activeSheetIndex_input", void 0);
                __decorate([
                    core_2.Input('allowAutoCellType'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowAutoCellType_input", void 0);
                __decorate([
                    core_2.Input('allowAutoFill'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowAutoFill_input", void 0);
                __decorate([
                    core_2.Input('allowAutoSum'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowAutoSum_input", void 0);
                __decorate([
                    core_2.Input('allowCellFormatting'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowCellFormatting_input", void 0);
                __decorate([
                    core_2.Input('allowCellType'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowCellType_input", void 0);
                __decorate([
                    core_2.Input('allowCharts'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowCharts_input", void 0);
                __decorate([
                    core_2.Input('allowClear'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowClear_input", void 0);
                __decorate([
                    core_2.Input('allowClipboard'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowClipboard_input", void 0);
                __decorate([
                    core_2.Input('allowComments'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowComments_input", void 0);
                __decorate([
                    core_2.Input('allowConditionalFormats'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowConditionalFormats_input", void 0);
                __decorate([
                    core_2.Input('allowDataValidation'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowDataValidation_input", void 0);
                __decorate([
                    core_2.Input('allowDelete'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowDelete_input", void 0);
                __decorate([
                    core_2.Input('allowDragAndDrop'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowDragAndDrop_input", void 0);
                __decorate([
                    core_2.Input('allowEditing'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowEditing_input", void 0);
                __decorate([
                    core_2.Input('allowFiltering'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowFiltering_input", void 0);
                __decorate([
                    core_2.Input('allowFormatAsTable'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowFormatAsTable_input", void 0);
                __decorate([
                    core_2.Input('allowFormatPainter'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowFormatPainter_input", void 0);
                __decorate([
                    core_2.Input('allowFormulaBar'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowFormulaBar_input", void 0);
                __decorate([
                    core_2.Input('allowFreezing'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowFreezing_input", void 0);
                __decorate([
                    core_2.Input('allowHyperlink'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowHyperlink_input", void 0);
                __decorate([
                    core_2.Input('allowImport'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowImport_input", void 0);
                __decorate([
                    core_2.Input('allowInsert'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowInsert_input", void 0);
                __decorate([
                    core_2.Input('allowKeyboardNavigation'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowKeyboardNavigation_input", void 0);
                __decorate([
                    core_2.Input('allowLockCell'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowLockCell_input", void 0);
                __decorate([
                    core_2.Input('allowMerging'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowMerging_input", void 0);
                __decorate([
                    core_2.Input('allowOverflow'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowOverflow_input", void 0);
                __decorate([
                    core_2.Input('allowResizing'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowResizing_input", void 0);
                __decorate([
                    core_2.Input('allowSearching'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowSearching_input", void 0);
                __decorate([
                    core_2.Input('allowSelection'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowSelection_input", void 0);
                __decorate([
                    core_2.Input('allowSorting'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowSorting_input", void 0);
                __decorate([
                    core_2.Input('allowUndoRedo'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowUndoRedo_input", void 0);
                __decorate([
                    core_2.Input('allowWrap'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "allowWrap_input", void 0);
                __decorate([
                    core_2.Input('apWidth'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "apWidth_input", void 0);
                __decorate([
                    core_2.Input('autoFillSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "autoFillSettings_input", void 0);
                __decorate([
                    core_2.Input('chartSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "chartSettings_input", void 0);
                __decorate([
                    core_2.Input('columnCount'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "columnCount_input", void 0);
                __decorate([
                    core_2.Input('columnWidth'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "columnWidth_input", void 0);
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('customFormulas'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "customFormulas_input", void 0);
                __decorate([
                    core_2.Input('enableContextMenu'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "enableContextMenu_input", void 0);
                __decorate([
                    core_2.Input('enablePivotTable'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "enablePivotTable_input", void 0);
                __decorate([
                    core_2.Input('enableTouch'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "enableTouch_input", void 0);
                __decorate([
                    core_2.Input('exportSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "exportSettings_input", void 0);
                __decorate([
                    core_2.Input('formatSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "formatSettings_input", void 0);
                __decorate([
                    core_2.Input('importSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "importSettings_input", void 0);
                __decorate([
                    core_2.Input('isReadOnly'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "isReadOnly_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('pictureSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "pictureSettings_input", void 0);
                __decorate([
                    core_2.Input('printSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "printSettings_input", void 0);
                __decorate([
                    core_2.Input('ribbonSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "ribbonSettings_input", void 0);
                __decorate([
                    core_2.Input('rowCount'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "rowCount_input", void 0);
                __decorate([
                    core_2.Input('rowHeight'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "rowHeight_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "scrollSettings_input", void 0);
                __decorate([
                    core_2.Input('selectionSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "selectionSettings_input", void 0);
                __decorate([
                    core_2.Input('sheetCount'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "sheetCount_input", void 0);
                __decorate([
                    core_2.Input('showPager'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "showPager_input", void 0);
                __decorate([
                    core_2.Input('showRibbon'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "showRibbon_input", void 0);
                __decorate([
                    core_2.Input('undoRedoStep'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "undoRedoStep_input", void 0);
                __decorate([
                    core_2.Input('userName'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "userName_input", void 0);
                __decorate([
                    core_2.Input('autoFillSettings.fillType'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "autoFillSettings_fillType_input", void 0);
                __decorate([
                    core_2.Input('autoFillSettings.showFillOptions'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "autoFillSettings_showFillOptions_input", void 0);
                __decorate([
                    core_2.Input('chartSettings.height'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "chartSettings_height_input", void 0);
                __decorate([
                    core_2.Input('chartSettings.width'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "chartSettings_width_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.allowExporting'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "exportSettings_allowExporting_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.csvUrl'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "exportSettings_csvUrl_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.excelUrl'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "exportSettings_excelUrl_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.password'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "exportSettings_password_input", void 0);
                __decorate([
                    core_2.Input('exportSettings.pdfUrl'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "exportSettings_pdfUrl_input", void 0);
                __decorate([
                    core_2.Input('formatSettings.allowCellBorder'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "formatSettings_allowCellBorder_input", void 0);
                __decorate([
                    core_2.Input('formatSettings.allowDecimalPlaces'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "formatSettings_allowDecimalPlaces_input", void 0);
                __decorate([
                    core_2.Input('formatSettings.allowFontFamily'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "formatSettings_allowFontFamily_input", void 0);
                __decorate([
                    core_2.Input('importSettings.importMapper'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "importSettings_importMapper_input", void 0);
                __decorate([
                    core_2.Input('importSettings.importOnLoad'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "importSettings_importOnLoad_input", void 0);
                __decorate([
                    core_2.Input('importSettings.importUrl'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "importSettings_importUrl_input", void 0);
                __decorate([
                    core_2.Input('importSettings.password'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "importSettings_password_input", void 0);
                __decorate([
                    core_2.Input('pictureSettings.allowPictures'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "pictureSettings_allowPictures_input", void 0);
                __decorate([
                    core_2.Input('pictureSettings.height'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "pictureSettings_height_input", void 0);
                __decorate([
                    core_2.Input('pictureSettings.width'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "pictureSettings_width_input", void 0);
                __decorate([
                    core_2.Input('printSettings.allowPageSetup'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "printSettings_allowPageSetup_input", void 0);
                __decorate([
                    core_2.Input('printSettings.allowPageSize'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "printSettings_allowPageSize_input", void 0);
                __decorate([
                    core_2.Input('printSettings.allowPrinting'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "printSettings_allowPrinting_input", void 0);
                __decorate([
                    core_2.Input('ribbonSettings.applicationTab'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "ribbonSettings_applicationTab_input", void 0);
                __decorate([
                    core_2.Input('ribbonSettings.applicationTab.type'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "ribbonSettings_applicationTab_type_input", void 0);
                __decorate([
                    core_2.Input('ribbonSettings.applicationTab.menuSettings'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "ribbonSettings_applicationTab_menuSettings_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.allowScrolling'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "scrollSettings_allowScrolling_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.allowSheetOnDemand'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "scrollSettings_allowSheetOnDemand_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.allowVirtualScrolling'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "scrollSettings_allowVirtualScrolling_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.height'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "scrollSettings_height_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.isResponsive'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "scrollSettings_isResponsive_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.scrollMode'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "scrollSettings_scrollMode_input", void 0);
                __decorate([
                    core_2.Input('scrollSettings.width'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "scrollSettings_width_input", void 0);
                __decorate([
                    core_2.Input('selectionSettings.activeCell'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "selectionSettings_activeCell_input", void 0);
                __decorate([
                    core_2.Input('selectionSettings.animationTime'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "selectionSettings_animationTime_input", void 0);
                __decorate([
                    core_2.Input('selectionSettings.enableAnimation'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "selectionSettings_enableAnimation_input", void 0);
                __decorate([
                    core_2.Input('selectionSettings.selectionType'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "selectionSettings_selectionType_input", void 0);
                __decorate([
                    core_2.Input('selectionSettings.selectionUnit'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "selectionSettings_selectionUnit_input", void 0);
                __decorate([
                    core_2.Input('nameManager'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "nameManager_input", void 0);
                __decorate([
                    core_2.Input('sheets'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "sheets_input", void 0);
                __decorate([
                    core_2.Input('sheets.rows.cells'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "sheets_rows_cells_input", void 0);
                __decorate([
                    core_2.Output('actionBegin'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "actionBegin_output", void 0);
                __decorate([
                    core_2.Output('actionComplete'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "actionComplete_output", void 0);
                __decorate([
                    core_2.Output('autoFillBegin'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "autoFillBegin_output", void 0);
                __decorate([
                    core_2.Output('autoFillComplete'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "autoFillComplete_output", void 0);
                __decorate([
                    core_2.Output('beforeBatchSave'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "beforeBatchSave_output", void 0);
                __decorate([
                    core_2.Output('beforeCellFormat'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "beforeCellFormat_output", void 0);
                __decorate([
                    core_2.Output('beforeCellSelect'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "beforeCellSelect_output", void 0);
                __decorate([
                    core_2.Output('beforeDrop'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "beforeDrop_output", void 0);
                __decorate([
                    core_2.Output('beforeEditComment'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "beforeEditComment_output", void 0);
                __decorate([
                    core_2.Output('beforeOpen'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "beforeOpen_output", void 0);
                __decorate([
                    core_2.Output('beforePanelOpen'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "beforePanelOpen_output", void 0);
                __decorate([
                    core_2.Output('cellClick'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "cellClick_output", void 0);
                __decorate([
                    core_2.Output('cellEdit'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "cellEdit_output", void 0);
                __decorate([
                    core_2.Output('cellFormatting'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "cellFormatting_output", void 0);
                __decorate([
                    core_2.Output('cellHover'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "cellHover_output", void 0);
                __decorate([
                    core_2.Output('cellSave'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "cellSave_output", void 0);
                __decorate([
                    core_2.Output('cellSelected'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "cellSelected_output", void 0);
                __decorate([
                    core_2.Output('contextMenuClick'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "contextMenuClick_output", void 0);
                __decorate([
                    core_2.Output('drag'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "drag_output", void 0);
                __decorate([
                    core_2.Output('dragShape'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "dragShape_output", void 0);
                __decorate([
                    core_2.Output('dragStart'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "dragStart_output", void 0);
                __decorate([
                    core_2.Output('drop'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "drop_output", void 0);
                __decorate([
                    core_2.Output('editRangeBegin'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "editRangeBegin_output", void 0);
                __decorate([
                    core_2.Output('editRangeComplete'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "editRangeComplete_output", void 0);
                __decorate([
                    core_2.Output('keyDown'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "keyDown_output", void 0);
                __decorate([
                    core_2.Output('keyUp'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "keyUp_output", void 0);
                __decorate([
                    core_2.Output('load'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "load_output", void 0);
                __decorate([
                    core_2.Output('loadComplete'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "loadComplete_output", void 0);
                __decorate([
                    core_2.Output('menuClick'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "menuClick_output", void 0);
                __decorate([
                    core_2.Output('onImport'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "onImport_output", void 0);
                __decorate([
                    core_2.Output('openFailure'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "openFailure_output", void 0);
                __decorate([
                    core_2.Output('pagerClick'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "pagerClick_output", void 0);
                __decorate([
                    core_2.Output('resizeStart'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "resizeStart_output", void 0);
                __decorate([
                    core_2.Output('resizeEnd'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "resizeEnd_output", void 0);
                __decorate([
                    core_2.Output('ribbonClick'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "ribbonClick_output", void 0);
                __decorate([
                    core_2.Output('seriesRendering'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "seriesRendering_output", void 0);
                __decorate([
                    core_2.Output('tabClick'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "tabClick_output", void 0);
                __decorate([
                    core_2.Output('tabSelect'),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "tabSelect_output", void 0);
                __decorate([
                    core_2.ContentChild(SpreadsheetSheetsDirective),
                    __metadata("design:type", Object)
                ], SpreadsheetComponent.prototype, "tag_sheets", void 0);
                SpreadsheetComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-spreadsheet',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], SpreadsheetComponent);
                return SpreadsheetComponent;
            }(core_1.EJComponents));
            exports_1("SpreadsheetComponent", SpreadsheetComponent);
            exports_1("EJ_SPREADSHEET_COMPONENTS", EJ_SPREADSHEET_COMPONENTS = [SpreadsheetComponent,
                SpreadsheetRangeSettingsDirective, SpreadsheetSheetsDirective, SpreadsheetRangeSettingDirective, SpreadsheetSheetDirective]);
        }
    };
});
//# sourceMappingURL=spreadsheet.component.js.map