System.register(["syncfusion-javascript/Scripts/ej/web/ej.timepicker", "./core", "@angular/core", "@angular/forms"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, forms_1, noop, TimePickerValueAccessor, TimePickerComponent, EJ_TIMEPICKER_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            }
        ],
        execute: function () {
            noop = function () {
            };
            exports_1("TimePickerValueAccessor", TimePickerValueAccessor = {
                provide: forms_1.NG_VALUE_ACCESSOR,
                useExisting: core_2.forwardRef(function () { return TimePickerComponent; }),
                multi: true
            });
            TimePickerComponent = (function (_super) {
                __extends(TimePickerComponent, _super);
                function TimePickerComponent(el, cdRef) {
                    var _this = _super.call(this, 'TimePicker', el, cdRef, []) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.beforeChange_output = new core_2.EventEmitter();
                    _this.beforeOpen_output = new core_2.EventEmitter();
                    _this.change_output = new core_2.EventEmitter();
                    _this.ejchange_output = new core_2.EventEmitter();
                    _this.close_output = new core_2.EventEmitter();
                    _this.create_output = new core_2.EventEmitter();
                    _this.destroy_output = new core_2.EventEmitter();
                    _this.focusIn_output = new core_2.EventEmitter();
                    _this.focusOut_output = new core_2.EventEmitter();
                    _this.open_output = new core_2.EventEmitter();
                    _this.select_output = new core_2.EventEmitter();
                    _this.onChange = noop;
                    _this.onTouched = noop;
                    return _this;
                }
                TimePickerComponent.prototype.writeValue = function (value) {
                    if (this.widget) {
                        this.widget.option('model.value', value);
                    }
                    else {
                        this.model.value = value;
                    }
                };
                TimePickerComponent.prototype.registerOnChange = function (fn) {
                    this.onChange = fn;
                };
                TimePickerComponent.prototype.registerOnTouched = function (fn) {
                    this.onTouched = fn;
                };
                __decorate([
                    core_2.Input('cssClass'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "cssClass_input", void 0);
                __decorate([
                    core_2.Input('disableTimeRanges'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "disableTimeRanges_input", void 0);
                __decorate([
                    core_2.Input('enableAnimation'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "enableAnimation_input", void 0);
                __decorate([
                    core_2.Input('enabled'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "enabled_input", void 0);
                __decorate([
                    core_2.Input('enablePersistence'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "enablePersistence_input", void 0);
                __decorate([
                    core_2.Input('enableRTL'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "enableRTL_input", void 0);
                __decorate([
                    core_2.Input('enableStrictMode'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "enableStrictMode_input", void 0);
                __decorate([
                    core_2.Input('height'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "height_input", void 0);
                __decorate([
                    core_2.Input('hourInterval'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "hourInterval_input", void 0);
                __decorate([
                    core_2.Input('htmlAttributes'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "htmlAttributes_input", void 0);
                __decorate([
                    core_2.Input('interval'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "interval_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('maxTime'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "maxTime_input", void 0);
                __decorate([
                    core_2.Input('minTime'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "minTime_input", void 0);
                __decorate([
                    core_2.Input('minutesInterval'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "minutesInterval_input", void 0);
                __decorate([
                    core_2.Input('popupHeight'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "popupHeight_input", void 0);
                __decorate([
                    core_2.Input('popupWidth'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "popupWidth_input", void 0);
                __decorate([
                    core_2.Input('readOnly'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "readOnly_input", void 0);
                __decorate([
                    core_2.Input('secondsInterval'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "secondsInterval_input", void 0);
                __decorate([
                    core_2.Input('showPopupButton'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "showPopupButton_input", void 0);
                __decorate([
                    core_2.Input('showRoundedCorner'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "showRoundedCorner_input", void 0);
                __decorate([
                    core_2.Input('timeFormat'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "timeFormat_input", void 0);
                __decorate([
                    core_2.Input('value'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "value_input", void 0);
                __decorate([
                    core_2.Input('width'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "width_input", void 0);
                __decorate([
                    core_2.Output('beforeChange'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "beforeChange_output", void 0);
                __decorate([
                    core_2.Output('beforeOpen'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "beforeOpen_output", void 0);
                __decorate([
                    core_2.Output('change'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "change_output", void 0);
                __decorate([
                    core_2.Output('ejchange'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "ejchange_output", void 0);
                __decorate([
                    core_2.Output('close'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "close_output", void 0);
                __decorate([
                    core_2.Output('create'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "create_output", void 0);
                __decorate([
                    core_2.Output('destroy'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "destroy_output", void 0);
                __decorate([
                    core_2.Output('focusIn'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "focusIn_output", void 0);
                __decorate([
                    core_2.Output('focusOut'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "focusOut_output", void 0);
                __decorate([
                    core_2.Output('open'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "open_output", void 0);
                __decorate([
                    core_2.Output('select'),
                    __metadata("design:type", Object)
                ], TimePickerComponent.prototype, "select_output", void 0);
                TimePickerComponent = __decorate([
                    core_2.Component({
                        selector: '[ej-timepicker]',
                        template: '',
                        host: { '(ejchange)': 'onChange($event.value)', '(change)': 'onChange($event.value)', '(focusOut)': 'onTouched()' },
                        providers: [TimePickerValueAccessor]
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], TimePickerComponent);
                return TimePickerComponent;
            }(core_1.EJComponents));
            exports_1("TimePickerComponent", TimePickerComponent);
            exports_1("EJ_TIMEPICKER_COMPONENTS", EJ_TIMEPICKER_COMPONENTS = [TimePickerComponent
            ]);
        }
    };
});
//# sourceMappingURL=timepicker.component.js.map