System.register(["syncfusion-javascript/Scripts/ej/datavisualization/ej.treemap", "./core", "@angular/core"], function (exports_1, context_1) {
    "use strict";
    var __extends = (this && this.__extends) || (function () {
        var extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return function (d, b) {
            extendStatics(d, b);
            function __() { this.constructor = d; }
            d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
        };
    })();
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __param = (this && this.__param) || function (paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, core_2, TreeMapLevelDirective, TreeMapLevelsDirective, TreeMapRangeColorDirective, TreeMapRangeColorMappingDirective, TreeMapComponent, EJ_TREEMAP_COMPONENTS;
    return {
        setters: [
            function (_1) {
            },
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (core_2_1) {
                core_2 = core_2_1;
            }
        ],
        execute: function () {
            TreeMapLevelDirective = (function (_super) {
                __extends(TreeMapLevelDirective, _super);
                function TreeMapLevelDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('groupBackground'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "groupBackground", void 0);
                __decorate([
                    core_2.Input('groupBorderColor'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "groupBorderColor", void 0);
                __decorate([
                    core_2.Input('groupBorderThickness'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "groupBorderThickness", void 0);
                __decorate([
                    core_2.Input('groupGap'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "groupGap", void 0);
                __decorate([
                    core_2.Input('groupPadding'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "groupPadding", void 0);
                __decorate([
                    core_2.Input('groupPath'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "groupPath", void 0);
                __decorate([
                    core_2.Input('headerHeight'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "headerHeight", void 0);
                __decorate([
                    core_2.Input('headerTemplate'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "headerTemplate", void 0);
                __decorate([
                    core_2.Input('headerVisibilityMode'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "headerVisibilityMode", void 0);
                __decorate([
                    core_2.Input('labelPosition'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "labelPosition", void 0);
                __decorate([
                    core_2.Input('labelTemplate'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "labelTemplate", void 0);
                __decorate([
                    core_2.Input('labelVisibilityMode'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "labelVisibilityMode", void 0);
                __decorate([
                    core_2.Input('showHeader'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "showHeader", void 0);
                __decorate([
                    core_2.Input('showLabels'),
                    __metadata("design:type", Object)
                ], TreeMapLevelDirective.prototype, "showLabels", void 0);
                TreeMapLevelDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-levels>e-level',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return TreeMapComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], TreeMapLevelDirective);
                return TreeMapLevelDirective;
            }(core_1.ComplexTagElement));
            exports_1("TreeMapLevelDirective", TreeMapLevelDirective);
            TreeMapLevelsDirective = (function (_super) {
                __extends(TreeMapLevelsDirective, _super);
                function TreeMapLevelsDirective(widget) {
                    return _super.call(this, 'levels') || this;
                }
                TreeMapLevelsDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-treemap>e-levels',
                        queries: {
                            children: new core_2.ContentChildren(TreeMapLevelDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return TreeMapComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], TreeMapLevelsDirective);
                return TreeMapLevelsDirective;
            }(core_1.ArrayTagElement));
            exports_1("TreeMapLevelsDirective", TreeMapLevelsDirective);
            TreeMapRangeColorDirective = (function (_super) {
                __extends(TreeMapRangeColorDirective, _super);
                function TreeMapRangeColorDirective(widget) {
                    var _this = _super.call(this, []) || this;
                    _this.parent = widget;
                    return _this;
                }
                __decorate([
                    core_2.Input('color'),
                    __metadata("design:type", Object)
                ], TreeMapRangeColorDirective.prototype, "color", void 0);
                __decorate([
                    core_2.Input('gradientColors'),
                    __metadata("design:type", Object)
                ], TreeMapRangeColorDirective.prototype, "gradientColors", void 0);
                __decorate([
                    core_2.Input('from'),
                    __metadata("design:type", Object)
                ], TreeMapRangeColorDirective.prototype, "from", void 0);
                __decorate([
                    core_2.Input('legendLabel'),
                    __metadata("design:type", Object)
                ], TreeMapRangeColorDirective.prototype, "legendLabel", void 0);
                __decorate([
                    core_2.Input('to'),
                    __metadata("design:type", Object)
                ], TreeMapRangeColorDirective.prototype, "to", void 0);
                TreeMapRangeColorDirective = __decorate([
                    core_2.Directive({
                        selector: 'e-rangecolormapping>e-rangecolor',
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return TreeMapComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], TreeMapRangeColorDirective);
                return TreeMapRangeColorDirective;
            }(core_1.ComplexTagElement));
            exports_1("TreeMapRangeColorDirective", TreeMapRangeColorDirective);
            TreeMapRangeColorMappingDirective = (function (_super) {
                __extends(TreeMapRangeColorMappingDirective, _super);
                function TreeMapRangeColorMappingDirective(widget) {
                    return _super.call(this, 'rangeColorMapping') || this;
                }
                TreeMapRangeColorMappingDirective = __decorate([
                    core_2.Directive({
                        selector: 'ej-treemap>e-rangecolormapping',
                        queries: {
                            children: new core_2.ContentChildren(TreeMapRangeColorDirective)
                        }
                    }),
                    __param(0, core_2.Inject(core_2.forwardRef(function () { return TreeMapComponent; }))),
                    __metadata("design:paramtypes", [core_1.EJComponents])
                ], TreeMapRangeColorMappingDirective);
                return TreeMapRangeColorMappingDirective;
            }(core_1.ArrayTagElement));
            exports_1("TreeMapRangeColorMappingDirective", TreeMapRangeColorMappingDirective);
            TreeMapComponent = (function (_super) {
                __extends(TreeMapComponent, _super);
                function TreeMapComponent(el, cdRef) {
                    var _this = _super.call(this, 'TreeMap', el, cdRef, ['levels', 'rangeColorMapping']) || this;
                    _this.el = el;
                    _this.cdRef = cdRef;
                    _this.dataSource_twoChange = new core_2.EventEmitter();
                    _this.weightValuePath_twoChange = new core_2.EventEmitter();
                    _this.treeMapItemSelected_output = new core_2.EventEmitter();
                    _this.drillStarted_output = new core_2.EventEmitter();
                    _this.drillDownItemSelected_output = new core_2.EventEmitter();
                    _this.refreshed_output = new core_2.EventEmitter();
                    return _this;
                }
                __decorate([
                    core_2.Input('borderBrush'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "borderBrush_input", void 0);
                __decorate([
                    core_2.Input('borderThickness'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "borderThickness_input", void 0);
                __decorate([
                    core_2.Input('uniColorMapping'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "uniColorMapping_input", void 0);
                __decorate([
                    core_2.Input('desaturationColorMapping'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "desaturationColorMapping_input", void 0);
                __decorate([
                    core_2.Input('paletteColorMapping'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "paletteColorMapping_input", void 0);
                __decorate([
                    core_2.Input('colorValuePath'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "colorValuePath_input", void 0);
                __decorate([
                    core_2.Input('dockPosition'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "dockPosition_input", void 0);
                __decorate([
                    core_2.Input('drillDownHeaderColor'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "drillDownHeaderColor_input", void 0);
                __decorate([
                    core_2.Input('drillDownSelectionColor'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "drillDownSelectionColor_input", void 0);
                __decorate([
                    core_2.Input('isHierarchicalDatasource'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "isHierarchicalDatasource_input", void 0);
                __decorate([
                    core_2.Input('header'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "header_input", void 0);
                __decorate([
                    core_2.Input('enableDrillDown'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "enableDrillDown_input", void 0);
                __decorate([
                    core_2.Input('isResponsive'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "isResponsive_input", void 0);
                __decorate([
                    core_2.Input('enableResize'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "enableResize_input", void 0);
                __decorate([
                    core_2.Input('draggingOnSelection'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "draggingOnSelection_input", void 0);
                __decorate([
                    core_2.Input('draggingGroupOnSelection'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "draggingGroupOnSelection_input", void 0);
                __decorate([
                    core_2.Input('legendSettings'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_input", void 0);
                __decorate([
                    core_2.Input('highlightBorderBrush'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "highlightBorderBrush_input", void 0);
                __decorate([
                    core_2.Input('highlightBorderThickness'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "highlightBorderThickness_input", void 0);
                __decorate([
                    core_2.Input('highlightGroupBorderBrush'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "highlightGroupBorderBrush_input", void 0);
                __decorate([
                    core_2.Input('highlightGroupBorderThickness'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "highlightGroupBorderThickness_input", void 0);
                __decorate([
                    core_2.Input('highlightGroupOnSelection'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "highlightGroupOnSelection_input", void 0);
                __decorate([
                    core_2.Input('highlightOnSelection'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "highlightOnSelection_input", void 0);
                __decorate([
                    core_2.Input('itemsLayoutMode'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "itemsLayoutMode_input", void 0);
                __decorate([
                    core_2.Input('enableGroupSeparator'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "enableGroupSeparator_input", void 0);
                __decorate([
                    core_2.Input('locale'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "locale_input", void 0);
                __decorate([
                    core_2.Input('leafItemSettings'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "leafItemSettings_input", void 0);
                __decorate([
                    core_2.Input('selectionMode'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "selectionMode_input", void 0);
                __decorate([
                    core_2.Input('groupSelectionMode'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "groupSelectionMode_input", void 0);
                __decorate([
                    core_2.Input('showLegend'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "showLegend_input", void 0);
                __decorate([
                    core_2.Input('enableGradient'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "enableGradient_input", void 0);
                __decorate([
                    core_2.Input('showTooltip'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "showTooltip_input", void 0);
                __decorate([
                    core_2.Input('tooltipTemplate'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "tooltipTemplate_input", void 0);
                __decorate([
                    core_2.Input('treeMapItems'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "treeMapItems_input", void 0);
                __decorate([
                    core_2.Input('uniColorMapping.color'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "uniColorMapping_color_input", void 0);
                __decorate([
                    core_2.Input('desaturationColorMapping.to'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "desaturationColorMapping_to_input", void 0);
                __decorate([
                    core_2.Input('desaturationColorMapping.color'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "desaturationColorMapping_color_input", void 0);
                __decorate([
                    core_2.Input('desaturationColorMapping.from'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "desaturationColorMapping_from_input", void 0);
                __decorate([
                    core_2.Input('desaturationColorMapping.rangeMaximum'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "desaturationColorMapping_rangeMaximum_input", void 0);
                __decorate([
                    core_2.Input('desaturationColorMapping.rangeMinimum'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "desaturationColorMapping_rangeMinimum_input", void 0);
                __decorate([
                    core_2.Input('paletteColorMapping.colors'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "paletteColorMapping_colors_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.height'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_height_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.width'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_width_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.iconHeight'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_iconHeight_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.iconWidth'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_iconWidth_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.template'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_template_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.mode'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_mode_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.title'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_title_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.leftLabel'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_leftLabel_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.rightLabel'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_rightLabel_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.dockPosition'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_dockPosition_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.alignment'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_alignment_input", void 0);
                __decorate([
                    core_2.Input('legendSettings.columnCount'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "legendSettings_columnCount_input", void 0);
                __decorate([
                    core_2.Input('leafItemSettings.borderBrush'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "leafItemSettings_borderBrush_input", void 0);
                __decorate([
                    core_2.Input('leafItemSettings.borderThickness'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "leafItemSettings_borderThickness_input", void 0);
                __decorate([
                    core_2.Input('leafItemSettings.gap'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "leafItemSettings_gap_input", void 0);
                __decorate([
                    core_2.Input('leafItemSettings.itemTemplate'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "leafItemSettings_itemTemplate_input", void 0);
                __decorate([
                    core_2.Input('leafItemSettings.labelPath'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "leafItemSettings_labelPath_input", void 0);
                __decorate([
                    core_2.Input('leafItemSettings.labelPosition'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "leafItemSettings_labelPosition_input", void 0);
                __decorate([
                    core_2.Input('leafItemSettings.labelVisibilityMode'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "leafItemSettings_labelVisibilityMode_input", void 0);
                __decorate([
                    core_2.Input('leafItemSettings.showLabels'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "leafItemSettings_showLabels_input", void 0);
                __decorate([
                    core_2.Input('groupColorMapping'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "groupColorMapping_input", void 0);
                __decorate([
                    core_2.Input('rangeColorMapping'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "rangeColorMapping_input", void 0);
                __decorate([
                    core_2.Input('levels'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "levels_input", void 0);
                __decorate([
                    core_2.Input('dataSource'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "dataSource_two", void 0);
                __decorate([
                    core_2.Output('dataSourceChange'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "dataSource_twoChange", void 0);
                __decorate([
                    core_2.Input('weightValuePath'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "weightValuePath_two", void 0);
                __decorate([
                    core_2.Output('weightValuePathChange'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "weightValuePath_twoChange", void 0);
                __decorate([
                    core_2.Output('treeMapItemSelected'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "treeMapItemSelected_output", void 0);
                __decorate([
                    core_2.Output('drillStarted'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "drillStarted_output", void 0);
                __decorate([
                    core_2.Output('drillDownItemSelected'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "drillDownItemSelected_output", void 0);
                __decorate([
                    core_2.Output('refreshed'),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "refreshed_output", void 0);
                __decorate([
                    core_2.ContentChild(TreeMapLevelsDirective),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "tag_levels", void 0);
                __decorate([
                    core_2.ContentChild(TreeMapRangeColorMappingDirective),
                    __metadata("design:type", Object)
                ], TreeMapComponent.prototype, "tag_rangeColorMapping", void 0);
                TreeMapComponent = __decorate([
                    core_2.Component({
                        selector: 'ej-treemap',
                        template: ''
                    }),
                    __metadata("design:paramtypes", [core_2.ElementRef, core_2.ChangeDetectorRef])
                ], TreeMapComponent);
                return TreeMapComponent;
            }(core_1.EJComponents));
            exports_1("TreeMapComponent", TreeMapComponent);
            exports_1("EJ_TREEMAP_COMPONENTS", EJ_TREEMAP_COMPONENTS = [TreeMapComponent,
                TreeMapLevelsDirective, TreeMapRangeColorMappingDirective, TreeMapLevelDirective, TreeMapRangeColorDirective]);
        }
    };
});
//# sourceMappingURL=treemap.component.js.map